2015-03-18 03:14  jeremiahmorris

	* AUTHORS, Source_Files/Misc/interface.cpp:
	  Add Catherine Seppanen to authors list

2015-03-17 20:23  jeremiahmorris

	* Resources/Library Licenses/COPYING-FFmpeg.txt, Resources/Library
	  Licenses/COPYING-Speex.txt, Resources/Library
	  Licenses/COPYING-Vorbis.txt, Resources/Library
	  Licenses/COPYING-libmad, Resources/Library
	  Licenses/COPYING-libmad.txt, Resources/Library
	  Licenses/COPYING-libsndfile, Resources/Library
	  Licenses/COPYING-libsndfile.txt, Resources/Library
	  Licenses/COPYING-zziplib.txt, Resources/Library
	  Licenses/LICENSE-Boost.txt, Resources/Library
	  Licenses/LICENSE-FreeType.txt, Resources/Library
	  Licenses/LICENSE-libpng.txt, Resources/Library
	  Licenses/LICENSE-libvpx.txt, Resources/Library
	  Licenses/README-JPEG.txt, THANKS:
	  Update library list and licenses

2015-03-17 06:32  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Fix missing documentation in Mac DMGs

2015-03-16 03:54  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Work around bug in Mac 10.4 graphics driver

2015-03-16 01:54  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj,
	  PBProjects/Info-AlephOne_SDL.plist, Source_Files/XML/Plugins.cpp:
	  Fix problems with Xcode 3 build

2015-03-16 01:54  jeremiahmorris

	* tools/extract_shaders.pl:
	  Add version number to shader-plugin helper tool

2015-03-12 06:49  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Ensure correct architectures are built in Xcode 3.2

2015-03-11 03:27  jeremiahmorris

	* Source_Files/Misc/preferences.cpp:
	  Write version number to prefs file

2015-03-09 19:38  jeremiahmorris

	* Source_Files/shell.cpp:
	  Mouse/joystick buttons mapped to game_key functions (map zoom,
	  volume, etc.) now work instead of doing nothing

2015-03-09 01:42  jeremiahmorris

	* Source_Files/Files/WadImageCache.cpp,
	  Source_Files/Files/WadImageCache.h, Source_Files/shell.cpp:
	  Delay non-critical writes to thumbnail cache index

2015-03-08 23:06  jeremiahmorris

	* Source_Files/Misc/alephversion.h:
	  Use Aleph One-specific URL for player settings page

2015-03-08 23:03  jeremiahmorris

	* data/default_theme/resources/theme2.mml:
	  Add space to make multi-word tabs clearer

2015-03-07 20:49  jeremiahmorris

	* Source_Files/Files/game_wad.cpp,
	  Source_Files/RenderOther/images.cpp,
	  Source_Files/RenderOther/images.h:
	  Allow .save level to overwrite current map on Windows

2015-03-07 18:36  jeremiahmorris

	* Source_Files/Files/FileHandler.cpp:
	  Fix .save level overwriting on Windows

2015-03-07 02:21  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj,
	  PBProjects/AlephOne.xcodeproj/project.pbxproj,
	  Source_Files/Files/FileHandler.cpp, configure.ac,
	  m4/ax_boost_base.m4, m4/ax_boost_filesystem.m4,
	  m4/ax_boost_system.m4:
	  Add boost::filesystem to replace mktemp; improve boost detection
	  in configure

2015-03-07 02:19  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj,
	  PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Clean up header paths on Mac (include Boost from framework)

2015-03-07 02:14  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Add new files to Xcode 3 project

2015-03-06 21:09  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj,
	  Source_Files/Files/FileHandler.cpp,
	  Source_Files/Files/FileHandler.h, Source_Files/Files/Makefile.am,
	  Source_Files/Files/SDL_rwops_ostream.cpp,
	  Source_Files/Files/SDL_rwops_ostream.h,
	  Source_Files/Files/WadImageCache.cpp,
	  Source_Files/Files/WadImageCache.h,
	  Source_Files/Files/game_wad.cpp, Source_Files/Files/game_wad.h,
	  Source_Files/Files/tags.h, Source_Files/Files/wad.cpp,
	  Source_Files/Files/wad.h, Source_Files/XML/QuickSave.cpp,
	  Source_Files/XML/QuickSave.h, Source_Files/shell.cpp:
	  Store save-game metadata in wad; cache thumbnail images
	  separately

2015-02-28 04:41  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Bring Xcode 3 project up to date

2015-02-24 01:56  treellama

	* Source_Files/Files/FileHandler.cpp,
	  Source_Files/Files/FileHandler.h:
	  remove Exchange, which was unused and poorly implemented

2015-02-23 02:53  treellama

	* Source_Files/Files/FileHandler.cpp,
	  Source_Files/Files/FileHandler.h,
	  Source_Files/Files/game_wad.cpp:
	  remove a little wackiness with atomic saves

2015-02-22 22:18  jeremiahmorris

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h,
	  Source_Files/Network/network_dialogs.cpp:
	  Skip-to-metaserver preference (inverts Join vs. Option-Join
	  behavior)

2015-02-22 21:54  jeremiahmorris

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/Network/network_dialogs.cpp:
	  Adjust wording of internet game prefs and buttons; reorganize
	  join dialog

2015-02-22 03:49  jeremiahmorris

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h,
	  Source_Files/Misc/preferences_widgets_sdl.cpp,
	  Source_Files/XML/Plugins.cpp, Source_Files/XML/Plugins.h:
	  Add separate opt-in preference for stats

2015-02-22 02:42  jeremiahmorris

	* Source_Files/Misc/preferences.cpp:
	  Fix bug in metaserver account link

2015-02-20 01:50  jeremiahmorris

	* Source_Files/Misc/preferences.cpp:
	  Organize online prefs into tabs

2015-02-20 01:44  jeremiahmorris

	* Source_Files/RenderMain/RenderPlaceObjs.cpp:
	  Render 3D models when center is behind the camera

2015-02-16 05:30  jeremiahmorris

	* Source_Files/XML/QuickSave.cpp:
	  Confirm save file deletion

2015-02-14 04:36  jeremiahmorris

	* Source_Files/CSeries/csalerts_sdl.cpp:
	  Prefer xdg-open for launching URLs under Linux

2015-02-14 01:16  jeremiahmorris

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/GameWorld/devices.cpp,
	  Source_Files/GameWorld/player.h, Source_Files/Lua/lua_player.cpp,
	  Source_Files/Network/network_capabilities.h:
	  Remove undesirable side effects in Lua's
	  Player:find_action_key_target (not film/net compatible with 1.1)

2015-02-13 23:25  jeremiahmorris

	* Source_Files/GameWorld/weapons.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/RenderOther/screen.cpp, Source_Files/shell.h:
	  Preference to disable camera and weapons bob

2015-02-13 23:22  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.h:
	  Shader inexplicably avoided the standard camera variables

2015-02-13 02:26  jeremiahmorris

	* Source_Files/FFmpeg/Movie.cpp, Source_Files/FFmpeg/SDL_ffmpeg.c:
	  Fix compilation problems with libav 11

2015-02-07 15:45  jeremiahmorris

	* Source_Files/XML/QuickSave.cpp:
	  Cache scaled screenshots

2015-02-06 03:55  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj:
	  Add missing header files to Xcode 4 project (fixes incomplete
	  searches in Xcode)

2015-02-06 03:50  jeremiahmorris

	* Source_Files/Files/Makefile.am:
	  Remove duplicate listing of wad.cpp

2015-02-01 06:21  jeremiahmorris

	* Source_Files/Misc/preferences.cpp:
	  Keep web links corralled in alephversion.h

2015-02-01 06:17  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj,
	  Source_Files/Files/game_wad.cpp,
	  Source_Files/GameWorld/marathon2.cpp,
	  Source_Files/Lua/lua_script.cpp, Source_Files/Lua/lua_script.h,
	  Source_Files/Misc/Makefile.am, Source_Files/Misc/Statistics.cpp,
	  Source_Files/Misc/Statistics.h, Source_Files/Misc/alephversion.h,
	  Source_Files/Misc/interface.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences_widgets_sdl.cpp,
	  Source_Files/XML/Plugins.cpp, Source_Files/XML/Plugins.h:
	  Optionally send game results to metaserver

2015-02-01 05:37  jeremiahmorris

	* Source_Files/Misc/preferences.cpp:
	  Bug in last commit

2015-02-01 05:27  jeremiahmorris

	* Source_Files/Misc/alephversion.h,
	  Source_Files/Misc/preferences.cpp:
	  Move crosshair toggle out of nested dialog; add note about custom
	  HUD crosshairs

2015-02-01 05:14  jeremiahmorris

	* Source_Files/Misc/alephversion.h,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Network/network_dialogs.cpp:
	  Metaserver ease-of-use: in-app signup, link to account page,
	  dedicated prefs screen, consistent lhowon.org branding

2015-02-01 03:01  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj,
	  PBProjects/AppStore/Marathon 2/Marathon 2.entitlements,
	  PBProjects/AppStore/Marathon Infinity/Marathon
	  Infinity.entitlements,
	  PBProjects/AppStore/Marathon/Marathon.entitlements,
	  Source_Files/Files/FileHandler.cpp,
	  Source_Files/Misc/interface.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Network/network_dialogs.cpp,
	  Source_Files/XML/QuickSave.cpp:
	  Mac sandboxing support

2015-02-01 00:05  jeremiahmorris

	* Source_Files/XML/QuickSave.cpp:
	  Use C++ casting in quick save callbacks

2015-01-31 22:55  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj,
	  Source_Files/RenderOther/Makefile.am,
	  Source_Files/RenderOther/sdl_resize.cpp,
	  Source_Files/RenderOther/sdl_resize.h,
	  Source_Files/XML/QuickSave.cpp:
	  Nicer scaling for quick-save previews

2015-01-31 21:51  jeremiahmorris

	* PBProjects/AppStore/Marathon 2/Info.plist,
	  PBProjects/AppStore/Marathon Infinity/Info.plist,
	  PBProjects/AppStore/Marathon/Info.plist,
	  PBProjects/Info-AlephOne-Xcode4.plist:
	  Info.plist cleanups: add Marathon file extensions, fix typo in
	  bundled-game identifiers

2015-01-31 20:53  jeremiahmorris

	* Source_Files/Misc/sdl_network.h,
	  Source_Files/Network/Metaserver/metaserver_messages.h,
	  Source_Files/Network/Metaserver/network_metaserver.cpp,
	  Source_Files/Network/Metaserver/network_metaserver.h,
	  Source_Files/Network/network.cpp,
	  Source_Files/Network/network_dialogs.cpp,
	  Source_Files/Network/network_messages.h:
	  Create shared ID for multiplayer games, so metaserver can tell
	  who plays together

2015-01-31 19:49  jeremiahmorris

	* PBProjects/AppStore/Marathon 2/Info.plist,
	  PBProjects/AppStore/Marathon Infinity/Info.plist,
	  PBProjects/AppStore/Marathon/Info.plist,
	  PBProjects/Info-AlephOne-Xcode4.plist, PBProjects/SDLMain.m:
	  Fix drag-and-drop in Yosemite

2015-01-31 18:54  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj:
	  More Xcode fixups

2015-01-31 05:05  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj,
	  PBProjects/AppStore/Marathon 2/Info.plist,
	  PBProjects/AppStore/Marathon 2/Marathon 2.plist,
	  PBProjects/AppStore/Marathon Infinity/Info.plist,
	  PBProjects/AppStore/Marathon Infinity/Marathon Infinity.plist,
	  PBProjects/AppStore/Marathon/Info.plist,
	  PBProjects/AppStore/Marathon/Marathon.plist:
	  Xcode4 project cleanups

2015-01-31 04:19  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj:
	  Add speexdsp.framework to app bundles built in Xcode 4+

2015-01-28 05:06  jeremiahmorris

	* Source_Files/Files/import_definitions.cpp:
	  Keep missing physics from setting global error, which can break
	  saved-game creation later

2015-01-27 19:02  jeremiahmorris

	* Source_Files/XML/QuickSave.cpp:
	  Quick saves create 720p previews, as PNG if available

2015-01-27 04:40  jeremiahmorris

	* Source_Files/XML/QuickSave.cpp:
	  Fix typo in error-cleanup case

2015-01-27 02:29  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Use proper light accessors in Shader, avoiding crashes on bad
	  maps

2015-01-27 02:10  jeremiahmorris

	* Source_Files/ModelView/Model3D.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Don't crash when 3D models lack texture coordinates

2015-01-27 01:35  jeremiahmorris

	* Source_Files/XML/Plugins.cpp:
	  Stricter name check when searching zip archives for plugins
	  (prevents warnings on Mac-created zip files)

2015-01-26 23:33  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.h:
	  Reduce 'black-corner' effect in Shader when looking up or down,
	  at the expense of less-distracting artifacts near polygon
	  boundaries

2015-01-26 20:35  jeremiahmorris

	* Source_Files/GameWorld/player.cpp:
	  During replays, show respawn notices for currently viewed player

2015-01-26 17:52  jeremiahmorris

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/sdl_dialogs.cpp,
	  Source_Files/Misc/sdl_dialogs.h, Source_Files/shell.cpp:
	  Refactor loading of dialog theme

2015-01-26 05:53  jeremiahmorris

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h, Source_Files/Network/HTTP.cpp:
	  Expert preference to disable libcurl's HTTPS certificate
	  verification

2015-01-26 03:02  treellama

	* Source_Files/Lua/lua_player.cpp, docs/Lua.html, docs/Lua.xml:
	  Lua accessor for Game.dead_players_drop_items

2015-01-25 19:37  treellama

	* Source_Files/Network/HTTP.cpp:
	  check config.h for HAVE_CURL; add some logging when HTTP
	  operations fail

2015-01-25 19:17  jeremiahmorris

	* Source_Files/Network/Metaserver/metaserver_messages.cpp:
	  Don't send passwords via HTTPS if we weren't built with HTTPS
	  support

2015-01-25 19:12  jeremiahmorris

	* Source_Files/Network/network.cpp:
	  SSLP compatibility with earlier Aleph One versions

2015-01-25 08:16  jeremiahmorris

	* Source_Files/Network/network.cpp,
	  Source_Files/Network/network_dialogs.cpp:
	  Fix SSLP to announce and use non-standard gather ports

2015-01-25 08:03  jeremiahmorris

	* Source_Files/Network/network_private.h:
	  Restore preference for gatherers to use non-standard port (no UI;
	  does not play nice with SSLP)

2015-01-25 05:33  jeremiahmorris

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/Network/network.cpp, Source_Files/Network/network.h,
	  Source_Files/Network/network_dialogs.cpp:
	  Allow joining to non-standard ports (not through SSLP)

2015-01-25 04:10  jeremiahmorris

	* Source_Files/Network/network_dialogs.cpp:
	  Disable joiners' team-color selection on non-team games, like SNG
	  does for gatherer

2015-01-25 03:52  jeremiahmorris

	* Source_Files/Network/HTTP.cpp:
	  Remove debug code committed in r5090

2015-01-25 03:51  jeremiahmorris

	* Source_Files/Network/HTTP.cpp:
	  Ignore certificate chain errors during metaserver password
	  exchange

2015-01-25 03:47  jeremiahmorris

	* Source_Files/XML/Plugins.cpp:
	  Keep theme plugins separate from Lua/HUD, as in 1.1

2015-01-25 03:32  jeremiahmorris

	* Source_Files/Files/game_wad.cpp, Source_Files/Misc/interface.cpp,
	  Source_Files/Network/HTTP.cpp, Source_Files/XML/Plugins.cpp,
	  Source_Files/XML/Plugins.h, Source_Files/XML/XML_LevelScript.cpp:
	  Load all plugin MML in plugin-name order; ignore all parts of
	  solo-Lua plugins outside solo games

2015-01-24 00:48  jeremiahmorris

	* Source_Files/Misc/alephversion.h,
	  Source_Files/Network/Metaserver/metaserver_messages.cpp,
	  Source_Files/Network/Metaserver/metaserver_messages.h,
	  Source_Files/Network/Metaserver/network_metaserver.cpp:
	  HTTPS password authentication to metaserver

2015-01-22 18:07  jeremiahmorris

	* Source_Files/Misc/interface.cpp:
	  Fix typo in r5087

2015-01-22 07:26  jeremiahmorris

	* Source_Files/Files/game_wad.cpp, Source_Files/Misc/interface.cpp:
	  When resuming a saved game, decide solo vs. net before we load
	  MML/Lua (this will make sense soon)

2015-01-22 06:36  jeremiahmorris

	* Source_Files/Files/game_wad.cpp:
	  Run solo Lua when restoring/reverting a solo game, not just when
	  the original map is found

2015-01-22 03:33  jeremiahmorris

	* Source_Files/Files/game_wad.cpp, Source_Files/Lua/lua_script.cpp,
	  Source_Files/Lua/lua_script.h, Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h:
	  Restore ability to play net films with netscripts

2015-01-19 04:48  jeremiahmorris

	* Source_Files/shell.cpp:
	  Refactor usage conditionals into something Xcode's syntax parser
	  can handle

2015-01-18 08:35  jeremiahmorris

	* Source_Files/Files/FileHandler.cpp:
	  Respect 'hide file extensions' preference in overwrite dialog

2015-01-18 01:33  jeremiahmorris

	* Source_Files/Misc/vbl.cpp:
	  Clean up when replay can't find map (fixes SF #504)

2015-01-18 00:20  jeremiahmorris

	* Source_Files/Files/game_wad.cpp, Source_Files/GameWorld/map.h,
	  Source_Files/Misc/interface.cpp:
	  Do not load solo Lua/MML when replaying net-game films

2015-01-18 00:03  jeremiahmorris

	* Source_Files/Misc/interface.cpp:
	  Add recording version corresponding to 1.2 film profile

2015-01-17 19:44  jeremiahmorris

	* Source_Files/XML/Plugins.cpp:
	  Discard references to non-existent files in plugins

2015-01-17 07:08  jeremiahmorris

	* configure.ac:
	  Suppress notice in newer automake versions

2015-01-16 20:06  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.xcworkspace:
	  Remove unnecessary Xcode settings from SVN

2015-01-16 19:58  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj:
	  Ignore Xcode user settings files

2015-01-16 19:36  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj:
	  put libcurl in more appropriate Xcode folder

2015-01-14 02:50  treellama

	* Source_Files/Misc/Console.cpp, Source_Files/Misc/Console.h,
	  Source_Files/Misc/sdl_widgets.cpp, Source_Files/shell.cpp:
	  add support for forward delete

2015-01-13 01:17  jeremiahmorris

	* Source_Files/Makefile.am, Source_Files/Misc/Makefile.am:
	  Revert r5028, which broke things

2015-01-11 02:39  jeremiahmorris

	* Source_Files/Misc/Console.cpp, Source_Files/Misc/Console.h,
	  Source_Files/Misc/sdl_dialogs.cpp,
	  Source_Files/Misc/sdl_widgets.cpp,
	  Source_Files/Misc/sdl_widgets.h,
	  Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/OGL_Render.h,
	  Source_Files/RenderOther/screen_shared.h, Source_Files/shell.cpp:
	  Movable text-editing cursor for text entry fields and console
	  (thanks to Catherine Seppanen)

2015-01-11 00:22  jeremiahmorris

	* Source_Files/Network/HTTP.cpp:
	  Have libcurl transparently handle redirects, and allow HTTPS even
	  when CA databases are missing/outdated

2015-01-10 19:51  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj,
	  Source_Files/Network/HTTP.cpp, Source_Files/Network/HTTP.h,
	  Source_Files/Network/Makefile.am,
	  Source_Files/Network/Update.cpp, Source_Files/shell.cpp,
	  configure.ac:
	  use libcurl for update check

2015-01-10 03:22  jeremiahmorris

	* Source_Files/GameWorld/map.h, Source_Files/Lua/lua_map.cpp,
	  docs/Lua.html, docs/Lua.xml:
	  Lua: Line.visible_on_automap, Polygon.visible_on_automap

2015-01-10 03:06  jeremiahmorris

	* docs/MML.html:
	  Fix typos in MML documentation

2015-01-10 01:59  jeremiahmorris

	* Source_Files/XML/QuickSave.cpp:
	  Fix encoding error when renaming a quick save

2015-01-05 04:46  jeremiahmorris

	* Source_Files/Misc/Console.cpp, Source_Files/Misc/Console.h,
	  Source_Files/shell.cpp:
	  Console history through up/down arrows (thanks to Catherine
	  Seppanen)

2015-01-04 21:01  jeremiahmorris

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/Files/game_wad.cpp,
	  Source_Files/GameWorld/devices.cpp, Source_Files/GameWorld/map.h,
	  Source_Files/GameWorld/marathon2.cpp:
	  Replicate M1's repair-level goal checking (documented in Story
	  forum's Question of the Week #19)

2015-01-04 19:57  jeremiahmorris

	* Source_Files/Misc/Console.cpp, Source_Files/Misc/Console.h,
	  Source_Files/RenderMain/SW_Texture_Extras.cpp,
	  Source_Files/RenderMain/SW_Texture_Extras.h,
	  Source_Files/RenderOther/ViewControl.cpp,
	  Source_Files/RenderOther/overhead_map.cpp,
	  Source_Files/shell_misc.cpp:
	  Add ResetValues to various MML elements, so they clean up after
	  themselves when plugins are disabled or level MML is removed
	  (patch by Catherine Seppanen)

2015-01-04 19:43  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.h:
	  Shader: better approximations of pulsate and wobble transfer
	  modes

2015-01-04 00:50  jeremiahmorris

	* docs/MML.html:
	  Clarify usage of scenario element

2015-01-04 00:40  jeremiahmorris

	* docs/MML.html:
	  Fix broken cross-reference

2015-01-04 00:37  jeremiahmorris

	* docs/MML.html:
	  Motion sensor section was listed twice in TOC

2015-01-04 00:17  jeremiahmorris

	* Source_Files/XML/Plugins.cpp, Source_Files/XML/Plugins.h:
	  Plugins can set compatible scenario names

2015-01-04 00:06  jeremiahmorris

	* Source_Files/shell.cpp:
	  Use scenario name, not ID, for quick saves

2015-01-04 00:00  jeremiahmorris

	* Source_Files/Misc/preferences_widgets_sdl.cpp:
	  Show plugin types in prefs dialog

2015-01-03 05:09  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj:
	  Add speexdsp to frameworks, matching recent Mac framework
	  rebuilds

2015-01-02 07:59  jeremiahmorris

	* Source_Files/Lua/lua_hud_script.cpp,
	  Source_Files/Lua/lua_script.cpp:
	  Use more descriptive label on Lua error messages

2015-01-02 03:48  jeremiahmorris

	* Source_Files/Misc/sdl_widgets.cpp,
	  Source_Files/Misc/sdl_widgets.h,
	  Source_Files/Network/Metaserver/SdlMetaserverClientUi.cpp:
	  Styled text widget, for proper display of names in metaserver
	  game info (patch by Catherine Seppanen)

2015-01-02 02:53  jeremiahmorris

	* Source_Files/Network/network.cpp:
	  Cleanup: remove magic-number repetition in UPnP code

2015-01-02 02:49  jeremiahmorris

	* Source_Files/Network/network.cpp,
	  Source_Files/Network/network_capabilities.cpp,
	  Source_Files/Network/network_capabilities.h:
	  Add separate net-compatibility flag for M1 games

2014-12-30 23:32  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.h:
	  Shader: honor player light MML

2014-12-30 16:13  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Shader: skip glow maps in static-transfer mode

2014-12-30 15:45  jeremiahmorris

	* Source_Files/Misc/preferences.cpp, Source_Files/XML/Plugins.cpp,
	  Source_Files/XML/Plugins.h:
	  Allow multipart plugins (e.g. solo and HUD Lua); ensure
	  all-or-nothing activation for them

2014-12-30 08:23  jeremiahmorris

	* Source_Files/Lua/lua_hud_script.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h, Source_Files/XML/Plugins.cpp:
	  Lua HUDs must be plugins now

2014-12-29 02:53  jeremiahmorris

	* Source_Files/Files/resource_manager.cpp:
	  Resource errors are generally from files that aren't resource
	  forks, so be less vocal about them

2014-12-28 23:28  jeremiahmorris

	* Source_Files/FFmpeg/Movie.cpp, configure.ac:
	  Require ffmpeg 1.2 / libav 9 (tested with ffmpeg 1.2.7)

2014-12-27 23:32  jeremiahmorris

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/Files/game_wad.cpp,
	  Source_Files/GameWorld/items.cpp, Source_Files/GameWorld/map.h,
	  Source_Files/GameWorld/projectiles.cpp:
	  M1 grenades are affected by low gravity

2014-12-27 22:45  jeremiahmorris

	* configure.ac:
	  New autoconf script:
	  * Doesn't die on optional dependency failures by default
	  * Allows for hard-failure on optional packages, which makes
	  distro packagers happy
	  * Follows conventions for "enable" vs. "with" arguments
	  * Summarizes enabled/disabled options at the bottom, to make
	  dependency failures more visible
	  * Uses macros instead of raw shell constructs for portability
	  * Uses custom functions to cut down on duplication

2014-12-27 22:27  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj:
	  Add QuickSave to Xcode project

2014-12-27 22:25  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj,
	  configure.ac:
	  Last commit included too much

2014-12-27 22:23  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj,
	  Source_Files/CSeries/Makefile.am, Source_Files/Files/Makefile.am,
	  Source_Files/Input/Makefile.am, Source_Files/Lua/Makefile.am,
	  Source_Files/ModelView/Makefile.am,
	  Source_Files/Network/Makefile.am,
	  Source_Files/RenderMain/Makefile.am,
	  Source_Files/XML/Makefile.am, configure.ac, tools/Makefile.am:
	  Remove references to obsolete Pfhortran directory

2014-12-27 22:18  jeremiahmorris

	* Source_Files/CSeries/Makefile.am,
	  Source_Files/FFmpeg/Makefile.am, Source_Files/Files/Makefile.am,
	  Source_Files/GameWorld/Makefile.am,
	  Source_Files/Input/Makefile.am, Source_Files/LibNAT/Makefile.am,
	  Source_Files/Lua/Makefile.am, Source_Files/Makefile.am,
	  Source_Files/Misc/Makefile.am,
	  Source_Files/ModelView/Makefile.am,
	  Source_Files/Network/Makefile.am,
	  Source_Files/Network/Metaserver/Makefile.am,
	  Source_Files/RenderMain/Makefile.am,
	  Source_Files/RenderOther/Makefile.am,
	  Source_Files/Sound/Makefile.am, Source_Files/TCPMess/Makefile.am,
	  Source_Files/XML/Makefile.am, tools/Makefile.am:
	  Replace deprecated INCLUDES with AM_CPPFLAGS

2014-12-27 22:16  jeremiahmorris

	* Source_Files/Makefile.am, Source_Files/Misc/Makefile.am:
	  Move DefaultStringSets.cpp to Misc makefile, to match directory
	  structure

2014-12-27 22:10  jeremiahmorris

	* Source_Files/XML/Makefile.am:
	  QuickSave.cpp pulls in more headers

2014-12-27 20:48  jeremiahmorris

	* Source_Files/Sound/Mixer.cpp, Source_Files/Sound/Mixer.h:
	  Fix popping due to channel's sound format changing

2014-12-27 04:11  jeremiahmorris

	* Source_Files/Files/import_definitions.cpp:
	  Fix M1 multiplayer physics

2014-12-27 01:46  jeremiahmorris

	* Source_Files/Files/game_wad.cpp,
	  Source_Files/GameWorld/marathon2.cpp,
	  Source_Files/RenderMain/RenderVisTree.cpp,
	  Source_Files/RenderMain/RenderVisTree.h,
	  Source_Files/RenderMain/render.cpp,
	  Source_Files/RenderMain/render.h:
	  Marathon 1 co-op, including exploration missions

2014-12-26 04:11  jeremiahmorris

	* Source_Files/Files/FileHandler.cpp,
	  Source_Files/Files/FileHandler.h,
	  Source_Files/Files/preprocess_map_sdl.cpp,
	  Source_Files/Files/preprocess_map_shared.cpp,
	  Source_Files/Misc/interface.cpp, Source_Files/Misc/interface.h,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h,
	  Source_Files/RenderOther/screen_drawing.cpp,
	  Source_Files/RenderOther/screen_drawing.h,
	  Source_Files/XML/Makefile.am, Source_Files/XML/QuickSave.cpp,
	  Source_Files/XML/QuickSave.h, Source_Files/shell.cpp:
	  'Quick save' replacement for filesystem-oriented saved game
	  management

2014-12-26 03:41  jeremiahmorris

	* Source_Files/RenderOther/screen_drawing.cpp,
	  Source_Files/RenderOther/screen_drawing.h:
	  Last commit included too much

2014-12-26 03:39  jeremiahmorris

	* Source_Files/RenderOther/computer_interface.cpp,
	  Source_Files/RenderOther/screen_drawing.cpp,
	  Source_Files/RenderOther/screen_drawing.h:
	  Fix crash with static in terminals

2014-11-29 01:33  jeremiahmorris

	* docs/Lua.html, docs/Lua.xml, docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Mention the is_x() functions corresponding to each custom Lua
	  type

2014-11-28 22:30  jeremiahmorris

	* Source_Files/XML/Plugins.cpp, Source_Files/XML/Plugins.h:
	  Plugins can be marked as compatible with specific scenarios

2014-11-28 05:48  jeremiahmorris

	* Source_Files/GameWorld/marathon2.cpp,
	  Source_Files/RenderOther/HUDRenderer.h,
	  Source_Files/RenderOther/HUDRenderer_Lua.cpp,
	  Source_Files/RenderOther/HUDRenderer_Lua.h,
	  Source_Files/RenderOther/HUDRenderer_OGL.cpp,
	  Source_Files/RenderOther/HUDRenderer_OGL.h,
	  Source_Files/RenderOther/HUDRenderer_SW.cpp,
	  Source_Files/RenderOther/HUDRenderer_SW.h,
	  Source_Files/RenderOther/game_window.cpp,
	  Source_Files/RenderOther/motion_sensor.cpp,
	  Source_Files/RenderOther/motion_sensor.h:
	  Update motion sensor data independent of frame rate

2014-11-27 20:12  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Lua HUD API: Level.name, Level.index, Level.map_checksum

2014-11-27 20:06  jeremiahmorris

	* Source_Files/Lua/lua_map.cpp, docs/Lua.html, docs/Lua.xml:
	  Lua API: Level.index, Level.map_checksum

2014-11-27 07:02  jeremiahmorris

	* Source_Files/GameWorld/projectiles.cpp,
	  Source_Files/Lua/lua_script.cpp, Source_Files/Lua/lua_script.h,
	  docs/Lua.html, docs/Lua.xml:
	  Lua trigger: projectile_created()

2014-11-24 05:41  jeremiahmorris

	* Source_Files/Lua/lua_templates.h:
	  Clear custom fields when a slot is freed for index-based objects
	  like projectiles

2014-11-23 18:52  jeremiahmorris

	* Source_Files/Sound/FFmpegDecoder.cpp:
	  Add C-ism needed for FFmpeg in some situations

2014-11-23 18:28  jeremiahmorris

	* Source_Files/Sound/SoundManager.cpp:
	  Directly include iostream for cerr (newer Boost versions no
	  longer pull it in for us)

2014-11-23 18:23  jeremiahmorris

	* Source_Files/Lua/luaconf.h:
	  Restore mkstemp usage, lost in 5.2.2 upgrade (see r3958)

2014-11-16 23:35  jeremiahmorris

	* configure.ac:
	  Set minimum FFmpeg version to 0.10.x, used by Mac and Windows
	  builds

2014-11-16 21:48  jeremiahmorris

	* Source_Files/FFmpeg/Movie.cpp, Source_Files/FFmpeg/SDL_ffmpeg.c,
	  Source_Files/Sound/FFmpegDecoder.cpp:
	  Fix compilation and decoding with newer FFmpeg versions (encoding
	  remains broken on newest versions)

2014-04-01 03:09  jeremiahmorris

	* docs/Lua.html, docs/Lua.xml:
	  Side.control_panel.status was missing from documentation

2014-02-22 21:49  jeremiahmorris

	* Source_Files/Network/Metaserver/network_metaserver.cpp:
	  First player in room was always considered available

2014-02-22 21:45  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Network/Metaserver/metaserver_dialogs.cpp,
	  Source_Files/Network/Metaserver/network_metaserver.cpp,
	  Source_Files/Network/StarGameProtocol.cpp:
	  Undo accidental changes in last commit

2014-02-22 21:42  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Network/Metaserver/metaserver_dialogs.cpp,
	  Source_Files/Network/Metaserver/network_metaserver.cpp,
	  Source_Files/Network/StarGameProtocol.cpp,
	  Source_Files/shell.cpp:
	  Treat user-selected directory as default, to fix problems with
	  symbolic paths in environment preferences

2014-02-22 21:37  jeremiahmorris

	* Source_Files/Files/preprocess_map_sdl.cpp:
	  We should have External Resources if we don't have Images; allows
	  choose-scenario dialog to kick in when initial directory will
	  fail

2014-02-12 02:26  jeremiahmorris

	* PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj,
	  PBProjects/AlephOne-Xcode4.xcodeproj/project.xcworkspace/contents.xcworkspacedata:
	  Update Xcode 4/5 project for 1.1 changes

2014-01-08 21:36  jeremiahmorris

	* Source_Files/FFmpeg/Movie.cpp:
	  Remove use of deprecated quality setting

2014-01-08 18:03  jeremiahmorris

	* PBProjects/AppStore/Marathon 2/English.lproj/InfoPlist.strings,
	  PBProjects/AppStore/Marathon/English.lproj/InfoPlist.strings:
	  Remove UTF-16 BOM from UTF-8 files

2014-01-08 18:03  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Don't include compile details in Info.plist; existing builds
	  already reflect this

2014-01-05 03:57  jeremiahmorris

	* docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Tag 1.1 changes with final release date

2014-01-05 02:07  treellama

	* Source_Files/Misc/alephversion.h:
	  update version number for release

2014-01-03 06:17  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj,
	  Source_Files/FFmpeg/Movie.cpp, configure.ac:
	  Ask FFmpeg to use one encoding thread per CPU core

2014-01-03 04:26  jeremiahmorris

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/GameWorld/dynamic_limits.cpp:
	  Restore original paths limit for 1.1 profile

2014-01-01 06:46  jeremiahmorris

	* Source_Files/Files/game_wad.cpp, Source_Files/Files/tags.h,
	  Source_Files/GameWorld/monster_definitions.h,
	  Source_Files/GameWorld/monsters.cpp,
	  Source_Files/GameWorld/physics.cpp,
	  Source_Files/GameWorld/physics_models.h:
	  Store M1-physics flag in player's monster physics instead, so new
	  scenarios can use it

2013-12-27 03:25  treellama

	* Source_Files/CSeries/FilmProfile.cpp:
	  revert last commit since it might affect net games and other
	  things less easily fixed with a plugin

2013-12-27 03:11  treellama

	* Source_Files/CSeries/FilmProfile.cpp:
	  use Marathon 2 limits by default; this will break unpatched Aleph
	  One scenarios(!) but will result in more authentic gameplay in
	  Marathon 2 and Infinity

2013-12-27 03:03  treellama

	* Source_Files/GameWorld/dynamic_limits.cpp:
	  it should be OK to render more stuff, even in Marathon 2 mode

2013-12-26 18:56  jeremiahmorris

	* Source_Files/Misc/interface.cpp:
	  Prevent scaled-up dialogs from affecting terminal display

2013-12-26 04:46  jeremiahmorris

	* Source_Files/Files/game_wad.cpp, Source_Files/Files/tags.h,
	  Source_Files/GameWorld/physics.cpp,
	  Source_Files/GameWorld/physics_models.h:
	  Preserve physics_constants_are_m1 across saved games

2013-12-25 05:49  jeremiahmorris

	* Source_Files/GameWorld/map.h:
	  Close gap in environment flags from change to M1 rescue

2013-12-25 05:45  jeremiahmorris

	* Source_Files/Files/game_wad.cpp, Source_Files/GameWorld/map.h,
	  Source_Files/GameWorld/marathon2.cpp,
	  Source_Files/GameWorld/monsters.cpp:
	  Move M1 rescue behavior to mission flags where it belongs

2013-12-25 02:52  jeremiahmorris

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/GameWorld/player.cpp:
	  Correct accounting for dead players' dropped items

2013-12-23 01:31  jeremiahmorris

	* Source_Files/Misc/preferences.cpp:
	  Fix bad code when building without OpenGL

2013-12-08 16:10  jeremiahmorris

	* PBProjects/SDLMain.m, Source_Files/RenderOther/screen.cpp:
	  Disable buggy gamma functions under Mac 10.9

2013-12-08 03:13  jeremiahmorris

	* PBProjects/SDLMain.m:
	  Fix launch problems under Mac 10.9 (from upstream SDL)

2013-11-17 04:01  jeremiahmorris

	* Source_Files/FFmpeg/Movie.cpp, Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h:
	  Generic movie export quality preferences, replacing first hacky
	  version

2013-11-16 18:27  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Remove x264 framework, now that WebM is used

2013-11-16 08:22  jeremiahmorris

	* Source_Files/FFmpeg/Movie.cpp:
	  Switch to WebM format for movie export

2013-11-07 03:37  jeremiahmorris

	* Source_Files/Files/FileHandler.cpp:
	  Do not treat empty strings as relative paths to a directory;
	  fixes 3D Examples mml

2013-11-04 22:41  jeremiahmorris

	* Source_Files/Sound/FFmpegDecoder.cpp:
	  Only rewind if we actually started playing - fixes repeat in
	  intro music

2013-11-04 22:27  jeremiahmorris

	* Source_Files/FFmpeg/Movie.cpp:
	  Support 8-bit sounds like Zott's AIFF in FFmpegDecoder

2013-11-04 18:09  jeremiahmorris

	* Source_Files/FFmpeg/Movie.cpp, Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h:
	  Expose H.264 quality setting, for video editors like Narcogen

2013-11-04 16:08  jeremiahmorris

	* Source_Files/Sound/FFmpegDecoder.cpp,
	  Source_Files/Sound/FFmpegDecoder.h:
	  Decode sound from libav/ffmpeg directly, without SDL_ffmpeg
	  wrapper

2013-11-04 15:52  jeremiahmorris

	* Source_Files/FFmpeg/Movie.h:
	  Update file comment - SDL_ffmpeg is no longer used here

2013-10-26 02:35  treellama

	* Source_Files/Sound/ReplacementSounds.cpp:
	  fix external sound playback

2013-10-22 02:48  jeremiahmorris

	* Source_Files/FFmpeg/Movie.cpp:
	  Accidentally checked in deliberate failure for testing

2013-10-22 02:30  jeremiahmorris

	* Source_Files/FFmpeg/Movie.cpp:
	  Add logging and more informative error messages when Movie::Setup
	  fails

2013-10-18 01:44  treellama

	* Source_Files/Sound/SoundManager.cpp:
	  reset size in SoundMemoryManager::clear(); fixes SF #571

2013-09-12 01:50  treellama

	* Source_Files/GameWorld/monster_definitions.h,
	  Source_Files/GameWorld/monsters.cpp:
	  fix annoying enforcer noise on single polygons on Two Times Two
	  Equals

2013-08-18 20:04  jeremiahmorris

	* Source_Files/FFmpeg/Makefile.am, Source_Files/FFmpeg/ffcompat.h:
	  Remove obsolete, unused compatibility file

2013-08-18 20:00  jeremiahmorris

	* Source_Files/FFmpeg/Movie.cpp:
	  Remove obsolete include

2013-08-14 01:40  treellama

	* Source_Files/Misc/alephversion.h:
	  update version number

2013-08-14 01:38  treellama

	* Source_Files/GameWorld/monster_definitions.h,
	  Source_Files/GameWorld/monsters.cpp:
	  Marathon monsters scream when crushed

2013-08-13 02:08  treellama

	* Source_Files/Files/game_wad.cpp, Source_Files/GameWorld/map.h,
	  Source_Files/GameWorld/monster_definitions.h,
	  Source_Files/GameWorld/monsters.cpp:
	  monsters dying soft to weaknesses is a characteristic of Marathon
	  physics, rather than levels

2013-08-13 01:46  treellama

	* Source_Files/Files/game_wad.cpp,
	  Source_Files/GameWorld/items.cpp, Source_Files/GameWorld/map.h:
	  allow picking up multiple weapons on TC for Marathon maps

2013-08-12 18:46  jeremiahmorris

	* Source_Files/GameWorld/player.cpp:
	  Don't ask to quit game when escaping M1 terminals

2013-08-12 04:38  jeremiahmorris

	* Source_Files/RenderOther/HUDRenderer_Lua.cpp:
	  Semi-fix disappearing text in Lua HUD software mode; it's the
	  wrong size but shows up

2013-08-09 02:51  treellama

	* Source_Files/GameWorld/monsters.cpp:
	  remove debug print statement

2013-08-09 02:36  treellama

	* Source_Files/GameWorld/monsters.cpp,
	  Source_Files/GameWorld/monsters.h,
	  Source_Files/XML/XML_MakeRoot.cpp, docs/MML.html:
	  add MML to allow specifying which monsters must be killed to pass
	  extermination levels

2013-08-04 15:13  treellama

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/GameWorld/monsters.cpp:
	  fix shrapnel damage when key_frame is 0; supercedes "kamakazi"
	  fix; now lookers explode when you shoot them too

2013-08-03 15:38  treellama

	* Source_Files/GameWorld/map.cpp, Source_Files/Misc/interface.cpp,
	  Source_Files/RenderMain/shapes.cpp,
	  Source_Files/RenderOther/images.cpp,
	  Source_Files/RenderOther/motion_sensor.cpp:
	  fix shapes patches when base shapes are Marathon 1

2013-07-28 01:50  treellama

	* Source_Files/GameWorld/physics.cpp:
	  restore ability to fly with Marathon 1 flamethrower and alien
	  weapon on low G maps

2013-07-15 22:47  jeremiahmorris

	* Source_Files/Files/game_wad.cpp:
	  Switches on Marathon vacuum levels are light-dependent

2013-07-15 01:26  treellama

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  copy Marathon scenario instead of M1A1

2013-07-15 00:51  treellama

	* Source_Files/Misc/alephversion.h:
	  version numbers for 1.1 beta 2

2013-07-14 01:16  treellama

	* Source_Files/GameWorld/weapons.cpp:
	  remove secondary trigger reload sound for Marathon weapons

2013-07-12 02:20  treellama

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/GameWorld/monsters.cpp:
	  fix kamakazi monsters with a key_frame of 0

2013-07-12 01:29  treellama

	* Source_Files/RenderOther/screen.cpp:
	  awful retina hack

2013-07-12 00:51  treellama

	* Source_Files/RenderOther/screen.cpp:
	  disable resolutions higher than desktop resolution; this "fixes"
	  automatic mode for retina display macs only when the screen
	  resolution is set to "best for retina"

2013-07-09 04:01  jeremiahmorris

	* Source_Files/GameWorld/monsters.cpp,
	  Source_Files/GameWorld/player.cpp:
	  Marathon suppresses monster activation at level start

2013-07-09 01:50  jeremiahmorris

	* Source_Files/Files/game_wad.cpp, Source_Files/GameWorld/map.h,
	  Source_Files/GameWorld/monsters.cpp:
	  In Marathon, weaknesses don't cause hard deaths (Story post
	  63588)

2013-07-09 01:35  jeremiahmorris

	* Source_Files/GameWorld/marathon2.cpp,
	  Source_Files/GameWorld/monsters.cpp:
	  Activate glue trigger when object polygon changes, not
	  supporting_polygon (Story post 63582)

2013-07-08 00:56  treellama

	* Makefile.am:
	  don't copy default theme into scenario zips

2013-07-08 00:12  treellama

	* Source_Files/Misc/alephversion.h:
	  update version number

2013-07-07 21:02  jeremiahmorris

	* Source_Files/Misc/interface.cpp, Source_Files/Misc/vbl.cpp,
	  Source_Files/Misc/vbl.h:
	  Hold Alt or Meta to export replays

2013-07-07 20:50  treellama

	* Source_Files/shell.cpp:
	  remove debug printf

2013-07-07 20:48  treellama

	* Source_Files/Misc/Makefile.am,
	  Source_Files/RenderOther/Makefile.am:
	  include built-in fonts in the correct Makefile for distribution

2013-07-07 20:46  treellama

	* data/default_theme/DejaVuLGCSansCondensed-Bold.ttf,
	  data/default_theme/DejaVuLGCSansCondensed-BoldBold.ttf,
	  data/default_theme/DejaVuLGCSansCondensed-BoldOblique.ttf,
	  data/default_theme/LICENSE-DejaVu,
	  data/default_theme/Makefile.am, data/default_theme/Plugin.xml,
	  data/default_theme/SquarishSansCT.README,
	  data/default_theme/Squarish_Sans_CT_Medium.ttf,
	  data/default_theme/button_c.bmp,
	  data/default_theme/button_c_p.bmp,
	  data/default_theme/button_l.bmp,
	  data/default_theme/button_l_p.bmp,
	  data/default_theme/button_r.bmp,
	  data/default_theme/button_r_p.bmp,
	  data/default_theme/frame_b.bmp, data/default_theme/frame_bl.bmp,
	  data/default_theme/frame_br.bmp, data/default_theme/frame_l.bmp,
	  data/default_theme/frame_r.bmp, data/default_theme/frame_t.bmp,
	  data/default_theme/frame_tl.bmp, data/default_theme/frame_tr.bmp,
	  data/default_theme/list_b.bmp, data/default_theme/list_bl.bmp,
	  data/default_theme/list_br.bmp, data/default_theme/list_l.bmp,
	  data/default_theme/list_r.bmp, data/default_theme/list_t.bmp,
	  data/default_theme/list_tl.bmp, data/default_theme/list_tr.bmp,
	  data/default_theme/resources,
	  data/default_theme/resources/DejaVuLGCSansCondensed-Bold.ttf,
	  data/default_theme/resources/DejaVuLGCSansCondensed-BoldBold.ttf,
	  data/default_theme/resources/DejaVuLGCSansCondensed-BoldOblique.ttf,
	  data/default_theme/resources/LICENSE-DejaVu,
	  data/default_theme/resources/SquarishSansCT.README,
	  data/default_theme/resources/Squarish_Sans_CT_Medium.ttf,
	  data/default_theme/resources/button_c.bmp,
	  data/default_theme/resources/button_c_p.bmp,
	  data/default_theme/resources/button_l.bmp,
	  data/default_theme/resources/button_l_p.bmp,
	  data/default_theme/resources/button_r.bmp,
	  data/default_theme/resources/button_r_p.bmp,
	  data/default_theme/resources/frame_b.bmp,
	  data/default_theme/resources/frame_bl.bmp,
	  data/default_theme/resources/frame_br.bmp,
	  data/default_theme/resources/frame_l.bmp,
	  data/default_theme/resources/frame_r.bmp,
	  data/default_theme/resources/frame_t.bmp,
	  data/default_theme/resources/frame_tl.bmp,
	  data/default_theme/resources/frame_tr.bmp,
	  data/default_theme/resources/list_b.bmp,
	  data/default_theme/resources/list_bl.bmp,
	  data/default_theme/resources/list_br.bmp,
	  data/default_theme/resources/list_l.bmp,
	  data/default_theme/resources/list_r.bmp,
	  data/default_theme/resources/list_t.bmp,
	  data/default_theme/resources/list_tl.bmp,
	  data/default_theme/resources/list_tr.bmp,
	  data/default_theme/resources/slider.bmp,
	  data/default_theme/resources/slider_c.bmp,
	  data/default_theme/resources/slider_l.bmp,
	  data/default_theme/resources/slider_r.bmp,
	  data/default_theme/resources/theme2.mml,
	  data/default_theme/resources/thumb_b.bmp,
	  data/default_theme/resources/thumb_bc.bmp,
	  data/default_theme/resources/thumb_c.bmp,
	  data/default_theme/resources/thumb_t.bmp,
	  data/default_theme/resources/thumb_tc.bmp,
	  data/default_theme/resources/tiny_button_c.bmp,
	  data/default_theme/resources/tiny_button_l.bmp,
	  data/default_theme/resources/tiny_button_r.bmp,
	  data/default_theme/slider.bmp, data/default_theme/slider_c.bmp,
	  data/default_theme/slider_l.bmp, data/default_theme/slider_r.bmp,
	  data/default_theme/theme2.mml, data/default_theme/thumb_b.bmp,
	  data/default_theme/thumb_bc.bmp, data/default_theme/thumb_c.bmp,
	  data/default_theme/thumb_t.bmp, data/default_theme/thumb_tc.bmp,
	  data/default_theme/tiny_button_c.bmp,
	  data/default_theme/tiny_button_l.bmp,
	  data/default_theme/tiny_button_r.bmp:
	  convert default theme into a plugin

2013-07-07 20:12  treellama

	* data/default_theme/resources, data/default_theme/theme.mml:
	  remove old theme MML and resources

2013-07-07 20:08  treellama

	* Source_Files/Files/preprocess_map_sdl.cpp,
	  Source_Files/shell.cpp:
	  fall back to default theme if there's no plugin

2013-07-07 19:06  jeremiahmorris

	* Source_Files/GameWorld/monsters.cpp:
	  M1 glue triggers can pass closed doors

2013-07-07 19:02  treellama

	* Source_Files/Files/preprocess_map_sdl.cpp:
	  don't show scenario selector if images are missing

2013-07-07 18:56  jeremiahmorris

	* Source_Files/Files/game_wad.cpp, Source_Files/GameWorld/map.h,
	  Source_Files/GameWorld/monsters.cpp,
	  Source_Files/GameWorld/monsters.h,
	  Source_Files/GameWorld/weapons.cpp:
	  Limit range of M1 monster activations and glue triggers; refactor
	  trigger activation code from r4913

2013-07-07 18:16  treellama

	* Makefile.am:
	  use Marathon for winzip target

2013-07-07 16:13  treellama

	* data/Scenarios:
	  update external to point to Marathon

2013-07-07 16:06  treellama

	* Makefile.am:
	  remove Fonts from distribution

2013-07-07 15:41  treellama

	* Source_Files/Files/game_wad.cpp, Source_Files/GameWorld/map.h,
	  Source_Files/GameWorld/marathon2.cpp,
	  Source_Files/GameWorld/player.cpp,
	  Source_Files/GameWorld/player.h,
	  Source_Files/RenderOther/motion_sensor.cpp:
	  suspend world updates while reading Marathon 1 terminals (single
	  player only)

2013-07-07 03:39  jeremiahmorris

	* Source_Files/GameWorld/monsters.cpp:
	  Obey glue, closed doors when propagating trigger sounds

2013-07-07 03:11  jeremiahmorris

	* Source_Files/GameWorld/monsters.cpp,
	  Source_Files/GameWorld/monsters.h,
	  Source_Files/GameWorld/weapon_definitions.h,
	  Source_Files/GameWorld/weapons.cpp:
	  Marathon compatibility: implement trigger sound activation range

2013-07-05 01:33  treellama

	* Source_Files/shell.cpp:
	  use MML-specified adjust volume sounds

2013-07-05 01:09  treellama

	* Source_Files/Sound/SoundFile.cpp:
	  actually, Marathon 1 sounds are loud

2013-07-05 00:53  treellama

	* Source_Files/Sound/SoundFile.cpp:
	  Marathon sounds are not obstructed

2013-07-05 00:34  treellama

	* Source_Files/FFmpeg/Movie.cpp, Source_Files/FFmpeg/SDL_ffmpeg.c:
	  use C linkage for convert_audio, so SDL_ffmpeg.c can use it

2013-07-02 05:20  jeremiahmorris

	* Source_Files/Misc/interface.cpp:
	  Fix movie playback endian issues

2013-07-02 04:38  jeremiahmorris

	* Source_Files/FFmpeg/Movie.cpp:
	  Fix movie export endian issues

2013-07-01 06:09  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Update Xcode project for recent changes

2013-06-30 22:32  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp:
	  Lua HUD fix: allow Screen.crosshairs.lua_hud to be turned back
	  off

2013-06-30 04:56  jeremiahmorris

	* Source_Files/FFmpeg/Movie.cpp, Source_Files/FFmpeg/SDL_ffmpeg.c,
	  Source_Files/FFmpeg/SDL_ffmpeg.h:
	  Fix decoding with recent ffmpeg/libav (mostly)

2013-06-29 19:10  jeremiahmorris

	* Source_Files/FFmpeg/Movie.cpp:
	  Fix movie encoding with recent ffmpeg/libav

2013-06-29 19:07  jeremiahmorris

	* Source_Files/FFmpeg/Movie.cpp:
	  let avformat_free_context take care of stream cleanup

2013-06-27 01:52  treellama

	* Source_Files/Lua/lua_script.cpp,
	  Source_Files/RenderMain/shapes.cpp:
	  suppress error when Lua asks for collections that don't exist

2013-06-26 01:43  treellama

	* Source_Files/Files/preprocess_map_sdl.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h,
	  Source_Files/Misc/sdl_dialogs.cpp, Source_Files/shell.cpp:
	  remove theme selector; relegate "smooth text" option to
	  preferences file only

2013-06-26 01:29  treellama

	* Source_Files/CSeries/FilmProfile.h,
	  Source_Files/Misc/preferences.cpp:
	  Aleph One 1.0+ films include correct version information, so
	  choosing a version is unnecessary

2013-06-26 01:11  treellama

	* Source_Files/Files/game_wad.cpp, Source_Files/GameWorld/map.h:
	  fix music playback with Marathon 1 saved games

2013-06-26 00:40  treellama

	* Source_Files/Network/network.cpp,
	  Source_Files/Network/network_capabilities.h:
	  for now, prohibit net games between 1.0 and 1.1, due to different
	  default film profiles

2013-06-25 02:10  treellama

	* Source_Files/GameWorld/monsters.cpp:
	  wrong flag: rescue_m1, not rebellion

2013-06-25 01:01  treellama

	* Source_Files/GameWorld/monsters.cpp:
	  enable code that tracks how many civilians get dropped

2013-06-24 21:44  jeremiahmorris

	* Source_Files/Misc/interface.cpp:
	  Fix colors on movie playback (todo: check PPC)

2013-06-24 18:06  jeremiahmorris

	* Source_Files/FFmpeg/SDL_ffmpeg.h:
	  Fix Windows build (no DLL is involved for SDL_ffmpeg)

2013-06-22 05:53  jeremiahmorris

	* Source_Files/RenderOther/FontHandler.cpp:
	  Fix line height of Courier Prime, to match previous bitmap height

2013-06-18 02:30  treellama

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Misc/CourierPrime.h,
	  Source_Files/Misc/CourierPrimeBold.h,
	  Source_Files/Misc/CourierPrimeBoldItalic.h,
	  Source_Files/Misc/CourierPrimeItalic.h,
	  Source_Files/RenderOther/FontHandler.cpp,
	  Source_Files/RenderOther/FontHandler.h,
	  Source_Files/RenderOther/Makefile.am,
	  Source_Files/RenderOther/overhead_map.cpp,
	  Source_Files/RenderOther/screen_drawing.cpp,
	  Source_Files/RenderOther/sdl_fonts.cpp, configure.ac,
	  data/Courier Prime License.txt, data/Fonts, data/Makefile.am:
	  clean up FontHandler a little
	  embed Courier Prime, which with ProFont removes the need for
	  Fonts resources
	  require SDL_ttf to build

2013-06-18 01:16  treellama

	* Source_Files/RenderOther/FontHandler.cpp,
	  Source_Files/RenderOther/FontHandler.h:
	  remove Mac-specific code

2013-06-16 17:09  jeremiahmorris

	* Source_Files/RenderOther/sdl_fonts.cpp:
	  Clean up code, to better handle multiple builtin fonts

2013-06-16 16:12  jeremiahmorris

	* Makefile.am, Source_Files/Misc/ProFontAO.h,
	  Source_Files/RenderOther/FontHandler.cpp,
	  Source_Files/RenderOther/sdl_fonts.cpp, data/ProFontAO.ttf,
	  data/ProFontAOLicense.txt:
	  TTF replacement for Monaco

2013-06-09 19:02  jeremiahmorris

	* Source_Files/RenderOther/computer_interface.cpp:
	  Marathon doesn't use briefings for unfinished

2013-06-09 18:56  jeremiahmorris

	* Source_Files/GameWorld/monster_definitions.h,
	  Source_Files/GameWorld/monsters.cpp:
	  Override enemy definitions for M1 rebellion

2013-06-09 18:52  jeremiahmorris

	* Source_Files/Files/game_wad.cpp,
	  Source_Files/GameWorld/player.cpp:
	  M1 rebellion and M2 rebellion don't have much in common

2013-06-09 05:31  jeremiahmorris

	* Source_Files/GameWorld/monsters.cpp:
	  Remove variables now unused, thanks to previous commit

2013-06-09 04:59  jeremiahmorris

	* Source_Files/GameWorld/monsters.cpp:
	  Monster activations should happen within a glue polygon; flood
	  proc takes care of the rest

2013-06-09 02:00  treellama

	* Source_Files/RenderOther/computer_interface.cpp:
	  enable conversion of %r in terminal text

2013-06-01 00:52  treellama

	* Source_Files/RenderOther/fades.cpp, docs/MML.html:
	  fader periods are specified in milliseconds

2013-05-30 00:29  treellama

	* Source_Files/GameWorld/physics.cpp:
	  restore grenade climbing when using Marathon physics

2013-05-25 17:16  jeremiahmorris

	* Source_Files/FFmpeg/Movie.cpp, Source_Files/FFmpeg/Movie.h,
	  Source_Files/FFmpeg/SDL_ffmpeg.c,
	  Source_Files/FFmpeg/SDL_ffmpeg.h, configure.ac:
	  FFmpeg changes:
	  - target libav 0.8.x / ffmpeg 0.10.x
	  - Movie export gets fresh H.264 implementation
	  - update some obsolete spots in SDL_ffmpeg
	  - disable now-unused writing features of SDL_ffmpeg

2013-05-11 01:54  treellama

	* Source_Files/GameWorld/lightsource.cpp,
	  Source_Files/GameWorld/lightsource.h:
	  remaining Marathon light implementation

2013-05-11 00:42  treellama

	* Source_Files/GameWorld/lightsource.cpp:
	  implement Marathon _light_is_strobe

2013-05-09 02:45  treellama

	* Source_Files/GameWorld/lightsource.cpp:
	  implement Marathon _light_pulsates

2013-05-09 02:01  treellama

	* Source_Files/GameWorld/lightsource.cpp,
	  Source_Files/GameWorld/lightsource.h:
	  implement Marathon _light_is_annoying

2013-05-06 00:58  treellama

	* Source_Files/Files/game_wad.cpp, Source_Files/GameWorld/map.h,
	  Source_Files/GameWorld/monsters.cpp:
	  count civilian deaths in Marathon rescue maps

2013-05-05 18:25  jeremiahmorris

	* Source_Files/Sound/FFmpegDecoder.cpp:
	  Remove hiccup in intro music with FFmpeg

2013-05-05 17:51  jeremiahmorris

	* Source_Files/RenderOther/computer_interface.cpp:
	  Copy some quirks of Marathon's terminal compiler

2013-05-05 16:25  jeremiahmorris

	* Source_Files/Files/game_wad.cpp:
	  Display Marathon's Two Times Two level in vidmaster dialog

2013-05-05 01:45  treellama

	* Source_Files/GameWorld/monsters.cpp, docs/MML.html:
	  allow changing the death action for damage types in MML
	  (shoehorned into damage_kicks)

2013-05-04 22:36  jeremiahmorris

	* Source_Files/RenderOther/HUDRenderer_Lua.cpp:
	  Keep Lua HUD from shifting when console/FPS text appears

2013-05-04 21:59  jeremiahmorris

	* Source_Files/GameWorld/map.cpp, Source_Files/GameWorld/map.h,
	  Source_Files/GameWorld/map_constructors.cpp,
	  Source_Files/GameWorld/marathon2.cpp,
	  Source_Files/GameWorld/monsters.cpp,
	  Source_Files/GameWorld/platforms.cpp,
	  Source_Files/GameWorld/platforms.h,
	  Source_Files/RenderMain/RenderRasterize.cpp,
	  Source_Files/RenderOther/OverheadMapRenderer.cpp:
	  Implement "flooded" platform behavior from Marathon:
	  - copy floor texture and lighting from adjacent ouch polygon
	  - update side lighting when flood status changes
	  - damage monsters when flooded
	  - monsters avoid entering flooded platforms
	  - corpses burn on flooded platforms
	  - overhead map doesn't color flooded platforms

2013-05-02 06:31  jeremiahmorris

	* Source_Files/GameWorld/platforms.cpp,
	  Source_Files/GameWorld/platforms.h:
	  Add spot for Marathon's 'floods' platform flag

2013-05-02 04:46  jeremiahmorris

	* Source_Files/GameWorld/lightsource.cpp,
	  Source_Files/GameWorld/lightsource.h:
	  Fix Marathon initial light states

2013-05-02 02:23  jeremiahmorris

	* Source_Files/FFmpeg/SDL_ffmpeg.c, configure.ac:
	  [Joey Adams] fix SF bug 568: libav assert and config error under
	  Ubuntu 13.04

2013-04-30 01:12  treellama

	* Source_Files/GameWorld/weapon_definitions.h,
	  Source_Files/GameWorld/weapons.cpp:
	  Marathon alien weapon disappears after use, and has random ammo
	  on pickup

2013-04-29 02:13  treellama

	* Source_Files/GameWorld/weapons.cpp:
	  make good on comments that promise "now handled in
	  UpdateIdleAnimation"
	  also, don't try to animate Marathon weapons!

2013-04-29 01:31  treellama

	* Source_Files/GameWorld/weapons.cpp:
	  Marathon SPNKR is missing a firing sequence; use idle instead

2013-04-29 01:17  treellama

	* Source_Files/GameWorld/projectiles.cpp:
	  fix ricochets with Marathon monsters and physics

2013-04-28 23:06  jeremiahmorris

	* Source_Files/Sound/Music.cpp:
	  Marathon level music wasn't changing across levels

2013-04-28 22:44  jeremiahmorris

	* Source_Files/Misc/interface.cpp,
	  Source_Files/RenderOther/images.cpp,
	  Source_Files/RenderOther/images.h, Source_Files/Sound/Mixer.cpp,
	  Source_Files/Sound/Mixer.h, Source_Files/Sound/SoundManager.cpp,
	  Source_Files/Sound/SoundManagerEnums.h:
	  Marathon intro and chapter screen sounds

2013-04-28 19:23  jeremiahmorris

	* Source_Files/Misc/interface.cpp,
	  Source_Files/Sound/SoundManager.cpp,
	  Source_Files/Sound/SoundManager.h, docs/MML.html:
	  Support for Marathon center button sound

2013-04-28 05:14  jeremiahmorris

	* Source_Files/RenderOther/OverheadMapRenderer.cpp,
	  Source_Files/RenderOther/OverheadMapRenderer.h,
	  Source_Files/RenderOther/overhead_map.cpp, docs/MML.html:
	  Support coloring of teleporters on overhead map

2013-04-27 21:58  jeremiahmorris

	* Source_Files/RenderMain/shapes.cpp:
	  Launch correctly if only Marathon 1 Shapes are present

2013-04-27 21:49  jeremiahmorris

	* Source_Files/Files/game_wad.cpp, Source_Files/GameWorld/map.h,
	  Source_Files/GameWorld/player.cpp:
	  Don't strip player in Marathon 1 rebellion levels

2013-04-27 21:24  jeremiahmorris

	* Source_Files/Files/game_wad.cpp,
	  Source_Files/GameWorld/devices.cpp, Source_Files/GameWorld/map.h:
	  Repair switches are optional in Marathon

2013-04-27 20:33  jeremiahmorris

	* Source_Files/Files/game_wad.cpp, Source_Files/Sound/Music.cpp,
	  Source_Files/Sound/Music.h, Source_Files/XML/XML_LevelScript.cpp:
	  Play Marathon level music, if found in Music/00.ogg, etc.

2013-04-27 18:02  jeremiahmorris

	* Source_Files/GameWorld/weapons.cpp:
	  Hardcode Marathon's rocket ammo in hand

2013-04-24 01:40  treellama

	* Source_Files/GameWorld/weapon_definitions.h,
	  Source_Files/GameWorld/weapons.cpp:
	  automatic weapons in Marathon flutter while firing

2013-04-24 01:33  treellama

	* Source_Files/GameWorld/weapons.cpp:
	  original fusion pistol doesn't overload

2013-04-24 01:31  treellama

	* Source_Files/GameWorld/weapons.cpp:
	  Marathon 1 weapons only bob when actually idle

2013-04-24 01:18  treellama

	* Source_Files/GameWorld/weapons.cpp:
	  fix automatic weapon timing with Marathon 1 weapons; hack to get
	  TOZT and alien weapon to display more like Marathon 1

2013-04-21 02:08  treellama

	* Source_Files/GameWorld/weapons.cpp:
	  for Marathon 1 weapons, subtract a tick from ticks_per_round
	  instead of recovery_ticks

2013-04-21 02:04  jeremiahmorris

	* Source_Files/Misc/interface.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/RenderMain/shapes.cpp,
	  Source_Files/RenderOther/images.cpp,
	  Source_Files/RenderOther/images.h:
	  Marathon intro, chapter, epilogue screens

2013-04-21 01:42  treellama

	* Source_Files/GameWorld/weapons.cpp:
	  fix reload times with Marathon 1 physics

2013-04-21 01:33  treellama

	* Source_Files/GameWorld/weapons.cpp:
	  second trigger punches the first time with Marathon 1 fist

2013-04-21 01:16  treellama

	* Source_Files/GameWorld/weapons.cpp:
	  only one fist when using Marathon 1 physics

2013-04-21 01:06  treellama

	* Source_Files/GameWorld/weapons.cpp:
	  Marathon weapons don't change height with player elevation

2013-04-21 00:52  treellama

	* Source_Files/GameWorld/weapon_definitions.h,
	  Source_Files/GameWorld/weapons.cpp:
	  some timing fixes for Marathon weapons

2013-04-20 01:12  treellama

	* Source_Files/GameWorld/weapons.cpp:
	  fix dual magnums and Zeus when using Marathon physics

2013-04-19 04:46  jeremiahmorris

	* Source_Files/Files/game_wad.cpp, Source_Files/GameWorld/map.h,
	  Source_Files/GameWorld/monsters.cpp:
	  Monsters do not simply walk into lava

2013-04-19 03:23  jeremiahmorris

	* Source_Files/Files/game_wad.cpp, Source_Files/GameWorld/map.h,
	  Source_Files/GameWorld/monsters.cpp:
	  Marathon lava and slime swallows corpses

2013-04-19 00:51  jeremiahmorris

	* Source_Files/GameWorld/items.cpp, Source_Files/GameWorld/map.cpp:
	  Marathon ignores number_of_views for scenery

2013-04-18 04:40  jeremiahmorris

	* Source_Files/Files/game_wad.cpp, Source_Files/GameWorld/map.h,
	  Source_Files/GameWorld/marathon2.cpp,
	  Source_Files/GameWorld/monsters.cpp,
	  Source_Files/GameWorld/monsters.h:
	  Marathon-style glue and triggers

2013-04-16 21:56  jeremiahmorris

	* Source_Files/Files/game_wad.cpp, Source_Files/GameWorld/map.h,
	  Source_Files/GameWorld/marathon2.cpp:
	  Remap Marathon polygon types to Aleph One numbering
	  Add Marathon 1 exploration (as new mission type) for single
	  player
	  Disable Marathon 1 co-op to avoid broken exploration levels

2013-04-16 16:07  jeremiahmorris

	* Source_Files/RenderOther/computer_interface.cpp:
	  Marathon checkpoint text is one line lower than Marathon 2

2013-04-16 16:06  jeremiahmorris

	* Source_Files/RenderOther/computer_interface.cpp:
	  Match Marathon's start date and increment for terminal headers

2013-04-15 00:44  jeremiahmorris

	* Source_Files/RenderOther/OverheadMapRenderer.cpp:
	  Don't miss polygons when building checkpoint maps (fixes SF bug
	  366)

2013-04-14 16:52  jeremiahmorris

	* Source_Files/RenderOther/sdl_fonts.cpp,
	  Source_Files/RenderOther/sdl_fonts.h, Source_Files/shell.cpp:
	  Ensure Fonts.fntA is available for interface font MML (broken in
	  r4209)

2013-04-14 14:26  jeremiahmorris

	* Source_Files/RenderOther/OverheadMapRenderer.cpp,
	  Source_Files/RenderOther/OverheadMapRenderer.h:
	  Overhead map no longer ignores its screen offset (fixes
	  checkpoint-map positioning)

2013-04-14 13:37  jeremiahmorris

	* Source_Files/RenderOther/images.cpp:
	  Marathon-compatibility main menu from Shapes

2013-04-14 02:01  treellama

	* Source_Files/RenderOther/computer_interface.cpp:
	  despite groupings having a start_index and a length, Bungie code
	  expects terminal texts to be null-terminated

2013-04-14 01:43  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Lua HUD Player.respawn_duration

2013-04-14 00:32  jeremiahmorris

	* Source_Files/RenderOther/game_window.cpp:
	  Don't update software HUD if we're using Lua

2013-04-14 00:31  jeremiahmorris

	* Source_Files/RenderMain/OGL_Textures.cpp:
	  Fix buffer overflow in Marathon-compatibility texture cropping

2013-04-13 20:13  jeremiahmorris

	* Source_Files/RenderOther/computer_interface.cpp:
	  Use correct text width for information group

2013-04-13 19:04  treellama

	* Source_Files/RenderOther/computer_interface.cpp,
	  Source_Files/RenderOther/computer_interface.h:
	  full support for original Marathon terminals
	  remove old editor support; refer to the Marathon 2 source if
	  interested

2013-04-13 15:11  jeremiahmorris

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/RenderOther/computer_interface.cpp:
	  Correct terminal line calculation under 1.1 film profile

2013-04-13 02:09  jeremiahmorris

	* Source_Files/RenderOther/computer_interface.cpp,
	  Source_Files/RenderOther/computer_interface.h,
	  Source_Files/RenderOther/screen.cpp:
	  Remove now-unused parameter to _render_computer_interface

2013-04-13 02:05  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  Get terminal size from interface rectangle

2013-04-13 01:41  jeremiahmorris

	* Source_Files/RenderOther/computer_interface.cpp:
	  Lay out based on interface rectangles, to allow for Marathon
	  compatibility

2013-04-11 05:17  jeremiahmorris

	* Source_Files/RenderOther/TextStrings.cpp:
	  Load stringsets correctly when Expat delivers character data in
	  chunks (now entities work)

2013-04-10 01:58  treellama

	* Source_Files/RenderOther/computer_interface.cpp:
	  display logon logo from shapes for original Marathon terminals

2013-04-09 13:45  jeremiahmorris

	* Source_Files/Lua/lua_mnemonics.h,
	  Source_Files/Misc/interface.cpp,
	  Source_Files/RenderOther/screen_drawing.cpp,
	  Source_Files/RenderOther/screen_drawing.h, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml, docs/MML.html:
	  Add interface rectangles for Marathon compatibility

2013-04-09 02:39  treellama

	* Source_Files/RenderMain/shapes.cpp,
	  Source_Files/RenderOther/motion_sensor.cpp:
	  enable loading the interface collection from Marathon shapes, by
	  hacking motion sensor

2013-04-09 00:28  jeremiahmorris

	* Source_Files/RenderMain/OGL_Textures.cpp:
	  Crop oversized wall texture found in M1 Shapes

2013-04-07 02:53  treellama

	* Source_Files/Files/preprocess_map_sdl.cpp,
	  Source_Files/Misc/DefaultStringSets.cpp,
	  Source_Files/Misc/interface.cpp, Source_Files/Misc/interface.h,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h,
	  Source_Files/RenderOther/computer_interface.cpp,
	  Source_Files/RenderOther/computer_interface.h,
	  Source_Files/shell.cpp:
	  beginning of Marathon 1 terminal support

2013-04-06 22:44  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/RenderOther/HUDRenderer_Lua.cpp,
	  Source_Files/RenderOther/HUDRenderer_Lua.h:
	  Lua HUD font scaling (long live Monaco 9)

2013-04-06 22:44  jeremiahmorris

	* docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Lua HUD font scaling (long live Monaco 9)

2013-04-06 18:45  jeremiahmorris

	* Source_Files/RenderOther/Shape_Blitter.cpp:
	  Fix transparency of Lua HUD motion sensor blips in SW mode

2013-04-06 03:55  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Lua HUD: rest of weapon interface accessors

2013-04-05 23:20  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp:
	  Allow fractional values in Shapes.crop_rect

2013-04-05 23:18  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp, docs/Lua.xsl,
	  docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Lua HUD: some weapon interface accessors

2013-04-03 01:01  treellama

	* Source_Files/Misc/Console.cpp:
	  enable Lua console by default

2013-04-03 00:53  treellama

	* Source_Files/Lua/lua_hud_script.cpp,
	  Source_Files/Lua/lua_script.cpp:
	  don't load binary Lua scripts

2013-04-03 00:44  treellama

	* Source_Files/Lua/lua_script.cpp:
	  fix loading io in solo scripts

2013-04-03 00:42  treellama

	* Source_Files/Lua/lua_hud_script.cpp,
	  Source_Files/Lua/lua_script.cpp:
	  fix loading of Lua libraries

2013-04-02 02:45  treellama

	* Source_Files/Lua/lvm.c, Source_Files/Lua/lvm.h:
	  restore ability to compare userdata and strings/numbers with ==
	  operator
	  only works when userdata is on left hand side

2013-04-02 02:08  treellama

	* Source_Files/Lua/Makefile.am, Source_Files/Lua/lapi.c,
	  Source_Files/Lua/lapi.h, Source_Files/Lua/lauxlib.c,
	  Source_Files/Lua/lauxlib.h, Source_Files/Lua/lbaselib.c,
	  Source_Files/Lua/lbitlib.c, Source_Files/Lua/lcode.c,
	  Source_Files/Lua/lcode.h, Source_Files/Lua/lctype.c,
	  Source_Files/Lua/lctype.h, Source_Files/Lua/ldblib.c,
	  Source_Files/Lua/ldebug.c, Source_Files/Lua/ldebug.h,
	  Source_Files/Lua/ldo.c, Source_Files/Lua/ldo.h,
	  Source_Files/Lua/ldump.c, Source_Files/Lua/lfunc.c,
	  Source_Files/Lua/lfunc.h, Source_Files/Lua/lgc.c,
	  Source_Files/Lua/lgc.h, Source_Files/Lua/linit.c,
	  Source_Files/Lua/liolib.c, Source_Files/Lua/llex.c,
	  Source_Files/Lua/llex.h, Source_Files/Lua/llimits.h,
	  Source_Files/Lua/lmathlib.c, Source_Files/Lua/lmem.c,
	  Source_Files/Lua/lmem.h, Source_Files/Lua/lobject.c,
	  Source_Files/Lua/lobject.h, Source_Files/Lua/lopcodes.c,
	  Source_Files/Lua/lopcodes.h, Source_Files/Lua/loslib.c,
	  Source_Files/Lua/lparser.c, Source_Files/Lua/lparser.h,
	  Source_Files/Lua/lstate.c, Source_Files/Lua/lstate.h,
	  Source_Files/Lua/lstring.c, Source_Files/Lua/lstring.h,
	  Source_Files/Lua/lstrlib.c, Source_Files/Lua/ltable.c,
	  Source_Files/Lua/ltable.h, Source_Files/Lua/ltablib.c,
	  Source_Files/Lua/ltm.c, Source_Files/Lua/ltm.h,
	  Source_Files/Lua/lua.h, Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_hud_script.cpp,
	  Source_Files/Lua/lua_map.cpp, Source_Files/Lua/lua_monsters.cpp,
	  Source_Files/Lua/lua_objects.cpp,
	  Source_Files/Lua/lua_player.cpp,
	  Source_Files/Lua/lua_projectiles.cpp,
	  Source_Files/Lua/lua_saved_objects.cpp,
	  Source_Files/Lua/lua_script.cpp,
	  Source_Files/Lua/lua_serialize.cpp,
	  Source_Files/Lua/lua_templates.h, Source_Files/Lua/luaconf.h,
	  Source_Files/Lua/lualib.h, Source_Files/Lua/lundump.c,
	  Source_Files/Lua/lundump.h, Source_Files/Lua/lvm.c,
	  Source_Files/Lua/lvm.h, Source_Files/Lua/lzio.c,
	  Source_Files/Lua/lzio.h:
	  update internal Lua to 5.2.2

2013-04-02 00:42  jeremiahmorris

	* Source_Files/Lua/lua_mnemonics.h:
	  Add mnemonics for private interface rectangles, to avoid
	  unexpected nil results

2013-04-02 00:31  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/RenderOther/Shape_Blitter.cpp:
	  Fix some floating-point truncation in HUD drawing

2013-03-24 23:48  jeremiahmorris

	* docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Forgot a version tag in last commit's documentation

2013-03-24 23:10  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_hud_objects.h,
	  Source_Files/Lua/lua_mnemonics.h, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Lua HUD additions: InterfaceFonts, for use in Fonts.new

2013-03-24 21:47  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Lua HUD addition: Player.items[].valid

2013-03-24 21:43  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_hud_objects.h,
	  Source_Files/Lua/lua_mnemonics.h,
	  Source_Files/RenderOther/screen_drawing.h, docs/Lua.xsl,
	  docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Lua HUD additions: InterfaceColors, InterfaceRects

2013-03-24 21:25  jeremiahmorris

	* docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Clarify use of Lua HUD .new{} methods, by swiping jQuery's
	  documentation style

2013-03-24 21:11  jeremiahmorris

	* docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Font.line_height was implemented but not documented

2013-03-24 02:35  jeremiahmorris

	* docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Use a more HUD-relevant example in CollectionsUsed documentation

2013-03-23 01:48  treellama

	* Source_Files/Sound/SoundFile.cpp, Source_Files/Sound/SoundFile.h:
	  play permutations of Marathon sounds

2013-03-21 03:09  treellama

	* Source_Files/Sound/Mixer.cpp, Source_Files/Sound/SoundFile.cpp,
	  Source_Files/Sound/SoundFile.h:
	  sound file clean-up

2013-03-20 02:48  treellama

	* Source_Files/Files/FileHandler.cpp,
	  Source_Files/Files/FileHandler.h:
	  add an opened_file_device for accessing OpenedFiles through
	  BStreams

2013-03-20 02:48  treellama

	* Source_Files/CSeries/BStream.cpp:
	  in_avail can return 0 causing BIStream::ignore to fail
	  checking pubseekoff return code probably isn't the best either,
	  fixme!

2013-03-19 02:56  treellama

	* Source_Files/Files/FileHandler.cpp,
	  Source_Files/Lua/lua_objects.cpp,
	  Source_Files/Sound/SoundFile.cpp, Source_Files/Sound/SoundFile.h,
	  Source_Files/Sound/SoundManager.cpp,
	  Source_Files/Sound/SoundManager.h:
	  crude support for Marathon sound file

2013-03-18 02:35  treellama

	* Source_Files/Sound/Mixer.cpp, Source_Files/Sound/Mixer.h,
	  Source_Files/Sound/ReplacementSounds.cpp,
	  Source_Files/Sound/ReplacementSounds.h,
	  Source_Files/Sound/SoundFile.cpp, Source_Files/Sound/SoundFile.h,
	  Source_Files/Sound/SoundManager.cpp,
	  Source_Files/Sound/SoundManager.h:
	  update SoundManager's memory management to include MML sounds;
	  more SoundInfo clean-up; other clean-up

2013-03-08 14:32  jeremiahmorris

	* Source_Files/shell.cpp:
	  Fix 1366x768 screenshots (SF #567) (thanks Treellama)

2013-02-19 03:32  treellama

	* Source_Files/Sound/ReplacementSounds.cpp,
	  Source_Files/Sound/ReplacementSounds.h:
	  simplify ReplacementSounds by using unordered_map instead of
	  custom hash

2013-02-19 03:19  treellama

	* Source_Files/GameWorld/marathon2.cpp,
	  Source_Files/Lua/lua_objects.cpp,
	  Source_Files/Sound/SoundFile.cpp, Source_Files/Sound/SoundFile.h,
	  Source_Files/Sound/SoundManager.cpp,
	  Source_Files/Sound/SoundManager.h:
	  remove undocumented Lua Sounds.new until a cleaner implementation
	  emerges

2013-02-08 04:12  treellama

	* Source_Files/Sound/Mixer.cpp, Source_Files/Sound/Mixer.h,
	  Source_Files/Sound/SoundFile.cpp, Source_Files/Sound/SoundFile.h:
	  consolidate some things common to sound headers and channels

2012-09-25 03:58  jeremiahmorris

	* Source_Files/Misc/interface.cpp:
	  Define show_movie_blitter under FFmpeg-only case

2012-09-01 05:38  jeremiahmorris

	* Source_Files/FFmpeg/Movie.cpp, Source_Files/FFmpeg/Movie.h:
	  Encode video in a separate thread (this is distinct from
	  multithreaded ffmpeg)

2012-08-28 01:52  treellama

	* Source_Files/FFmpeg, Source_Files/FFmpeg/Makefile.am,
	  Source_Files/Makefile.am, configure.ac:
	  fix build with ffmpeg in Linux

2012-08-26 05:27  jeremiahmorris

	* Source_Files/FFmpeg/Makefile.am, Source_Files/FFmpeg/Movie.cpp,
	  Source_Files/FFmpeg/Movie.h, Source_Files/FFmpeg/SDL_ffmpeg.c,
	  Source_Files/Files/FileHandler.cpp, Source_Files/Files/tags.h,
	  Source_Files/GameWorld/Makefile.am,
	  Source_Files/GameWorld/marathon2.cpp,
	  Source_Files/Misc/interface.cpp, Source_Files/Misc/vbl.cpp,
	  Source_Files/RenderOther/Makefile.am,
	  Source_Files/RenderOther/fades.cpp,
	  Source_Files/RenderOther/screen.cpp, Source_Files/Sound/Mixer.h,
	  Source_Files/shell.cpp:
	  Export films using FFmpeg

2012-08-19 04:30  jeremiahmorris

	* Source_Files/FFmpeg, Source_Files/FFmpeg/Makefile.am,
	  Source_Files/FFmpeg/SDL_ffmpeg.c,
	  Source_Files/FFmpeg/SDL_ffmpeg.h, Source_Files/FFmpeg/ffcompat.h,
	  Source_Files/Makefile.am, Source_Files/Misc/Makefile.am,
	  Source_Files/Misc/interface.cpp, Source_Files/Sound/Decoder.cpp,
	  Source_Files/Sound/FFmpegDecoder.cpp,
	  Source_Files/Sound/FFmpegDecoder.h,
	  Source_Files/Sound/Makefile.am:
	  Audio and video decoding with FFmpeg

2012-08-18 22:23  jeremiahmorris

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/GameWorld/weapons.cpp:
	  Avoid assert documented in SF 758527

2012-08-18 21:40  jeremiahmorris

	* Source_Files/GameWorld/weapons.cpp:
	  Fix return in non-void function

2012-08-18 20:10  jeremiahmorris

	* Source_Files/Sound/Mixer.cpp:
	  Ensure channel sources are set properly

2012-08-18 18:27  jeremiahmorris

	* Source_Files/Sound/Mixer.cpp, Source_Files/Sound/Mixer.h:
	  Move helper into Mixer class, to compile under clang

2012-07-21 18:36  jeremiahmorris

	* Source_Files/RenderMain/RenderPlaceObjs.cpp:
	  Correct parasitic object positioning in Shader (fixes SF#3537596)

2012-07-21 05:22  jeremiahmorris

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/Lua/lua_script.cpp:
	  Lua scripts that don't affect gameplay won't break film playback

2012-07-21 05:03  jeremiahmorris

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/GameWorld/monsters.cpp:
	  Don't let platforms freeze attack sequences; fixes the 'ketchup'
	  bug, SF #1145241

2012-07-15 21:38  treellama

	* Source_Files/Files/FileHandler.cpp,
	  Source_Files/Files/import_definitions.cpp,
	  Source_Files/Files/tags.h, Source_Files/GameWorld/effects.cpp,
	  Source_Files/GameWorld/effects.h,
	  Source_Files/GameWorld/monsters.cpp,
	  Source_Files/GameWorld/monsters.h,
	  Source_Files/GameWorld/physics.cpp,
	  Source_Files/GameWorld/physics_models.h,
	  Source_Files/GameWorld/projectiles.cpp,
	  Source_Files/GameWorld/projectiles.h,
	  Source_Files/GameWorld/weapons.cpp,
	  Source_Files/GameWorld/weapons.h:
	  initial support for original Marathon physics
	  fusion pistol and dual magnums aren't working for some reason

2012-07-15 03:26  jeremiahmorris

	* Source_Files/GameWorld/monsters.cpp:
	  Validate chooses-weapons-randomly before using the RNG

2012-07-14 18:19  jeremiahmorris

	* Source_Files/GameWorld/monsters.cpp:
	  Log warning and fix physics when chooses-weapons-randomly
	  validation fails

2012-07-14 17:05  jeremiahmorris

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/GameWorld/monsters.cpp:
	  Allow short non-flying kamikaze monsters to explode (fixes SF
	  1701189)

2012-07-14 06:40  jeremiahmorris

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/GameWorld/monsters.cpp:
	  Check that ranged attacks are valid before randomly choosing them

2012-07-14 05:57  jeremiahmorris

	* Source_Files/GameWorld/monsters.cpp:
	  Remove misleading write to variable that's never read

2012-07-14 05:39  jeremiahmorris

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/GameWorld/projectiles.cpp:
	  Keep P&V projectiles from attaching to dying monsters and causing
	  crashes

2012-07-14 03:22  treellama

	* Source_Files/CSeries/FilmProfile.cpp:
	  enable infinity fixes in 1.1
	  prefer infinity fixes to A1 fixes for tag and SMG (is this
	  right?)

2012-07-14 03:12  treellama

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/GameWorld/physics.cpp:
	  fix sliding on slowly descending platforms (SF 1145240)

2012-06-30 01:32  treellama

	* Source_Files/Sound/Mixer.cpp, Source_Files/Sound/Mixer.h:
	  mix in chunks; should be much cache friendlier / vectorizable

2012-06-21 15:21  jeremiahmorris

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/Misc/interface.cpp,
	  Source_Files/Misc/preferences.cpp:
	  Create new film profile for 1.1

2012-06-21 02:12  jeremiahmorris

	* Source_Files/RenderOther/Shape_Blitter.cpp,
	  Source_Files/RenderOther/Shape_Blitter.h, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Lua HUD shape-drawing fixes: support frames above 255, handle
	  frame mirroring, adjust docs to match implementation

2012-06-20 23:34  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/RenderOther/HUDRenderer_Lua.cpp,
	  Source_Files/RenderOther/Image_Blitter.cpp,
	  Source_Files/RenderOther/Image_Blitter.h,
	  Source_Files/RenderOther/OGL_Blitter.cpp,
	  Source_Files/RenderOther/OGL_Blitter.h,
	  Source_Files/RenderOther/Shape_Blitter.cpp,
	  Source_Files/RenderOther/Shape_Blitter.h:
	  Support non-integer coordinates in Lua HUD; allows for nicer
	  scaling and positioning under OpenGL

2012-06-10 00:01  jeremiahmorris

	* PBProjects/SDLMain.m, Source_Files/shell.cpp:
	  Optionally save screenshots to user's Pictures folder on Mac

2012-06-09 23:23  jeremiahmorris

	* PBProjects/SDLMain.m,
	  Source_Files/Network/network_microphone_coreaudio.cpp:
	  Replace deprecated Mac APIs

2012-06-09 23:16  jeremiahmorris

	* Source_Files/LibNAT/os_common.h:
	  Fix r4729 in Windows

2012-06-09 17:15  jeremiahmorris

	* Source_Files/LibNAT/os_common.c, Source_Files/LibNAT/upnp.c,
	  Source_Files/LibNAT/utility.c, Source_Files/Lua/lua_map.cpp,
	  Source_Files/Network/network_microphone_coreaudio.cpp,
	  Source_Files/RenderMain/scottish_textures.cpp,
	  Source_Files/Sound/SoundManager.cpp:
	  Fix or pacify some clang compiler warnings

2012-06-09 16:25  jeremiahmorris

	* Source_Files/Network/Metaserver/SdlMetaserverClientUi.cpp:
	  Don't terminate string beyond its bounds (thanks LLVM)

2012-06-09 16:03  jeremiahmorris

	* PBProjects/SDLMain.h, PBProjects/SDLMain.m:
	  Remove unused, deprecated-API-calling SDL sample methods

2012-06-09 14:31  treellama

	* Source_Files/RenderMain/OGL_Subst_Texture_Def.cpp:
	  support replacement texture bitmap indexes higher than
	  SHAPES_PER_COLLECTION-1

2012-06-03 19:35  jeremiahmorris

	* Source_Files/RenderMain/OGL_Subst_Texture_Def.cpp:
	  Fix bugs in last commit

2012-06-03 15:17  jeremiahmorris

	* Source_Files/RenderMain/OGL_Model_Def.cpp,
	  Source_Files/RenderMain/OGL_Model_Def.h,
	  Source_Files/RenderMain/OGL_Subst_Texture_Def.cpp,
	  Source_Files/RenderMain/OGL_Texture_Def.h,
	  Source_Files/RenderMain/OGL_Textures.cpp,
	  Source_Files/RenderMain/OGL_Textures.h, docs/MML.html:
	  Support CLUT-specific infravision and silhouette texture options
	  (enables us to replicate XBLA's compilers)

2012-06-02 21:43  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  Reduce video mode changes, by asking for the (commonly supported)
	  higher depth/stencil mode first, and falling back if needed

2012-05-15 01:00  treellama

	* data, data/Scenarios:
	  why aren't we tracking external trunk

2012-05-13 05:13  jeremiahmorris

	* docs/Lua.html, docs/Lua.xml, docs/Lua.xsl, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Lua docs now pass HTML validation

2012-05-12 23:08  jeremiahmorris

	* docs/MML.html:
	  Move SDL keys from source-code dump into real list

2012-05-12 22:59  jeremiahmorris

	* docs/MML.html:
	  MML.html (almost) validates

2012-05-12 22:57  jeremiahmorris

	* docs/MML.html:
	  HTML now allows lists to be renumbered, so 1000-kludge is
	  obsolete

2012-05-10 02:36  treellama

	* Source_Files/Sound/Mixer.h:
	  improve sound performance on old macs

2012-05-07 22:28  jeremiahmorris

	* Source_Files/RenderMain/OGL_Textures.cpp:
	  Fix infravision bug - SF #2897863

2012-02-26 00:47  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Remove depth-based workarounds that compensated for bad clipping
	  in Shader

2012-02-26 00:22  jeremiahmorris

	* Source_Files/RenderMain/RenderPlaceObjs.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.h:
	  Use correct clipping window for sprites in Shader renderer

2012-02-15 03:46  treellama

	* Source_Files/Lua/lua_templates.h:
	  fix clang compile
	  (http://www.parashift.com/c++-faq-lite/templates.html#faq-35.19)

2012-01-29 01:47  treellama

	* docs/Lua.html, docs/Lua.xml:
	  update Lua documentation to reflect release date

2012-01-28 20:13  treellama

	* data/Scenarios:
	  pick up hard BoB deaths fix

2012-01-28 19:50  treellama

	* Source_Files/Lua/lua_monsters.cpp, docs/Lua.html, docs/Lua.xml:
	  accessors for monster flags attacks_immediately and
	  waits_with_clear_shot

2012-01-28 19:47  treellama

	* Source_Files/Misc/Console.cpp:
	  don't crash trying to display carnage messages with a projectile
	  index of -1

2012-01-12 02:16  treellama

	* Source_Files/Misc/Console.cpp:
	  don't crash in carnage messages when someone gets a fusion
	  overload kill

2012-01-11 03:04  treellama

	* Source_Files/RenderOther/FontHandler.cpp:
	  fix FontSpecifier::TextWidth for strings containing high
	  characters
	  (fixes XBLA HUD display of names containing TM)

2011-12-31 18:33  treellama

	* Source_Files/Lua/lua_player.cpp:
	  fix compatibility script typo

2011-12-23 13:47  treellama

	* Source_Files/Lua/lua_monsters.cpp, docs/Lua.html, docs/Lua.xml:
	  Lua accessors: MonsterType.cannot_be_dropped, .major, .minor

2011-12-22 21:19  jeremiahmorris

	* Source_Files/RenderMain/OGL_Subst_Texture_Def.h,
	  Source_Files/RenderMain/shapes.cpp:
	  Remove texture options deprecated by shapes patching

2011-12-22 20:57  jeremiahmorris

	* Source_Files/RenderMain/OGL_Subst_Texture_Def.cpp:
	  Ignore tags deprecated by shapes patching

2011-12-22 20:43  jeremiahmorris

	* docs/MML.html:
	  Document deprecated texture tags

2011-12-22 00:42  jeremiahmorris

	* docs/Lua.html, docs/Lua.xml, docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Update docs for 12/01 release

2011-12-21 23:49  jeremiahmorris

	* data, data/Scenarios:
	  Pick up HUD script fixes

2011-12-21 22:23  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/RenderOther/FontHandler.cpp:
	  Guard against Lua string crashes

2011-12-18 06:46  jeremiahmorris

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/Files/game_wad.cpp:
	  Compatibility fix for multi-level film playback

2011-12-18 06:45  jeremiahmorris

	* Source_Files/GameWorld/marathon2.cpp:
	  Purging action queue between levels breaks multi-level films

2011-12-11 19:01  treellama

	* PBProjects/AppStore/Marathon 2/Marathon 2.plist,
	  PBProjects/AppStore/Marathon Infinity/Marathon Infinity.plist,
	  PBProjects/AppStore/Marathon/Marathon.plist:
	  prevent Mac OS X 10.5 from trying to run the 64-bit Intel
	  versions

2011-12-10 22:30  jeremiahmorris

	* Source_Files/RenderOther/OGL_Blitter.cpp:
	  Fix menu centering for aspect ratios narrower than 4:3

2011-12-10 20:03  jeremiahmorris

	* Source_Files/Lua/lua_monsters.cpp:
	  MonsterType getters didn't match setters or documentation

2011-11-29 04:00  jeremiahmorris

	* data:
	  final version number for HUD

2011-11-29 01:36  treellama

	* data/Scenarios/README:
	  this file is no longer necessary; scenarios are retrieved as
	  svn:externals

2011-11-27 17:12  treellama

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  update naming of release DMG

2011-11-27 17:11  treellama

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  add target for all-in-one DMGs

2011-11-27 16:28  treellama

	* Source_Files/Files/FileHandler.cpp:
	  fix compile (this must have been a mess-up in the merge?)

2011-11-27 08:30  jeremiahmorris

	* data/Scenarios:
	  Fix spaces in external URLs

2011-11-27 08:25  jeremiahmorris

	* data, data/Scenarios:
	  Pull in all-in-one scenario data via svn:externals

2011-11-27 03:29  treellama

	* Makefile.am:
	  add targets for windows upgrades for three scenarios; other
	  cleanup

2011-11-26 04:34  treellama

	* Makefile.am:
	  remove some redundancy; update macwin src to include only
	  libraries

2011-11-23 03:27  treellama

	* PBProjects/AppStore/Marathon 2/English.lproj/InfoPlist.strings,
	  PBProjects/AppStore/Marathon
	  Infinity/English.lproj/InfoPlist.strings,
	  PBProjects/AppStore/Marathon/English.lproj/InfoPlist.strings:
	  update copyright strings

2011-11-23 03:19  treellama

	* PBProjects/AlephOne.xcodeproj/project.pbxproj,
	  PBProjects/AppStore/Marathon 2/Marathon 2.plist,
	  PBProjects/AppStore/Marathon Infinity/Marathon Infinity.plist,
	  PBProjects/AppStore/Marathon/Marathon.plist:
	  fixes to 10.4+ AIO apps

2011-11-21 03:18  treellama

	* Makefile.am:
	  update M2/Minf Windows AIO zip files

2011-11-20 04:06  treellama

	* Makefile.am, Resources/Windows/marathon.rc:
	  clean up Marathon all-in-one zip

2011-11-20 03:22  treellama

	* Makefile.am, Resources/Windows/alephone.rc,
	  Resources/Windows/marathon-infinity.ico,
	  Resources/Windows/marathon-infinity.rc,
	  Resources/Windows/marathon.ico, Resources/Windows/marathon.rc,
	  Resources/Windows/marathon2.ico, Resources/Windows/marathon2.rc,
	  Source_Files/Makefile.am:
	  build windows executables for original trilogy with custom icons,
	  include in all-in-one zips

2011-11-19 23:35  jeremiahmorris

	* Source_Files/Misc/preferences.cpp, Source_Files/shell.cpp,
	  Source_Files/shell.h:
	  Use symbolic paths in preferences

2011-11-19 23:26  treellama

	* Resources/Windows/alephone.rc, Source_Files/Makefile.am:
	  update the .rc file to work with Vista/7; remove some cruft

2011-11-19 03:25  treellama

	* Resources/Windows/alephone.ico:
	  this ICO works with windows

2011-11-17 03:16  treellama

	* Source_Files/Misc/interface.cpp:
	  authors were missing from about dialog

2011-11-15 02:00  treellama

	* Source_Files/Files/find_files.h,
	  Source_Files/Files/find_files_sdl.cpp:
	  skip Plugins directories in data search path roots when
	  recursively searching for files

2011-11-14 04:59  jeremiahmorris

	* Source_Files/Files/FileHandler.cpp, Source_Files/Files/tags.h:
	  Distinguish shapes-patch extension, ShPa, from shapes-file
	  extension, shpA

2011-11-12 04:32  treellama

	* Makefile.am:
	  include new files in source distribution

2011-11-12 03:37  treellama

	* Source_Files/Misc/alephversion.h,
	  Source_Files/Network/Metaserver/metaserver_dialogs.cpp:
	  use different display name, update path, update message for app
	  store builds

2011-11-12 03:25  treellama

	* Source_Files/shell.cpp:
	  for bundled scenarios, don't search cwd for data files

2011-11-12 03:01  jeremiahmorris

	* Source_Files/RenderOther/OGL_Blitter.cpp,
	  Source_Files/RenderOther/OGL_Blitter.h:
	  Fix sampling error on scaled images, as seen on some 1-pixel
	  strips in Lua HUD

2011-11-12 02:43  treellama

	* Makefile.am:
	  [Jeremiah Morris] Windows zip packages bundled with scenario data

2011-11-12 02:36  treellama

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  [Jeremiah Morris] add all-in-one targets to Xcode 3 project

2011-11-12 02:31  treellama

	* PBProjects/SDLMain.m:
	  move app store local data to ~/Library/Application
	  Support/AppName

2011-11-12 02:18  treellama

	* data/Scenarios, data/Scenarios/README:
	  placeholder for all-in-one data files

2011-11-12 02:16  treellama

	* PBProjects/AppStore, PBProjects/AppStore/Marathon,
	  PBProjects/AppStore/Marathon 2, PBProjects/AppStore/Marathon
	  2/English.lproj, PBProjects/AppStore/Marathon
	  2/English.lproj/InfoPlist.strings, PBProjects/AppStore/Marathon
	  2/Marathon 2.icns, PBProjects/AppStore/Marathon 2/Marathon
	  2.plist, PBProjects/AppStore/Marathon Infinity,
	  PBProjects/AppStore/Marathon Infinity/English.lproj,
	  PBProjects/AppStore/Marathon
	  Infinity/English.lproj/InfoPlist.strings,
	  PBProjects/AppStore/Marathon Infinity/Marathon Infinity.icns,
	  PBProjects/AppStore/Marathon Infinity/Marathon Infinity.plist,
	  PBProjects/AppStore/Marathon/English.lproj,
	  PBProjects/AppStore/Marathon/English.lproj/InfoPlist.strings,
	  PBProjects/AppStore/Marathon/Marathon.icns,
	  PBProjects/AppStore/Marathon/Marathon.plist:
	  support files for all-in-one apps

2011-11-12 01:50  treellama

	* Source_Files/Misc/interface.cpp,
	  Source_Files/RenderOther/images.cpp,
	  Source_Files/RenderOther/images.h:
	  add support for intro screen sounds

2011-11-12 01:46  treellama

	* PBProjects/AlephOne-Xcode4.xcodeproj,
	  PBProjects/AlephOne-Xcode4.xcodeproj/project.pbxproj,
	  PBProjects/AlephOne-Xcode4.xcodeproj/project.xcworkspace,
	  PBProjects/AlephOne-Xcode4.xcodeproj/project.xcworkspace/contents.xcworkspacedata,
	  PBProjects/Info-AlephOne-Xcode4.plist,
	  Source_Files/Network/network_microphone_coreaudio.cpp:
	  add an Xcode 4 project, get it to build

2011-11-07 04:11  jeremiahmorris

	* Resources/Windows/FilmIcon.ico, Resources/Windows/ImagesIcon.ico,
	  Resources/Windows/MMLIcon.ico, Resources/Windows/MapIcon.ico,
	  Resources/Windows/MusakIcon.ico, Resources/Windows/PhysIcon.ico,
	  Resources/Windows/SaveIcon.ico, Resources/Windows/ShapesIcon.ico,
	  Resources/Windows/SoundsIcon.ico, Resources/Windows/alephone.rc:
	  Include Windows file-type icons (still need installer to register
	  them)

2011-11-06 02:22  treellama

	* Source_Files/Misc/alephone.xpm, Source_Files/Misc/alephone32.xpm:
	  update xpms to new icon

2011-11-06 02:11  treellama

	* Source_Files/CSeries/csalerts_sdl.cpp:
	  missing #include

2011-10-11 02:41  treellama

	* Source_Files/RenderMain/shapes.cpp, Source_Files/XML/Plugins.cpp,
	  Source_Files/XML/Plugins.h:
	  add support for shapes patch plugins

2011-10-02 05:12  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Lua HUD API to find currently viewed player

2011-10-01 00:16  treellama

	* Source_Files/Sound/SoundManager.cpp:
	  allow restarting sounds if the original sound's volume is 0

2011-09-28 00:34  treellama

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  remove Pfhortran icon from Xcode project

2011-09-28 00:28  treellama

	* PBProjects/Info-AlephOne_SDL.plist, PBProjects/PFIcon.icns:
	  remove Pfhortran icon

2011-09-28 00:27  treellama

	* PBProjects/AlephOne.icns, PBProjects/FilmIcon.icns,
	  PBProjects/ImagesIcon.icns, PBProjects/MMLIcon.icns,
	  PBProjects/MapIcon.icns, PBProjects/MusakIcon.icns,
	  PBProjects/PhysIcon.icns, PBProjects/SaveIcon.icns,
	  PBProjects/ShapesIcon.icns, PBProjects/SoundsIcon.icns,
	  Resources/Windows/alephone.ico, THANKS:
	  [Ares Ex Machina] new Aleph One icons

2011-09-27 02:22  treellama

	* Source_Files/Misc/sdl_dialogs.cpp,
	  Source_Files/Misc/sdl_dialogs.h,
	  Source_Files/Sound/SoundManager.cpp, docs/MML.html:
	  allow customization of dialog sounds

2011-09-27 00:51  treellama

	* Source_Files/Misc/interface.cpp:
	  include AUTHORS in the about dialog

2011-09-25 21:41  treellama

	* Source_Files/Lua/lua_map.cpp, docs/Lua.html, docs/Lua.xml:
	  fix uses_item to read the definition; remove uses_item setter

2011-09-25 20:58  treellama

	* Source_Files/GameWorld/devices.cpp, Source_Files/GameWorld/map.h,
	  Source_Files/GameWorld/projectiles.cpp,
	  Source_Files/GameWorld/projectiles.h,
	  Source_Files/Lua/lua_player.cpp, Source_Files/Lua/lua_script.cpp,
	  Source_Files/Lua/lua_script.h, docs/Lua.html, docs/Lua.xml:
	  enhanced Lua light_switch, tag_switch, platform_switch triggers;
	  new Lua projectile_switch trigger

2011-09-25 20:56  treellama

	* Source_Files/XML/XML_ElementParser.h:
	  fix a missing include

2011-09-18 23:56  treellama

	* Source_Files/Lua/lua_map.cpp, docs/Lua.html, docs/Lua.xml:
	  add Lua Level.completed

2011-09-11 21:59  treellama

	* Source_Files/Misc/interface.cpp, Source_Files/shell.cpp:
	  use Aleph One rather than $appName$ in the about dialog and
	  command line

2011-09-09 01:09  treellama

	* Source_Files/Misc/interface.cpp:
	  always draw the Powered by Aleph One image; this causes an extra
	  blit of the entire intro buffer sometimes, maybe we should fix it

2011-09-08 02:36  treellama

	* Source_Files/Misc/Makefile.am, Source_Files/Misc/interface.cpp,
	  Source_Files/Misc/powered_by_alephone.h,
	  Source_Files/RenderOther/screen_drawing.cpp,
	  data/powered-by-alephone.svg:
	  draw a "Powered by Aleph One" logo in place of the version
	  string; clicking it brings up the About dialog which contains the
	  version string

2011-09-05 21:23  jeremiahmorris

	* PBProjects/SDLMain.m, Source_Files/CSeries/csstrings.cpp,
	  Source_Files/Misc/Logging.cpp, Source_Files/Misc/Logging.h,
	  Source_Files/Misc/alephversion.h,
	  Source_Files/Misc/interface.cpp, Source_Files/shell.cpp,
	  Source_Files/shell.h:
	  Use system APIs for finding directories on Mac OS X

2011-09-05 18:58  jeremiahmorris

	* Source_Files/Misc/preferences.cpp:
	  Clean up placeholder bundle name a bit

2011-09-05 18:20  treellama

	* Source_Files/Misc/DefaultStringSets.cpp:
	  these prompts end up being window titles, so make them upper case

2011-09-05 17:27  jeremiahmorris

	* Source_Files/CSeries/csalerts.mm,
	  Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_saved_objects.cpp,
	  Source_Files/Lua/lua_script.cpp,
	  Source_Files/Network/network_games.cpp:
	  Clean up a few warnings

2011-09-04 21:09  treellama

	* Source_Files/Misc/sdl_widgets.cpp,
	  Source_Files/Misc/sdl_widgets.h:
	  switch out of fullscreen before opening URLs in a browser

2011-09-04 20:18  jeremiahmorris

	* Source_Files/CSeries/csalerts.mm,
	  Source_Files/CSeries/csalerts_sdl.cpp,
	  Source_Files/CSeries/csstrings.cpp,
	  Source_Files/CSeries/csstrings.h,
	  Source_Files/Files/preprocess_map_shared.cpp,
	  Source_Files/Misc/DefaultStringSets.cpp,
	  Source_Files/Misc/Logging.cpp, Source_Files/Misc/alephversion.h,
	  Source_Files/Misc/interface.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Network/Metaserver/metaserver_dialogs.cpp,
	  Source_Files/Network/Update.cpp,
	  Source_Files/Network/network.cpp,
	  Source_Files/Network/network_dialogs.cpp, Source_Files/shell.cpp:
	  Centralize some hard-coded strings and URLs

2011-09-03 00:49  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Update theme directory properly in Xcode build (only clean builds
	  worked as intended)

2011-09-02 23:54  jeremiahmorris

	* Source_Files/Misc/sdl_widgets.cpp,
	  Source_Files/Misc/sdl_widgets.h:
	  Improve sanity of hyperlink widget constructor

2011-09-02 20:18  jeremiahmorris

	* Source_Files/CSeries/csalerts.h,
	  Source_Files/CSeries/csalerts.mm,
	  Source_Files/CSeries/csalerts_sdl.cpp,
	  Source_Files/Misc/interface.cpp,
	  Source_Files/Misc/sdl_dialogs.cpp,
	  Source_Files/Misc/sdl_dialogs.h,
	  Source_Files/Misc/sdl_widgets.cpp,
	  Source_Files/Misc/sdl_widgets.h, data/default_theme/theme2.mml:
	  Hyperlink widget for About dialog

2011-08-29 18:56  treellama

	* Source_Files/Misc/interface.cpp,
	  Source_Files/Misc/interface_menus.h,
	  Source_Files/RenderOther/screen_drawing.cpp,
	  Source_Files/RenderOther/screen_drawing.h,
	  Source_Files/shell.cpp:
	  a basic About dialog, no button yet so click in the lower right
	  corner or type A

2011-08-29 16:33  jeremiahmorris

	* Source_Files/Misc/interface.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h, Source_Files/shell.cpp:
	  Persistent crosshair preference

2011-08-29 15:42  jeremiahmorris

	* Source_Files/Misc/preferences_widgets_sdl.cpp:
	  Draw crosshair preview regardless of Lua HUD override

2011-08-29 15:32  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp:
	  Missed a spot in renaming crosshairs

2011-08-29 14:41  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_hud_script.cpp,
	  Source_Files/RenderMain/Crosshairs_SDL.cpp,
	  Source_Files/RenderMain/OGL_Render.cpp, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Use plural crosshairs for consistency

2011-08-29 04:40  jeremiahmorris

	* docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Documentation for Lua HUD crosshair API

2011-08-29 04:31  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_hud_script.cpp,
	  Source_Files/RenderMain/Crosshairs_SDL.cpp,
	  Source_Files/RenderMain/OGL_Render.cpp:
	  Lua HUD crosshair API

2011-08-26 02:31  jeremiahmorris

	* docs/MML.html:
	  Flag broken texture options as deprecated

2011-08-18 01:34  treellama

	* Source_Files/RenderMain/ImageLoader_Shared.cpp:
	  accept XBLA wall textures, which are missing one mipmap; log to
	  log instead of stderr

2011-08-13 02:47  treellama

	* Source_Files/Files/game_wad.cpp:
	  fix Marathon side lightsource guessing

2011-08-12 23:17  jeremiahmorris

	* data/default_theme/Makefile.am:
	  Include font licenses in Linux tarball

2011-08-12 02:57  treellama

	* Source_Files/RenderMain/shapes.cpp:
	  integrate the Marathon RLE converter from Bovine: Marathon RLE
	  collections now work

2011-08-12 01:32  treellama

	* data/default_theme/SquarishSansCT.README,
	  data/default_theme/Squarish_Sans_CT_Medium.ttf:
	  [Tim Larson] update to 0.8, include README

2011-08-09 00:15  treellama

	* Source_Files/Files/game_wad.cpp,
	  Source_Files/GameWorld/platforms.cpp,
	  Source_Files/GameWorld/platforms.h:
	  set _platform_is_door when constructing Marathon doors

2011-08-09 00:15  treellama

	* Source_Files/Files/FileHandler.cpp,
	  Source_Files/RenderMain/shapes.cpp:
	  ability to read Marathon shapes file wall textures

2011-08-09 00:15  treellama

	* Source_Files/Files/FileHandler.cpp:
	  recognize .scen files as maps

2011-08-06 16:33  jeremiahmorris

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/RenderOther/screen.cpp, Source_Files/shell.cpp,
	  Source_Files/shell.h:
	  Use monitor's native resolution by default

2011-08-03 01:03  treellama

	* Source_Files/Sound/Mixer.cpp:
	  SDL appears to give us the S8 audio buffer we requested, but then
	  doesn't set the signed flag on the obtained SDL_AudioFormat; just
	  ask for U8 instead

2011-08-02 02:26  treellama

	* Source_Files/Misc/preferences.cpp:
	  revert 4464; we're fixing SDL instead

2011-07-30 19:03  jeremiahmorris

	* THANKS:
	  Recognize contributors that might not belong in the AUTHORS file

2011-07-30 18:53  jeremiahmorris

	* AUTHORS:
	  Add additional contributors mentioned in SVN logs

2011-07-30 16:21  jeremiahmorris

	* AUTHORS:
	  Benoit Nadeau is credited for r24 and others

2011-07-30 16:11  jeremiahmorris

	* AUTHORS:
	  Chris Lovell is credited for r1004

2011-07-30 15:48  jeremiahmorris

	* AUTHORS:
	  Expand some username-only entries

2011-07-30 14:38  treellama

	* AUTHORS:
	  there's only one N in Glen

2011-07-30 03:07  treellama

	* AUTHORS:
	  add Jesse Luehrs

2011-07-30 03:04  treellama

	* AUTHORS:
	  add Clemens and Woody

2011-07-30 02:57  treellama

	* AUTHORS:
	  update AUTHORS based on revision history

2011-07-28 23:52  treellama

	* data/default_theme/Squarish_Sans_CT_Medium.ttf:
	  [Tim Larson] latest version of Squarish Sans: 0.7.2

2011-07-27 01:19  treellama

	* docs/MML.html:
	  control panel lines aren't currently used by the overhead map
	  renderer

2011-07-23 18:50  treellama

	* Source_Files/Misc/preferences.cpp:
	  software renderer crashes in Mac OS X Lion, so disable it

2011-07-18 01:31  treellama

	* Source_Files/Misc/alephversion.h:
	  beta 4

2011-07-17 19:24  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.h:
	  Grab camera position once per render, instead of once per node

2011-07-17 19:24  treellama

	* Source_Files/Files/game_wad.cpp:
	  false not FALSE

2011-07-17 19:01  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix landscape jitter in Shader

2011-07-17 15:14  treellama

	* Source_Files/Network/network_star_hub.cpp:
	  initialize mLastRecoverySend correctly; it follows
	  sNetworkTicker, not tick_count!

2011-07-16 23:16  treellama

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/GameWorld/map_constructors.cpp:
	  Infinity changes the way map indexes are calculated; only
	  applicable for film playback on unmerged maps

2011-07-16 19:39  treellama

	* Source_Files/Files/game_wad.cpp,
	  Source_Files/GameWorld/items.cpp, Source_Files/GameWorld/map.h:
	  let players know when it's time to play ball

2011-07-16 19:30  treellama

	* Source_Files/Network/network_games.cpp:
	  play the "you're it" sound in tag

2011-07-16 19:08  treellama

	* COPYING, Source_Files/CSeries/BStream.cpp,
	  Source_Files/CSeries/BStream.h,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/CSeries/NibsUiHelpers.h,
	  Source_Files/CSeries/byte_swapping.cpp,
	  Source_Files/CSeries/byte_swapping.h,
	  Source_Files/CSeries/csalerts.cpp,
	  Source_Files/CSeries/csalerts.h,
	  Source_Files/CSeries/csalerts.mm,
	  Source_Files/CSeries/csalerts_sdl.cpp,
	  Source_Files/CSeries/cscluts.cpp, Source_Files/CSeries/cscluts.h,
	  Source_Files/CSeries/cscluts_sdl.cpp,
	  Source_Files/CSeries/csdialogs.h,
	  Source_Files/CSeries/csdialogs_macintosh.cpp,
	  Source_Files/CSeries/csdialogs_sdl.cpp,
	  Source_Files/CSeries/cseries.a, Source_Files/CSeries/cseries.h,
	  Source_Files/CSeries/csfiles.cpp, Source_Files/CSeries/csfiles.h,
	  Source_Files/CSeries/csfiles_beos.cpp,
	  Source_Files/CSeries/csfonts.cpp, Source_Files/CSeries/csfonts.h,
	  Source_Files/CSeries/cskeys.h, Source_Files/CSeries/csmacros.h,
	  Source_Files/CSeries/csmisc.cpp, Source_Files/CSeries/csmisc.h,
	  Source_Files/CSeries/csmisc_sdl.cpp,
	  Source_Files/CSeries/cspixels.h,
	  Source_Files/CSeries/csstrings.cpp,
	  Source_Files/CSeries/csstrings.h, Source_Files/CSeries/cstypes.h,
	  Source_Files/CSeries/gdspec.cpp, Source_Files/CSeries/gdspec.h,
	  Source_Files/CSeries/my32bqd.cpp, Source_Files/CSeries/my32bqd.h,
	  Source_Files/CSeries/mytm.h,
	  Source_Files/CSeries/mytm_mac_carbon.cpp,
	  Source_Files/CSeries/mytm_macintosh.cpp,
	  Source_Files/CSeries/mytm_sdl.cpp,
	  Source_Files/CSeries/readout_data.h,
	  Source_Files/CSeries/snprintf.cpp,
	  Source_Files/CSeries/snprintf.h, Source_Files/Files/AStream.cpp,
	  Source_Files/Files/AStream.h, Source_Files/Files/FileHandler.cpp,
	  Source_Files/Files/FileHandler.h, Source_Files/Files/Packing.cpp,
	  Source_Files/Files/Packing.h, Source_Files/Files/crc.cpp,
	  Source_Files/Files/crc.h, Source_Files/Files/extensions.h,
	  Source_Files/Files/filetypes_macintosh.cpp,
	  Source_Files/Files/find_files.cpp,
	  Source_Files/Files/find_files.h,
	  Source_Files/Files/find_files_sdl.cpp,
	  Source_Files/Files/game_wad.cpp, Source_Files/Files/game_wad.h,
	  Source_Files/Files/import_definitions.cpp,
	  Source_Files/Files/mac_rwops.cpp, Source_Files/Files/mac_rwops.h,
	  Source_Files/Files/preprocess_map_mac.cpp,
	  Source_Files/Files/preprocess_map_sdl.cpp,
	  Source_Files/Files/preprocess_map_shared.cpp,
	  Source_Files/Files/resource_manager.cpp,
	  Source_Files/Files/resource_manager.h, Source_Files/Files/tags.h,
	  Source_Files/Files/wad.cpp, Source_Files/Files/wad.h,
	  Source_Files/Files/wad_macintosh.cpp,
	  Source_Files/Files/wad_prefs.cpp, Source_Files/Files/wad_prefs.h,
	  Source_Files/Files/wad_prefs_macintosh.cpp,
	  Source_Files/Files/wad_sdl.cpp,
	  Source_Files/GameWorld/TickBasedCircularQueue.h,
	  Source_Files/GameWorld/devices.cpp,
	  Source_Files/GameWorld/dynamic_limits.cpp,
	  Source_Files/GameWorld/dynamic_limits.h,
	  Source_Files/GameWorld/editor.h,
	  Source_Files/GameWorld/effect_definitions.h,
	  Source_Files/GameWorld/effects.cpp,
	  Source_Files/GameWorld/effects.h,
	  Source_Files/GameWorld/flood_map.cpp,
	  Source_Files/GameWorld/flood_map.h,
	  Source_Files/GameWorld/item_definitions.h,
	  Source_Files/GameWorld/items.cpp, Source_Files/GameWorld/items.h,
	  Source_Files/GameWorld/lightsource.cpp,
	  Source_Files/GameWorld/lightsource.h,
	  Source_Files/GameWorld/map.cpp, Source_Files/GameWorld/map.h,
	  Source_Files/GameWorld/map_constructors.cpp,
	  Source_Files/GameWorld/marathon2.cpp,
	  Source_Files/GameWorld/media.cpp, Source_Files/GameWorld/media.h,
	  Source_Files/GameWorld/media_definitions.h,
	  Source_Files/GameWorld/monster_definitions.h,
	  Source_Files/GameWorld/monsters.cpp,
	  Source_Files/GameWorld/monsters.h,
	  Source_Files/GameWorld/pathfinding.cpp,
	  Source_Files/GameWorld/physics.cpp,
	  Source_Files/GameWorld/physics_models.h,
	  Source_Files/GameWorld/placement.cpp,
	  Source_Files/GameWorld/platform_definitions.h,
	  Source_Files/GameWorld/platforms.cpp,
	  Source_Files/GameWorld/platforms.h,
	  Source_Files/GameWorld/player.cpp,
	  Source_Files/GameWorld/player.h,
	  Source_Files/GameWorld/projectile_definitions.h,
	  Source_Files/GameWorld/projectiles.cpp,
	  Source_Files/GameWorld/projectiles.h,
	  Source_Files/GameWorld/scenery.cpp,
	  Source_Files/GameWorld/scenery.h,
	  Source_Files/GameWorld/scenery_definitions.h,
	  Source_Files/GameWorld/weapon_definitions.h,
	  Source_Files/GameWorld/weapons.cpp,
	  Source_Files/GameWorld/weapons.h,
	  Source_Files/GameWorld/world.cpp, Source_Files/GameWorld/world.h,
	  Source_Files/Input/ISp_Support.cpp,
	  Source_Files/Input/ISp_Support.h, Source_Files/Input/joystick.h,
	  Source_Files/Input/joystick_sdl.cpp,
	  Source_Files/Input/mouse.cpp, Source_Files/Input/mouse.h,
	  Source_Files/Input/mouse_sdl.cpp,
	  Source_Files/Lua/language_definition.h,
	  Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_hud_objects.h,
	  Source_Files/Lua/lua_hud_script.cpp,
	  Source_Files/Lua/lua_hud_script.h, Source_Files/Lua/lua_map.cpp,
	  Source_Files/Lua/lua_map.h, Source_Files/Lua/lua_mnemonics.h,
	  Source_Files/Lua/lua_monsters.cpp,
	  Source_Files/Lua/lua_monsters.h,
	  Source_Files/Lua/lua_objects.cpp, Source_Files/Lua/lua_objects.h,
	  Source_Files/Lua/lua_player.cpp, Source_Files/Lua/lua_player.h,
	  Source_Files/Lua/lua_projectiles.cpp,
	  Source_Files/Lua/lua_projectiles.h,
	  Source_Files/Lua/lua_saved_objects.cpp,
	  Source_Files/Lua/lua_saved_objects.h,
	  Source_Files/Lua/lua_script.cpp, Source_Files/Lua/lua_script.h,
	  Source_Files/Lua/lua_serialize.cpp,
	  Source_Files/Lua/lua_serialize.h,
	  Source_Files/Lua/lua_templates.h,
	  Source_Files/Misc/ActionQueues.cpp,
	  Source_Files/Misc/ActionQueues.h,
	  Source_Files/Misc/CircularByteBuffer.cpp,
	  Source_Files/Misc/CircularByteBuffer.h,
	  Source_Files/Misc/CircularQueue.h, Source_Files/Misc/Console.cpp,
	  Source_Files/Misc/Console.h,
	  Source_Files/Misc/DefaultStringSets.cpp,
	  Source_Files/Misc/LocalEvents.h, Source_Files/Misc/Logging.cpp,
	  Source_Files/Misc/Logging.h,
	  Source_Files/Misc/Logging_gruntwork.h,
	  Source_Files/Misc/MacCheckbox.h,
	  Source_Files/Misc/OGL_Dialog.cpp,
	  Source_Files/Misc/PlayerDialogs.cpp,
	  Source_Files/Misc/PlayerImage_sdl.cpp,
	  Source_Files/Misc/PlayerImage_sdl.h,
	  Source_Files/Misc/PlayerName.cpp, Source_Files/Misc/PlayerName.h,
	  Source_Files/Misc/Random.h, Source_Files/Misc/Scenario.cpp,
	  Source_Files/Misc/Scenario.h, Source_Files/Misc/VecOps.h,
	  Source_Files/Misc/WindowedNthElementFinder.h,
	  Source_Files/Misc/alephversion.h, Source_Files/Misc/binders.h,
	  Source_Files/Misc/carbon_widgets.cpp,
	  Source_Files/Misc/carbon_widgets.h,
	  Source_Files/Misc/export_definitions.cpp,
	  Source_Files/Misc/game_errors.cpp,
	  Source_Files/Misc/game_errors.h, Source_Files/Misc/interface.cpp,
	  Source_Files/Misc/interface.h,
	  Source_Files/Misc/interface_menus.h,
	  Source_Files/Misc/key_definitions.h,
	  Source_Files/Misc/macintosh_network.h,
	  Source_Files/Misc/preference_dialogs.cpp,
	  Source_Files/Misc/preference_dialogs.h,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h,
	  Source_Files/Misc/preferences_widgets_sdl.cpp,
	  Source_Files/Misc/preferences_widgets_sdl.h,
	  Source_Files/Misc/progress.cpp, Source_Files/Misc/progress.h,
	  Source_Files/Misc/sdl_dialogs.cpp,
	  Source_Files/Misc/sdl_dialogs.h, Source_Files/Misc/sdl_network.h,
	  Source_Files/Misc/sdl_widgets.cpp,
	  Source_Files/Misc/sdl_widgets.h,
	  Source_Files/Misc/shared_widgets.cpp,
	  Source_Files/Misc/shared_widgets.h,
	  Source_Files/Misc/thread_priority_sdl.h,
	  Source_Files/Misc/thread_priority_sdl_dummy.cpp,
	  Source_Files/Misc/thread_priority_sdl_posix.cpp,
	  Source_Files/Misc/thread_priority_sdl_win32.cpp,
	  Source_Files/Misc/vbl.cpp, Source_Files/Misc/vbl.h,
	  Source_Files/Misc/vbl_definitions.h,
	  Source_Files/ModelView/Dim3_Loader.cpp,
	  Source_Files/ModelView/Dim3_Loader.h,
	  Source_Files/ModelView/MV_Shell.cp,
	  Source_Files/ModelView/Model3D.cpp,
	  Source_Files/ModelView/Model3D.h,
	  Source_Files/ModelView/ModelRenderer.cpp,
	  Source_Files/ModelView/ModelRenderer.h,
	  Source_Files/ModelView/QD3D_Loader.cpp,
	  Source_Files/ModelView/QD3D_Loader.h,
	  Source_Files/ModelView/StudioLoader.cpp,
	  Source_Files/ModelView/StudioLoader.h,
	  Source_Files/ModelView/WavefrontLoader.cpp,
	  Source_Files/ModelView/WavefrontLoader.h,
	  Source_Files/Network/ConnectPool.cpp,
	  Source_Files/Network/ConnectPool.h,
	  Source_Files/Network/Metaserver/NibsMetaserverClientUi.cpp,
	  Source_Files/Network/Metaserver/SdlMetaserverClientUi.cpp,
	  Source_Files/Network/Metaserver/metaserver_dialogs.cpp,
	  Source_Files/Network/Metaserver/metaserver_dialogs.h,
	  Source_Files/Network/Metaserver/metaserver_messages.cpp,
	  Source_Files/Network/Metaserver/metaserver_messages.h,
	  Source_Files/Network/Metaserver/network_metaserver.cpp,
	  Source_Files/Network/Metaserver/network_metaserver.h,
	  Source_Files/Network/NetworkGameProtocol.h,
	  Source_Files/Network/RingGameProtocol.cpp,
	  Source_Files/Network/RingGameProtocol.h,
	  Source_Files/Network/StarGameProtocol.cpp,
	  Source_Files/Network/StarGameProtocol.h,
	  Source_Files/Network/Update.cpp, Source_Files/Network/Update.h,
	  Source_Files/Network/network.cpp, Source_Files/Network/network.h,
	  Source_Files/Network/network_audio_shared.h,
	  Source_Files/Network/network_capabilities.cpp,
	  Source_Files/Network/network_capabilities.h,
	  Source_Files/Network/network_data_formats.cpp,
	  Source_Files/Network/network_data_formats.h,
	  Source_Files/Network/network_ddp.cpp,
	  Source_Files/Network/network_dialog_widgets_sdl.cpp,
	  Source_Files/Network/network_dialog_widgets_sdl.h,
	  Source_Files/Network/network_dialogs.cpp,
	  Source_Files/Network/network_dialogs.h,
	  Source_Files/Network/network_distribution_types.h,
	  Source_Files/Network/network_dummy.cpp,
	  Source_Files/Network/network_games.cpp,
	  Source_Files/Network/network_games.h,
	  Source_Files/Network/network_lookup.cpp,
	  Source_Files/Network/network_lookup_sdl.cpp,
	  Source_Files/Network/network_lookup_sdl.h,
	  Source_Files/Network/network_messages.cpp,
	  Source_Files/Network/network_messages.h,
	  Source_Files/Network/network_microphone.cpp,
	  Source_Files/Network/network_microphone_coreaudio.cpp,
	  Source_Files/Network/network_microphone_sdl_alsa.cpp,
	  Source_Files/Network/network_microphone_sdl_dummy.cpp,
	  Source_Files/Network/network_microphone_sdl_win32.cpp,
	  Source_Files/Network/network_microphone_shared.cpp,
	  Source_Files/Network/network_microphone_shared.h,
	  Source_Files/Network/network_names.cpp,
	  Source_Files/Network/network_private.h,
	  Source_Files/Network/network_sound.h,
	  Source_Files/Network/network_speaker.cpp,
	  Source_Files/Network/network_speaker_sdl.cpp,
	  Source_Files/Network/network_speaker_sdl.h,
	  Source_Files/Network/network_speaker_shared.cpp,
	  Source_Files/Network/network_speex.cpp,
	  Source_Files/Network/network_speex.h,
	  Source_Files/Network/network_star.h,
	  Source_Files/Network/network_star_hub.cpp,
	  Source_Files/Network/network_star_spoke.cpp,
	  Source_Files/Network/network_udp.cpp,
	  Source_Files/Network/network_udp_opentransport.cpp,
	  Source_Files/RenderMain/AnimatedTextures.cpp,
	  Source_Files/RenderMain/AnimatedTextures.h,
	  Source_Files/RenderMain/Crosshairs.cpp,
	  Source_Files/RenderMain/Crosshairs.h,
	  Source_Files/RenderMain/Crosshairs_SDL.cpp,
	  Source_Files/RenderMain/DDS.h,
	  Source_Files/RenderMain/ImageLoader.h,
	  Source_Files/RenderMain/ImageLoader_Macintosh.cpp,
	  Source_Files/RenderMain/ImageLoader_SDL.cpp,
	  Source_Files/RenderMain/ImageLoader_Shared.cpp,
	  Source_Files/RenderMain/NewRenderPlaceObjs.h,
	  Source_Files/RenderMain/NewRenderVisTree.h,
	  Source_Files/RenderMain/OGL_Faders.cpp,
	  Source_Files/RenderMain/OGL_Faders.h,
	  Source_Files/RenderMain/OGL_Headers.h,
	  Source_Files/RenderMain/OGL_Model_Def.cpp,
	  Source_Files/RenderMain/OGL_Model_Def.h,
	  Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/OGL_Render.h,
	  Source_Files/RenderMain/OGL_Setup.cpp,
	  Source_Files/RenderMain/OGL_Setup.h,
	  Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h,
	  Source_Files/RenderMain/OGL_Subst_Texture_Def.cpp,
	  Source_Files/RenderMain/OGL_Subst_Texture_Def.h,
	  Source_Files/RenderMain/OGL_Texture_Def.h,
	  Source_Files/RenderMain/OGL_Textures.cpp,
	  Source_Files/RenderMain/OGL_Textures.h,
	  Source_Files/RenderMain/Rasterizer.h,
	  Source_Files/RenderMain/Rasterizer_OGL.h,
	  Source_Files/RenderMain/Rasterizer_SW.h,
	  Source_Files/RenderMain/RenderPlaceObjs.cpp,
	  Source_Files/RenderMain/RenderPlaceObjs.h,
	  Source_Files/RenderMain/RenderRasterize.cpp,
	  Source_Files/RenderMain/RenderRasterize.h,
	  Source_Files/RenderMain/RenderSortPoly.cpp,
	  Source_Files/RenderMain/RenderSortPoly.h,
	  Source_Files/RenderMain/RenderVisTree.cpp,
	  Source_Files/RenderMain/RenderVisTree.h,
	  Source_Files/RenderMain/SW_Texture_Extras.cpp,
	  Source_Files/RenderMain/SW_Texture_Extras.h,
	  Source_Files/RenderMain/WorkQueue.h,
	  Source_Files/RenderMain/collection_definition.h,
	  Source_Files/RenderMain/low_level_textures.h,
	  Source_Files/RenderMain/quadruple.s,
	  Source_Files/RenderMain/render.cpp,
	  Source_Files/RenderMain/render.h,
	  Source_Files/RenderMain/scottish_textures.a,
	  Source_Files/RenderMain/scottish_textures.cpp,
	  Source_Files/RenderMain/scottish_textures.h,
	  Source_Files/RenderMain/scottish_textures16.a,
	  Source_Files/RenderMain/shape_definitions.h,
	  Source_Files/RenderMain/shape_descriptors.h,
	  Source_Files/RenderMain/shapes.cpp,
	  Source_Files/RenderMain/textures.cpp,
	  Source_Files/RenderMain/textures.h,
	  Source_Files/RenderOther/ChaseCam.cpp,
	  Source_Files/RenderOther/ChaseCam.h,
	  Source_Files/RenderOther/FaderClassic.cpp,
	  Source_Files/RenderOther/FontHandler.cpp,
	  Source_Files/RenderOther/FontHandler.h,
	  Source_Files/RenderOther/HUDRenderer.cpp,
	  Source_Files/RenderOther/HUDRenderer.h,
	  Source_Files/RenderOther/HUDRenderer_Lua.cpp,
	  Source_Files/RenderOther/HUDRenderer_Lua.h,
	  Source_Files/RenderOther/HUDRenderer_OGL.cpp,
	  Source_Files/RenderOther/HUDRenderer_OGL.h,
	  Source_Files/RenderOther/HUDRenderer_SW.cpp,
	  Source_Files/RenderOther/HUDRenderer_SW.h,
	  Source_Files/RenderOther/Image_Blitter.cpp,
	  Source_Files/RenderOther/Image_Blitter.h,
	  Source_Files/RenderOther/OGL_Blitter.cpp,
	  Source_Files/RenderOther/OGL_Blitter.h,
	  Source_Files/RenderOther/OGL_LoadScreen.cpp,
	  Source_Files/RenderOther/OGL_LoadScreen.h,
	  Source_Files/RenderOther/OverheadMapRenderer.cpp,
	  Source_Files/RenderOther/OverheadMapRenderer.h,
	  Source_Files/RenderOther/OverheadMap_OGL.cpp,
	  Source_Files/RenderOther/OverheadMap_OGL.h,
	  Source_Files/RenderOther/OverheadMap_QD.cpp,
	  Source_Files/RenderOther/OverheadMap_QD.h,
	  Source_Files/RenderOther/OverheadMap_SDL.cpp,
	  Source_Files/RenderOther/OverheadMap_SDL.h,
	  Source_Files/RenderOther/Shape_Blitter.cpp,
	  Source_Files/RenderOther/Shape_Blitter.h,
	  Source_Files/RenderOther/TextLayoutHelper.cpp,
	  Source_Files/RenderOther/TextLayoutHelper.h,
	  Source_Files/RenderOther/TextStrings.cpp,
	  Source_Files/RenderOther/TextStrings.h,
	  Source_Files/RenderOther/ViewControl.cpp,
	  Source_Files/RenderOther/ViewControl.h,
	  Source_Files/RenderOther/computer_interface.cpp,
	  Source_Files/RenderOther/computer_interface.h,
	  Source_Files/RenderOther/fades.cpp,
	  Source_Files/RenderOther/fades.h,
	  Source_Files/RenderOther/game_window.cpp,
	  Source_Files/RenderOther/game_window.h,
	  Source_Files/RenderOther/images.cpp,
	  Source_Files/RenderOther/images.h,
	  Source_Files/RenderOther/motion_sensor.cpp,
	  Source_Files/RenderOther/motion_sensor.h,
	  Source_Files/RenderOther/overhead_map.cpp,
	  Source_Files/RenderOther/overhead_map.h,
	  Source_Files/RenderOther/screen.a,
	  Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/screen.h,
	  Source_Files/RenderOther/screen_definitions.h,
	  Source_Files/RenderOther/screen_drawing.cpp,
	  Source_Files/RenderOther/screen_drawing.h,
	  Source_Files/RenderOther/screen_shared.h,
	  Source_Files/RenderOther/sdl_fonts.cpp,
	  Source_Files/RenderOther/sdl_fonts.h,
	  Source_Files/Sound/BasicIFFDecoder.cpp,
	  Source_Files/Sound/BasicIFFDecoder.h,
	  Source_Files/Sound/Decoder.cpp, Source_Files/Sound/Decoder.h,
	  Source_Files/Sound/MADDecoder.cpp,
	  Source_Files/Sound/MADDecoder.h, Source_Files/Sound/Mixer.cpp,
	  Source_Files/Sound/Mixer.h, Source_Files/Sound/Music.cpp,
	  Source_Files/Sound/Music.h,
	  Source_Files/Sound/ReplacementSounds.cpp,
	  Source_Files/Sound/ReplacementSounds.h,
	  Source_Files/Sound/SndfileDecoder.cpp,
	  Source_Files/Sound/SndfileDecoder.h,
	  Source_Files/Sound/SoundFile.cpp, Source_Files/Sound/SoundFile.h,
	  Source_Files/Sound/SoundManager.cpp,
	  Source_Files/Sound/SoundManager.h,
	  Source_Files/Sound/SoundManagerEnums.h,
	  Source_Files/Sound/VorbisDecoder.cpp,
	  Source_Files/Sound/VorbisDecoder.h,
	  Source_Files/Sound/song_definitions.h,
	  Source_Files/Sound/sound_definitions.h,
	  Source_Files/XML/ColorParser.cpp, Source_Files/XML/ColorParser.h,
	  Source_Files/XML/DamageParser.cpp,
	  Source_Files/XML/DamageParser.h, Source_Files/XML/Plugins.cpp,
	  Source_Files/XML/Plugins.h, Source_Files/XML/ShapesParser.cpp,
	  Source_Files/XML/ShapesParser.h,
	  Source_Files/XML/XML_Configure.cpp,
	  Source_Files/XML/XML_Configure.h,
	  Source_Files/XML/XML_DataBlock.cpp,
	  Source_Files/XML/XML_DataBlock.h,
	  Source_Files/XML/XML_ElementParser.cpp,
	  Source_Files/XML/XML_ElementParser.h,
	  Source_Files/XML/XML_LevelScript.cpp,
	  Source_Files/XML/XML_LevelScript.h,
	  Source_Files/XML/XML_Loader_SDL.cpp,
	  Source_Files/XML/XML_Loader_SDL.h,
	  Source_Files/XML/XML_MakeRoot.cpp,
	  Source_Files/XML/XML_ParseTreeRoot.h,
	  Source_Files/XML/XML_ResourceFork.cpp,
	  Source_Files/XML/XML_ResourceFork.h, Source_Files/shell.cpp,
	  Source_Files/shell.h, Source_Files/shell_misc.cpp:
	  Aleph One is now GPL 3

2011-07-13 02:28  treellama

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/GameWorld/monsters.cpp:
	  Marathon Infinity fixes tag in a different way than Aleph One

2011-07-10 17:49  treellama

	* docs/Lua.html, docs/Lua.xml:
	  add a warning not to access the APIs until init() is called

2011-07-10 16:16  treellama

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/GameWorld/monsters.cpp:
	  Marathon 2 and Infinity impart vertical velocity to high damage
	  fusion explosions; fixes miha's and Sumner's films of Infinity If
	  I Had a Rocket Launcher...

2011-07-10 01:18  treellama

	* Source_Files/Network/network_star_hub.cpp:
	  some systems don't define INT8_MAX?

2011-07-04 16:13  treellama

	* Source_Files/Network/network_star_hub.cpp:
	  clamp timing adjustment before casting to byte
	  should fix some netgames that can't get back in time due to
	  extremely negative timing adjustment

2011-07-04 16:09  treellama

	* Source_Files/Network/network_star_hub.cpp:
	  we don't need jitter compensation, just use one of the smallest
	  elements in the elementFinder for timing adjustments

2011-07-04 02:31  jeremiahmorris

	* data/default_theme/theme2.mml:
	  Make name area on metaserver chat lines wide enough for default
	  guest names

2011-07-03 02:54  treellama

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/Files/game_wad.cpp, Source_Files/GameWorld/map.cpp,
	  Source_Files/GameWorld/projectiles.cpp,
	  Source_Files/GameWorld/projectiles.h,
	  Source_Files/Misc/preferences.cpp:
	  implement a film profile for Infinity
	  now you can watch Miha's Poor Yorick vidmaster film

2011-06-30 01:39  jeremiahmorris

	* Source_Files/Misc/sdl_dialogs.cpp:
	  Reset adjust_height font parameter when switching themes (fixes
	  Halatheme breaking metaserver window)

2011-06-28 01:05  treellama

	* Source_Files/Files/FileHandler.cpp,
	  Source_Files/Files/FileHandler.h:
	  default to the directory of the currently selected map in the SNG
	  map selector

2011-06-27 01:26  treellama

	* Source_Files/Misc/alephversion.h:
	  version numbers for beta 3

2011-06-26 18:34  treellama

	* Source_Files/GameWorld/physics.cpp,
	  Source_Files/Input/mouse_sdl.cpp:
	  [Jeremiah Morris] make mouse rounding errors symmetric

2011-06-26 17:24  treellama

	* Source_Files/Network/network_star_hub.cpp:
	  player_info Pascal strings(!) aren't even considerate enough to
	  be null-terminated

2011-06-26 15:29  jeremiahmorris

	* docs/MML.html:
	  Mention landscape-mirroring feature in documentation

2011-06-26 15:24  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Refactor landscape shader, and fix NPOT problem

2011-06-26 02:56  treellama

	* Source_Files/Misc/Logging.cpp, Source_Files/shell.cpp:
	  clean up logging location code; stop logging to scenario
	  directory in Windows

2011-06-25 19:15  treellama

	* Source_Files/shell.cpp:
	  move Windows preferences to CSIDL_LOCAL_APPDATA
	  use CSIL_PERSONAL for new local data dir in Windows, but don't
	  migrate old files

2011-06-25 18:26  treellama

	* Source_Files/RenderMain/Rasterizer_Shader.cpp:
	  near and far are empty macros in windef.h(!)

2011-06-25 17:22  jeremiahmorris

	* PBProjects/SDLMain.m:
	  Keep Cocoa from complaining about the command line

2011-06-25 16:56  treellama

	* Source_Files/shell.cpp:
	  don't create directories inside the application bundle

2011-06-25 01:55  treellama

	* Source_Files/Files/FileHandler.cpp,
	  Source_Files/Files/FileHandler.h,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h, Source_Files/shell.cpp:
	  transition Mac OS X preferences to
	  ~/Library/Preferences/org.bungie.source.AlephOne/

2011-06-24 01:32  treellama

	* Source_Files/shell.cpp:
	  log unhandled exceptions to Aleph One Log.txt instead of stderr

2011-06-23 01:35  jeremiahmorris

	* Source_Files/RenderMain/OGL_Model_Def.cpp:
	  Accept + and - for model side and depth_type attributes, as
	  documented

2011-06-23 01:32  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  apply r4428 changes to landscape bloom fragment shader

2011-06-22 23:39  jeremiahmorris

	* Source_Files/shell.cpp:
	  Treat "choose a scenario" selection like a command-line argument

2011-06-22 22:35  jeremiahmorris

	* Source_Files/Misc/interface.cpp:
	  Switch to proper resolution before pre-level movies

2011-06-22 16:48  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Fix no-repeat landscapes; adjust zoom to match Classic better

2011-06-22 01:44  treellama

	* Source_Files/RenderMain/OGL_Subst_Texture_Def.cpp:
	  log a warning rather than generating a parse error when
	  encountering image_scale tag

2011-06-22 01:26  treellama

	* Source_Files/shell.cpp:
	  don't push default_data_dir onto search path if arg_directory is
	  set

2011-06-21 05:45  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Use simpler bloom filter, midway between box and Gaussian

2011-06-21 02:07  treellama

	* Source_Files/shell.cpp:
	  directory argument should take precedence over ALEPHONE_DATA

2011-06-20 01:43  treellama

	* Source_Files/Network/network_star_hub.cpp:
	  add some timing adjustment logging for beta 3
	  create "TimingDebug" directory in local data to enable

2011-06-19 15:49  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  For bloom without sRGB buffers, do blending with FBOs

2011-06-19 01:38  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.h:
	  Stop leaking Blur objects (thx treellama)

2011-06-18 23:01  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/OGL_Setup.cpp,
	  Source_Files/RenderMain/OGL_Setup.h,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Use sRGB framebuffers for bloom when available

2011-06-18 21:35  jeremiahmorris

	* Source_Files/Misc/preference_dialogs.cpp,
	  Source_Files/Misc/preferences.cpp:
	  Remove checkbox for GCB preference

2011-06-18 15:50  hogdotmac

	* Source_Files/ModelView/Model3D.cpp,
	  Source_Files/ModelView/WavefrontLoader.cpp,
	  Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderMain/vec3.h,
	  Source_Files/RenderOther/screen.cpp:
	  reverse merge r4415:4414 r4410:4405

2011-06-13 14:01  hogdotmac

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  fixed a bug in the bump mapping shader

2011-06-12 22:12  jeremiahmorris

	* Source_Files/RenderMain/OGL_Subst_Texture_Def.cpp,
	  Source_Files/RenderMain/OGL_Subst_Texture_Def.h,
	  Source_Files/RenderMain/shapes.cpp, docs/MML.html:
	  New API for resizing shapes to match OpenGL replacement images;
	  see http://www.pfhorums.com/index.php?showtopic=6910

2011-06-12 00:36  jeremiahmorris

	* docs/MML.html:
	  Document actual_width and actual_height attributes

2011-06-11 18:22  jeremiahmorris

	* Source_Files/Misc/interface.cpp:
	  Apply correct cheat flags when joining a saved net game

2011-06-11 16:23  jeremiahmorris

	* Source_Files/Misc/interface.cpp:
	  Load Lua HUD when joining a saved net game

2011-06-11 01:58  hogdotmac

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  updated specular shader to usenormal map alpha as specular map

2011-06-10 17:13  hogdotmac

	* Source_Files/ModelView/Model3D.cpp,
	  Source_Files/ModelView/WavefrontLoader.cpp,
	  Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  fix a normal map normalization issue in shader, added specular
	  shader, improved tangent generation

2011-06-10 11:25  hogdotmac

	* Source_Files/ModelView/Model3D.cpp:
	  shorten code from previous commit

2011-06-10 11:19  hogdotmac

	* Source_Files/ModelView/Model3D.cpp,
	  Source_Files/ModelView/WavefrontLoader.cpp,
	  Source_Files/RenderMain/vec3.h:
	  fix tangent calculations

2011-06-09 20:12  hogdotmac

	* Source_Files/ModelView/Model3D.cpp,
	  Source_Files/ModelView/WavefrontLoader.cpp,
	  Source_Files/RenderMain/vec3.h:
	  updated tangent space calculations for .obj

2011-06-09 02:55  treellama

	* Source_Files/Network/network_star_hub.cpp:
	  fix outstanding timing adjustment jitter compensation

2011-05-31 16:30  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Shader landscapes display like classic (at least, at default FOV
	  and aspect ratio)

2011-05-31 02:33  treellama

	* Source_Files/Lua/lua_script.cpp:
	  log an error when running a Lua script fails (we already
	  loading/parsing fails, and when trigger calls fail)

2011-05-31 01:11  jeremiahmorris

	* Source_Files/RenderMain/Rasterizer_Shader.cpp:
	  Fix perspective problems in Shader's projection calculations

2011-05-31 01:06  jeremiahmorris

	* Source_Files/RenderMain/render.cpp:
	  Fix FOV error in Limit Vertical View

2011-05-30 07:27  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Model lighting broke in r4267

2011-05-27 17:30  jeremiahmorris

	* Source_Files/GameWorld/map.h, Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/vbl.cpp, Source_Files/Network/network.cpp,
	  Source_Files/Network/network.h,
	  Source_Files/Network/network_dialogs.cpp,
	  Source_Files/Network/network_dialogs.h,
	  Source_Files/RenderOther/screen.cpp:
	  hosts can allow overlay map in net games

2011-05-26 02:39  treellama

	* data/default_theme/Squarish_Sans_CT_Medium.ttf:
	  latest version of Squarish Sans

2011-05-25 02:10  treellama

	* Source_Files/XML/Plugins.cpp:
	  log a warning rather than trying to parse missing MML files in
	  plugins

2011-05-25 01:40  treellama

	* Source_Files/Network/network_dialogs.cpp:
	  don't let the user proceed to gathering if a valid level isn't
	  selected in SNG

2011-05-25 01:09  treellama

	* Source_Files/RenderMain/OGL_Setup.cpp:
	  don't be fooled by substrings
	  fixes compressed textures on drivers without S3TC support

2011-04-18 01:40  treellama

	* Source_Files/Misc/alephversion.h:
	  1.0 beta 2

2011-04-17 03:21  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  disable glClipVertex in Mesa; SF 3198132

2011-04-17 03:05  treellama

	* Source_Files/Misc/alephversion.h,
	  Source_Files/Misc/interface.cpp:
	  remove "Aleph One" from A1_VERSION_STRING, add it to main screen;
	  fixes SF 3198121

2011-04-17 02:51  treellama

	* Source_Files/RenderOther/ViewControl.cpp:
	  fix on-screen messages when SDL_ttf is disabled

2011-04-17 02:24  treellama

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/RenderMain/Makefile.am,
	  Source_Files/RenderMain/OGL_Setup.cpp,
	  Source_Files/RenderMain/OGL_Setup.h,
	  Source_Files/RenderMain/render.cpp,
	  Source_Files/RenderOther/Shape_Blitter.cpp,
	  Source_Files/RenderOther/screen_shared.h, configure.ac:
	  [pickle136] (with modifications) software render only (no opengl)
	  now works

2011-04-16 19:59  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Another go at bloom

2011-04-05 21:05  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Recalibrated bloom shaders

2011-04-05 17:57  jeremiahmorris

	* Source_Files/RenderMain/OGL_Subst_Texture_Def.cpp,
	  Source_Files/RenderMain/OGL_Texture_Def.h,
	  Source_Files/RenderMain/OGL_Textures.h,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  docs/MML.html:
	  Add new texture option for landscape-specific bloom

2011-04-05 03:08  jeremiahmorris

	* Source_Files/Misc/preferences_widgets_sdl.h,
	  Source_Files/Misc/sdl_widgets.cpp:
	  Fix a few issues with displaying plugins list

2011-04-05 03:01  treellama

	* Source_Files/RenderMain/OGL_Subst_Texture_Def.cpp:
	  <texture> MML only overrides the attributes specified

2011-03-30 02:36  treellama

	* Source_Files/RenderMain/OGL_Subst_Texture_Def.cpp:
	  replace homegrown vector+hash complication with an unordered_map

2011-03-27 03:06  treellama

	* Source_Files/RenderOther/IMG_savepng.c:
	  png 1.5 doesn't include zlib.h in png.h

2011-03-26 23:58  jeremiahmorris

	* Source_Files/GameWorld/player.cpp:
	  Don't skip oxygen warning sounds when draining multiple points
	  per tick (fixes SF 1663071)

2011-03-25 17:19  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  Check for another shader extension that should be present

2011-03-25 17:06  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  Disable Shader renderer when graphics card doesn't support it

2011-03-25 15:45  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp:
	  Log when unavailable OpenGL features are disabled

2011-03-25 15:09  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp:
	  Disable bloom when driver support is lacking

2011-03-23 03:43  jeremiahmorris

	* Source_Files/Misc/preference_dialogs.cpp,
	  Source_Files/Misc/preference_dialogs.h,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/OGL_Setup.cpp,
	  Source_Files/RenderMain/OGL_Setup.h:
	  Reverse NPOT preference, disable NPOT by default, and explain the
	  checkbox a bit

2011-03-23 03:08  jeremiahmorris

	* Source_Files/Misc/interface.cpp:
	  Clear old un-caught errors before starting a game

2011-03-23 03:06  jeremiahmorris

	* Source_Files/Misc/interface.cpp:
	  Check for moved-map errors instead of crashing

2011-03-23 02:39  treellama

	* Source_Files/shell.cpp:
	  add file command line option to usage screen

2011-03-23 02:30  treellama

	* Source_Files/shell.cpp:
	  restore drag and drop functionality (via command line arguments)

2011-03-23 01:41  treellama

	* Source_Files/Misc/interface.cpp:
	  start saving a version number in films
	  read version number from films, and use it for film profile, in
	  case someone wants to write a film updater utility

2011-03-23 01:09  treellama

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  FALSE isn't defined, but GL_FALSE is

2011-03-20 15:24  jeremiahmorris

	* Source_Files/shell.cpp:
	  Add choose-a-scenario folder to front of search path, so search
	  order is more like drag-and-drop case

2011-03-20 15:00  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  More consistent bloom between sRGB and non-sRGB modes

2011-03-20 02:50  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp:
	  Make sRGB fog less broken

2011-03-20 01:49  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Match up sRGB bloom a bit better

2011-03-19 18:59  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Limit the degree to which sprites avoid depth-clipping (can be
	  adjusted by a shader plugin)

2011-03-19 18:40  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Tell sprite shader when we require accurate z-buffer

2011-03-14 02:00  treellama

	* Source_Files/Misc/sdl_dialogs.cpp:
	  fix loading zipped theme plugin images

2011-03-10 01:51  treellama

	* Source_Files/Lua/lua_projectiles.cpp, docs/Lua.html,
	  docs/Lua.xml:
	  Lua projectile:delete()

2011-03-10 01:27  treellama

	* Source_Files/GameWorld/physics.cpp,
	  Source_Files/GameWorld/player.h,
	  Source_Files/RenderOther/ChaseCam.cpp:
	  fix chase cam causing OOS, by correcting view bob before
	  rendering instead of in physics

2011-03-06 18:45  jeremiahmorris

	* Source_Files/GameWorld/physics.cpp:
	  Forgot to remove obsolete comment

2011-03-06 18:44  jeremiahmorris

	* Source_Files/GameWorld/physics.cpp:
	  Fix a chase-cam OOS; looks cooler without the hack anyway

2011-03-06 18:36  jeremiahmorris

	* Source_Files/Misc/vbl.cpp:
	  Use a consistent set of cheat_flags during replays

2011-03-06 01:31  jeremiahmorris

	* Source_Files/RenderOther/ChaseCam.cpp:
	  Avoid crashing on uninitialized chase-cam data

2011-03-05 01:36  jeremiahmorris

	* Source_Files/Misc/sdl_dialogs.cpp:
	  Clear screen on every OpenGL dialog update, to fix flicker on
	  triple-buffered cards

2011-03-04 20:50  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  Fix HUD flicker when toggling map

2011-03-04 17:13  jeremiahmorris

	* Source_Files/Misc/sdl_dialogs.cpp:
	  Better fix than r4331 for preventing main menu's display

2011-03-04 00:26  jeremiahmorris

	* Source_Files/RenderOther/HUDRenderer.cpp:
	  Fix gap in HUD when health/oxygen is low

2011-03-03 05:37  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Fix no-repeat landscapes like Tempus Irae's (regressed in r4254)

2011-03-03 02:27  jeremiahmorris

	* Source_Files/Misc/preference_dialogs.cpp:
	  Use 3-column layout for texture filter prefs

2011-03-03 01:14  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp:
	  Left debug statement in last commit

2011-03-02 22:56  jeremiahmorris

	* Source_Files/Misc/preference_dialogs.cpp,
	  Source_Files/Misc/preference_dialogs.h,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/OGL_Setup.cpp,
	  Source_Files/RenderMain/OGL_Setup.h:
	  Preference to disable NPOT

2011-03-02 21:46  jeremiahmorris

	* Source_Files/Misc/sdl_dialogs.cpp:
	  No need to reinvent clear_screen

2011-03-02 21:46  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  Clear after swap in clear_screen

2011-02-28 04:03  jeremiahmorris

	* Source_Files/Misc/sdl_dialogs.cpp:
	  Keep main menu from appearing when we toggle fullscreen during
	  prefs

2011-02-26 20:30  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Lua HUD accessor for Overlay Map preference

2011-02-26 16:17  jeremiahmorris

	* Source_Files/CSeries/csalerts_sdl.cpp:
	  Expand current directory in Windows choose-scenario dialog

2011-02-26 15:39  jeremiahmorris

	* ., Source_Files, Source_Files/CSeries, Source_Files/Expat,
	  Source_Files/Files, Source_Files/GameWorld, Source_Files/Input,
	  Source_Files/LibNAT, Source_Files/Lua, Source_Files/Misc,
	  Source_Files/ModelView, Source_Files/Network,
	  Source_Files/Network/Metaserver, Source_Files/RenderMain,
	  Source_Files/RenderOther, Source_Files/Sound,
	  Source_Files/TCPMess, Source_Files/XML, data, data/default_theme,
	  tools:
	  svn:ignore Windows build files

2011-02-26 15:26  jeremiahmorris

	* Source_Files/CSeries/csalerts_sdl.cpp:
	  Select current directory in Windows choose-scenario dialog

2011-02-26 15:18  jeremiahmorris

	* Source_Files/CSeries/csalerts_sdl.cpp:
	  Get absolute path from Windows choose-scenario dialog

2011-02-25 20:44  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  Confine overlay map to 3D world's display rectangle

2011-02-25 02:00  treellama

	* data/default_theme/Squarish_Sans_CT_Medium.ttf:
	  update to version 0.6

2011-02-25 01:59  treellama

	* data/default_theme/DejaVuLGCSansCondensed-BoldBold.ttf,
	  data/default_theme/Makefile.am, data/default_theme/theme2.mml:
	  add a bolder bold font to work around SDL_ttf 2.0.10 not
	  emboldening already bold fonts

2011-02-24 21:21  jeremiahmorris

	* Source_Files/shell.cpp:
	  Un-darken term in SW mode when we resume after alt-tabbing out

2011-02-24 20:41  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  Actually change bit depth when requested, instead of crashing
	  later

2011-02-24 20:20  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  Fix bugs when changing resolution with F3

2011-02-22 02:29  treellama

	* Source_Files/Misc/vbl.cpp:
	  apparently Marathon 2 did save empty chunks, so note when we see
	  them in the log but don't assert out

2011-02-21 04:16  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp:
	  Static transfer mode for OpenGL (Classic)

2011-02-21 02:42  treellama

	* Source_Files/Misc/alephversion.h:
	  1.0 beta 1

2011-02-21 02:41  treellama

	* Makefile.am:
	  use xz instead of 7zip for MacWinSrc

2011-02-21 02:34  jeremiahmorris

	* Source_Files/RenderMain/scottish_textures.cpp:
	  Fix crash with SW static floors

2011-02-21 02:28  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Static transfer mode for Shader

2011-02-21 01:04  jeremiahmorris

	* Source_Files/Lua/lua_mnemonics.h, docs/Lua.html, docs/Lua.xml:
	  Add static transfer mode to Lua

2011-02-21 00:57  jeremiahmorris

	* Source_Files/RenderMain/low_level_textures.h,
	  Source_Files/RenderMain/scottish_textures.cpp:
	  Restore static texture mode in SW renderer

2011-02-20 22:48  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  Turn off translucent map during net games, until it's provided as
	  an option

2011-02-20 22:46  jeremiahmorris

	* Source_Files/RenderMain/render.cpp,
	  Source_Files/RenderOther/OverheadMap_OGL.cpp,
	  Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/screen.h:
	  Refactor translucent-map checks

2011-02-20 16:06  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  sRGB and Shader get along again

2011-02-20 03:33  treellama

	* Source_Files/Misc/preference_dialogs.cpp,
	  Source_Files/Misc/preference_dialogs.h:
	  allow selecting GL_NEAREST for near and far filters, in case you
	  miss software mode

2011-02-19 20:06  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  use a GLSL preprocessor macro to disable the clip vertex, rather
	  than string replacement

2011-02-19 19:34  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  fix shader renderer in Mac OS X 10.4

2011-02-19 15:54  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  Use alpha-less pixel format for intro-screen buffer; fixes
	  problem with menu buttons on PPC

2011-02-19 03:51  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  this allows vertex shader to compile in 10.4 again, but
	  everything is black

2011-02-19 02:38  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h:
	  Cache Shader::setFloat() to minimize glUniform calls

2011-02-19 02:20  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Mimic wall-of-light miner's light from Classic mode

2011-02-17 05:29  jeremiahmorris

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/RenderMain/render.cpp,
	  Source_Files/RenderOther/OverheadMap_OGL.cpp,
	  Source_Files/RenderOther/screen.cpp, Source_Files/shell.h:
	  Add ability to view map as translucent overlay

2011-02-17 02:07  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/screen_drawing.cpp,
	  Source_Files/RenderOther/screen_drawing.h:
	  Draw map to separate buffer; try to manage various screen rects
	  better in render_screen

2011-02-16 17:32  jeremiahmorris

	* docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Two Lua HUD variables, implemented since the beginning, had gone
	  undocumented

2011-02-16 17:24  jeremiahmorris

	* docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Forgot to document version-added in last commit

2011-02-16 17:21  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Lua HUD accessors for weapon-panel labels

2011-02-16 03:34  jeremiahmorris

	* Source_Files/shell.cpp, docs/alephone.6:
	  Update documentation of program options (mostly patch 3134044
	  from Glen Ditchfield)

2011-02-16 02:34  jeremiahmorris

	* Source_Files/ModelView/StudioLoader.cpp,
	  Source_Files/ModelView/WavefrontLoader.cpp:
	  Rotate 3DS and OBJ models to face east (patch 3015091 from Glen
	  Ditchfield)

2011-02-16 01:09  jeremiahmorris

	* Source_Files/ModelView/StudioLoader.cpp,
	  Source_Files/ModelView/StudioLoader.h,
	  Source_Files/ModelView/WavefrontLoader.cpp,
	  Source_Files/ModelView/WavefrontLoader.h:
	  Update 3D model logging to use standard Aleph One log (patch
	  3038047 from Glen Ditchfield)

2011-02-15 23:48  jeremiahmorris

	* Source_Files/Lua/lua_templates.h:
	  Last commit didn't need a function call

2011-02-15 23:42  jeremiahmorris

	* Source_Files/Lua/lua_templates.h:
	  Enum lookups failed on negative index; fixes SF 3057146

2011-02-15 21:45  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  In windowed mode, use in-game window size for chapter screens

2011-02-15 21:37  jeremiahmorris

	* Source_Files/Misc/interface.cpp,
	  Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/screen.h:
	  Don't switch to 640x480 between levels

2011-02-15 02:58  treellama

	* Source_Files/Lua/lua_map.cpp, Source_Files/Lua/lua_map.h,
	  Source_Files/Lua/lua_mnemonics.h,
	  Source_Files/Lua/lua_saved_objects.cpp,
	  Source_Files/Lua/lua_saved_objects.h, docs/Lua.html,
	  docs/Lua.xml:
	  Lua accessors for sound objects

2011-02-14 03:41  treellama

	* Source_Files/Lua/lua_player.cpp:
	  fix Cameras.new() which would always return nil with the last
	  "fix"

2011-02-14 02:30  treellama

	* Source_Files/GameWorld/player.cpp,
	  Source_Files/Network/network_dialogs.cpp,
	  Source_Files/Network/network_dialogs.h:
	  remove single player net game support

2011-02-14 02:24  jeremiahmorris

	* Source_Files/Misc/sdl_dialogs.cpp,
	  Source_Files/RenderMain/OGL_Faders.cpp,
	  Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/OGL_Setup.cpp,
	  Source_Files/RenderMain/OGL_Setup.h,
	  Source_Files/RenderMain/OGL_Textures.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderOther/HUDRenderer_Lua.cpp,
	  Source_Files/RenderOther/HUDRenderer_OGL.cpp,
	  Source_Files/RenderOther/OGL_Blitter.cpp,
	  Source_Files/RenderOther/OGL_LoadScreen.cpp,
	  Source_Files/RenderOther/OverheadMap_OGL.cpp,
	  Source_Files/RenderOther/Shape_Blitter.cpp,
	  Source_Files/RenderOther/screen.cpp:
	  Simplified some sRGB workarounds in 2D drawing

2011-02-14 02:19  treellama

	* Source_Files/RenderOther/computer_interface.cpp:
	  ensure #static pixels are opaque (fixes SF 2942859)

2011-02-14 01:37  treellama

	* Source_Files/RenderOther/screen.cpp:
	  use a consistent pixel format for Term_Buffer

2011-02-13 20:41  treellama

	* Source_Files/Misc/preferences.cpp:
	  disable support for 8-bit rendering

2011-02-13 20:32  treellama

	* Source_Files/RenderOther/screen.cpp:
	  fix low-res mode when main_surface format is different from
	  renderer format

2011-02-13 19:36  treellama

	* Source_Files/Lua/lua_script.cpp:
	  update Lua cameras after rendering, not before

2011-02-13 16:06  treellama

	* Source_Files/GameWorld/effects.cpp,
	  Source_Files/Lua/lua_objects.cpp,
	  Source_Files/Lua/lua_script.cpp, Source_Files/Lua/lua_script.h,
	  docs/Lua.xml:
	  fix Lua effects

2011-02-13 03:34  treellama

	* Source_Files/Lua/lua_player.cpp, Source_Files/Lua/lua_script.cpp:
	  make Lua cameras run by world ticks not by FPS (fixes SF
	  1344287), also make things simpler and safer

2011-02-10 04:05  treellama

	* Source_Files/RenderOther/screen.cpp:
	  with all the buffering we're doing now, I don't think we ever
	  want a HWSURFACE

2011-02-09 02:41  treellama

	* Source_Files/Lua/lua_templates.h:
	  fix a crash when serializing invalid custom fields

2011-02-07 04:57  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Remove differential lighting when bump maps are disabled

2011-02-07 04:25  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Use miner's-light and muzzle-flash calculation from OpenGL
	  Classic renderer

2011-02-07 03:03  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix last commit - integer division fail

2011-02-07 02:30  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Don't apply weapons flash twice to sprites and models

2011-02-07 01:42  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.h:
	  Use corrected, consistent range for weapons flash in Lua HUD and
	  shader APIs

2011-02-06 03:50  treellama

	* Source_Files/RenderMain/shapes.cpp,
	  Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/screen.h:
	  choose a pixel format for each bit depth and always use it
	  hi-res blits should work fine, low-res will need fixed

2011-02-06 02:50  treellama

	* data/default_theme/Makefile.am, data/default_theme/Squarish Sans
	  CT Medium.ttf, data/default_theme/Squarish_Sans_CT_Medium.ttf,
	  data/default_theme/theme2.mml:
	  honestly now, this is 2011, and make can't deal with spaces in
	  file names?

2011-02-06 02:41  treellama

	* data/default_theme/Makefile.am:
	  there's a Makefile for the default theme?

2011-02-06 01:08  treellama

	* Source_Files/RenderOther/screen.cpp:
	  switch back to smaller window for main menu in windowed mode

2011-02-06 00:18  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  oops this snuck in with GL_EXP change, let's leave atan for now

2011-02-05 23:58  treellama

	* Source_Files/RenderMain/OGL_Render.cpp:
	  fix SF 3090718, fog looks wrong with gamma corrected blending

2011-02-05 23:44  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Add FilmProfile code to Xcode project

2011-02-05 23:37  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Mixing integers and floats breaks shader compilation on my system

2011-02-05 20:58  treellama

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/GameWorld/player.cpp:
	  I think this is a better fix for 2893933, and should only break
	  film compatibility for single player net games from before
	  r4098--do we care about those?

2011-02-05 04:02  treellama

	* Source_Files/Files/AStream.cpp, Source_Files/Files/AStream.h,
	  Source_Files/Lua/language_definition.h,
	  Source_Files/Lua/lua_script.cpp, Source_Files/Lua/lua_script.h,
	  Source_Files/Misc/Logging_gruntwork.h,
	  Source_Files/Misc/Random.h, Source_Files/Misc/alephversion.h:
	  add GPL notice to files that didn't contain it

2011-02-05 03:52  treellama

	* Source_Files/Misc/Makefile.am, Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences_private.h:
	  remove preferences_private.h

2011-02-05 03:47  treellama

	* data/default_theme/Squarish Sans CT Medium.ttf,
	  data/default_theme/bankgthd.ttf,
	  data/default_theme/bankgthd.ttf.txt,
	  data/default_theme/theme2.mml:
	  use Tim Laron's OFL Squarish Sans font instead of bankgthd

2011-02-05 02:49  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  use GL_EXP fog for OpenGL (Shader) to match OpenGL (Classic)

2011-02-03 03:13  treellama

	* Source_Files/Lua/lua_saved_objects.cpp,
	  Source_Files/Lua/lua_saved_objects.h, docs/Lua.html,
	  docs/Lua.xml:
	  Lua accessor for item starting locations

2011-01-31 03:26  treellama

	* Source_Files/CSeries/FilmProfile.cpp,
	  Source_Files/CSeries/FilmProfile.h,
	  Source_Files/CSeries/Makefile.am,
	  Source_Files/CSeries/csmacros.h,
	  Source_Files/GameWorld/dynamic_limits.cpp,
	  Source_Files/GameWorld/dynamic_limits.h,
	  Source_Files/GameWorld/items.cpp, Source_Files/GameWorld/map.cpp,
	  Source_Files/GameWorld/marathon2.cpp,
	  Source_Files/GameWorld/monsters.cpp,
	  Source_Files/GameWorld/placement.cpp,
	  Source_Files/GameWorld/player.cpp,
	  Source_Files/GameWorld/world.cpp, Source_Files/GameWorld/world.h,
	  Source_Files/Misc/interface.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h, Source_Files/shell.cpp:
	  make film profile selectable at run time

2011-01-30 21:34  treellama

	* Source_Files/Misc/sdl_dialogs.cpp,
	  Source_Files/RenderOther/screen.cpp:
	  use 640x480 for windowed dialogs--I don't think anybody will
	  complain since this is what we did before

2011-01-30 04:07  treellama

	* Source_Files/RenderMain/OGL_Textures.cpp:
	  actually use mirrored repeat

2011-01-30 04:06  treellama

	* Source_Files/RenderMain/OGL_Textures.cpp:
	  use GL_MIRRORED_REPEAT for landscapes instead of clamping

2011-01-30 03:35  treellama

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h, Source_Files/shell.cpp:
	  use OpenGL on Windows by default, since the cinematic fades
	  behave themselves
	  remove the SDL_VideoDriver setting code, and just use windib--if
	  people care about speed in software on old machines they can set
	  the env variable

2011-01-30 01:52  treellama

	* Source_Files/Lua/lua_monsters.cpp,
	  Source_Files/Lua/lua_objects.cpp, docs/Lua.html, docs/Lua.xml:
	  Lua functions for accessing item placement; some changes to
	  monster placement accessors

2011-01-30 01:02  treellama

	* Source_Files/Lua/lua_monsters.cpp, docs/Lua.html, docs/Lua.xml:
	  Lua access to monster respawn parameters

2010-12-14 04:09  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/Rasterizer_Shader.cpp:
	  fix NPOT landscapes; is there a way to do this without a
	  conditional in the shader?

2010-12-13 03:38  treellama

	* Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/OGL_Setup.cpp,
	  Source_Files/RenderMain/OGL_Setup.h,
	  Source_Files/RenderMain/OGL_Textures.cpp:
	  use non-power-of-two textures if they're supported
	  NPOT shader landscapes are broken though

2010-12-13 01:55  treellama

	* Source_Files/RenderMain/ImageLoader_Shared.cpp:
	  correct rounding for NPOT S3TC texture loading

2010-12-12 20:45  treellama

	* Source_Files/RenderMain/OGL_Textures.cpp:
	  mirror repeat landscapes when padding to powers of two; less
	  obnoxious than smearing unless there's a moon in the landscape

2010-12-07 04:01  treellama

	* Source_Files/Lua/lua_player.cpp:
	  fix texture palette getters

2010-12-06 01:54  jeremiahmorris

	* Source_Files/RenderOther/fades.cpp,
	  Source_Files/RenderOther/screen.cpp:
	  Software faders, as a fallback when hardware gamma fails

2010-12-05 17:10  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  fix placement in replacement landscapes

2010-12-05 16:37  treellama

	* Source_Files/RenderMain/Rasterizer_Shader.cpp:
	  this fixes landscape positioning for built-in lanscapes, but
	  replacements are still broken

2010-12-05 16:13  jeremiahmorris

	* Source_Files/Misc/interface.cpp,
	  Source_Files/RenderOther/fades.cpp,
	  Source_Files/RenderOther/fades.h,
	  Source_Files/RenderOther/images.cpp,
	  Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/screen.h,
	  Source_Files/RenderOther/screen_drawing.cpp,
	  Source_Files/RenderOther/screen_drawing.h:
	  OGL faders now used for menu and chapter screens

2010-12-05 00:07  jeremiahmorris

	* Source_Files/Misc/interface.cpp:
	  Fade out before showing preferences dialog, to match other main
	  menu options

2010-11-28 22:25  hogdotmac

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h,
	  Source_Files/RenderMain/Rasterizer_Shader.cpp:
	  avoid vertical landscape texture stretching in tradeoff for
	  minimum pitch texture cutoff

2010-11-08 01:58  treellama

	* Source_Files/Network/Metaserver/network_metaserver.h:
	  fix missing #include with gcc 4.5

2010-09-28 01:23  treellama

	* Source_Files/Lua/lua_objects.cpp:
	  don't crash when we run out of scenery

2010-09-12 15:53  treellama

	* Source_Files/RenderMain/RenderSortPoly.cpp,
	  Source_Files/RenderMain/RenderVisTree.cpp,
	  Source_Files/RenderMain/RenderVisTree.h:
	  simplify rendering node list by using deque, which has stable
	  references, instead of vector

2010-09-05 21:54  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  fix custom shaders by passing by reference not value :(
	  fix a crash unloading empty shaders vector

2010-09-05 21:53  treellama

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  make sure shaders are set up in setupGL

2010-09-05 19:20  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  don't crash if no MML is loaded; MML shaders appear to be broken
	  currently

2010-09-05 18:31  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  handle OpenGL context resets correctly

2010-09-05 17:00  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  look up shaders by enum rather than by string

2010-09-05 02:06  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  refer to uniform locations by enum rather than strings;
	  considerably reduces CPU usage on complex maps

2010-08-25 02:10  treellama

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  use vertex arrays instead of glBegin/glEnd

2010-08-25 00:13  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  reset uniform location cache in shader init

2010-08-25 00:12  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  actually use cache described in previous commit

2010-08-25 00:08  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  cache uniform locations (glGetUniformLocationARB is slow)
	  avoid disabling/enabling shader between calls to setFloat

2010-08-23 22:58  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  bug with sed options was creating 'Info.pliste' file

2010-08-23 11:53  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Match case of speex.framework

2010-07-17 01:04  treellama

	* Source_Files/Misc/sdl_dialogs.cpp,
	  Source_Files/Misc/sdl_dialogs.h:
	  coalesce dialog redraws, improving responsiveness when vsync is
	  on

2010-07-05 20:18  jeremiahmorris

	* Source_Files/ModelView/StudioLoader.cpp,
	  Source_Files/ModelView/StudioLoader.h,
	  Source_Files/RenderMain/OGL_Model_Def.cpp, docs/MML.html:
	  New 3DSMax import type; thanks to Glen Ditchfield

2010-07-04 02:08  treellama

	* Source_Files/Misc/interface.cpp:
	  move RunLuaScript again for resuming saved games

2010-07-03 19:04  treellama

	* Source_Files/Files/game_wad.cpp, Source_Files/Misc/interface.cpp:
	  moving RunLuaScript out of entering_game caused it not to be run
	  when resuming saved games
	  I am not sure this fix is 100% correct; what a mess

2010-07-03 18:12  treellama

	* Source_Files/Files/FileHandler.cpp:
	  remove extension from default name in save dialog; activate name
	  widget

2010-07-02 15:38  treellama

	* Source_Files/Files/FileHandler.cpp,
	  Source_Files/Files/FileHandler.h:
	  better default behavior for save game dialog

2010-07-02 15:06  treellama

	* Source_Files/Files/FileHandler.cpp:
	  allow directory navigation in write file dialogs (SF 1780604)

2010-06-30 02:14  treellama

	* Source_Files/Lua/lua_monsters.cpp,
	  Source_Files/Lua/lua_monsters.h,
	  Source_Files/Lua/lua_saved_objects.cpp,
	  Source_Files/Lua/lua_saved_objects.h, docs/Lua.html,
	  docs/Lua.xml:
	  add Lua MonsterStarts

2010-06-20 01:30  jeremiahmorris

	* Source_Files/ModelView/WavefrontLoader.cpp,
	  Source_Files/ModelView/WavefrontLoader.h,
	  Source_Files/RenderMain/OGL_Model_Def.cpp, docs/MML.html:
	  New 3D model type to fix eccentricities with current OBJ import

2010-06-19 19:29  jeremiahmorris

	* Source_Files/ModelView/WavefrontLoader.cpp:
	  Fix bounds checking on .OBJ files (patch from Glen Ditchfield)

2010-06-14 02:12  jeremiahmorris

	* Source_Files/CSeries/csalerts.h,
	  Source_Files/CSeries/csalerts.mm,
	  Source_Files/CSeries/csalerts_sdl.cpp,
	  Source_Files/Files/preprocess_map_sdl.cpp,
	  Source_Files/Misc/interface.h, Source_Files/shell.cpp:
	  If we can't find a scenario, ask the user

2010-06-13 23:02  jeremiahmorris

	* docs/MML.html:
	  Add missing documentation for model-skin bloom options

2010-06-13 16:16  jeremiahmorris

	* Source_Files/Misc/interface.cpp:
	  Fix version string display with OpenGL + fill-the-screen

2010-06-13 00:19  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp:
	  Include math header to fix Windows build

2010-06-08 05:03  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Lua HUD: Player.velocity, so HUDs can react to player's movement

2010-06-08 04:41  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp:
	  Disable sRGB when returning to the main menu

2010-06-08 04:41  jeremiahmorris

	* Source_Files/RenderOther/FontHandler.cpp:
	  Recycle textures for fonts when starting an OpenGL run

2010-06-08 00:59  jeremiahmorris

	* Source_Files/RenderOther/FontHandler.cpp,
	  Source_Files/RenderOther/FontHandler.h,
	  Source_Files/RenderOther/OGL_Blitter.cpp,
	  Source_Files/RenderOther/OGL_Blitter.h:
	  Switch global OpenGL registries to be pointers, to avoid
	  braindead C++ destruction order (thanks to Treellama for the
	  idea)

2010-06-03 02:51  treellama

	* Source_Files/Lua/lua_script.cpp:
	  boost's pointer container is better than a std::map of
	  shared_ptrs

2010-06-01 00:50  jeremiahmorris

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderOther/screen.cpp:
	  Switch screen modes less often, including OpenGL drawing for
	  menus/chapter screens

2010-05-31 23:27  jeremiahmorris

	* Source_Files/Misc/interface.cpp,
	  Source_Files/Misc/sdl_dialogs.cpp,
	  Source_Files/RenderOther/OGL_Blitter.cpp,
	  Source_Files/RenderOther/OGL_Blitter.h,
	  Source_Files/RenderOther/OGL_LoadScreen.cpp,
	  Source_Files/RenderOther/images.cpp, Source_Files/shell.cpp:
	  Support for zooming dialogs/chapter screens in OpenGL mode

2010-05-31 14:23  jeremiahmorris

	* Source_Files/Misc/interface.cpp:
	  Add OpenGL support for level movies

2010-05-30 23:41  jeremiahmorris

	* Source_Files/RenderOther/images.cpp:
	  Add OpenGL support for chapter screens

2010-05-30 23:41  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp:
	  Undo r4194: wrong file committed

2010-05-30 23:39  jeremiahmorris

	* Source_Files/Misc/interface.cpp,
	  Source_Files/RenderOther/FontHandler.cpp,
	  Source_Files/RenderOther/FontHandler.h:
	  Add OpenGL support for main menu and version string

2010-05-30 23:38  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp:
	  Add OpenGL support for chapter screens

2010-05-25 16:44  hogdotmac

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  reset alpha func after shaded draw, removing artifacts for weapon
	  in hand

2010-05-24 01:33  treellama

	* Source_Files/Files/game_wad.cpp,
	  Source_Files/GameWorld/marathon2.cpp,
	  Source_Files/Lua/lua_player.cpp, docs/Lua.html, docs/Lua.xml:
	  add Lua.monsters_replenish, and call RunLuaScript() earlier so
	  setting that variable can affect place_initial_objects

2010-05-23 20:03  treellama

	* Source_Files/Lua/lua_player.cpp, Source_Files/Lua/lua_player.h,
	  Source_Files/Lua/lua_saved_objects.cpp,
	  Source_Files/Lua/lua_saved_objects.h, docs/Lua.html,
	  docs/Lua.xml:
	  Lua access for player starting locations

2010-05-23 17:05  treellama

	* Source_Files/GameWorld/items.cpp:
	  this M2_FILM_PLAYBACK fix makes the 16th parallel (tag) film from
	  the Eugene films on the definitive map collection CD play back
	  without OOS

2010-05-23 17:03  treellama

	* Source_Files/GameWorld/monsters.cpp,
	  Source_Files/GameWorld/placement.cpp:
	  fix two of my own changes that (can) break Marathon 2 film
	  playback

2010-05-23 14:32  treellama

	* Source_Files/GameWorld/player.cpp:
	  _multiplayer_game isn't set in some M2 films?

2010-05-14 21:03  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Add lua_saved_objects.cpp to Xcode project

2010-05-14 03:18  treellama

	* Source_Files/GameWorld/dynamic_limits.cpp:
	  with the correct dynamic limits in M2_FILMPLAYBACK, all John
	  Sumner solo films now play back successfully

2010-05-12 02:33  treellama

	* Source_Files/CSeries/csmacros.h:
	  this M2_FILM_PLAYBACK change fixes an inexplicable change to PIN,
	  and allows us to play 24 out of the 26 John Sumner vidmaster
	  films

2010-05-10 03:09  treellama

	* Source_Files/GameWorld/world.cpp:
	  M2_FILM_PLAYBACK can now play through the first 6 of John
	  Sumner's vidmaster films

2010-05-09 02:29  treellama

	* Source_Files/GameWorld/map.cpp,
	  Source_Files/GameWorld/monsters.cpp:
	  more M2_FILM_PLAYBACK support

2010-05-08 20:50  treellama

	* Source_Files/GameWorld/marathon2.cpp,
	  Source_Files/GameWorld/world.cpp, Source_Files/GameWorld/world.h:
	  building with M2_FILM_PLAYBACK defined will get you farther along
	  playing back films

2010-05-04 02:53  treellama

	* Source_Files/Lua/Makefile.am,
	  Source_Files/Lua/lua_saved_objects.cpp,
	  Source_Files/Lua/lua_saved_objects.h,
	  Source_Files/Lua/lua_script.cpp, docs/Lua.html, docs/Lua.xml:
	  Lua: accessors for goals

2010-05-03 03:15  treellama

	* Source_Files/Lua/lua_script.cpp:
	  std::map isn't polymorphic, so SoloLuaState never got the chance
	  to install io

2010-05-03 01:41  treellama

	* Source_Files/Lua/lua_script.cpp:
	  clear out saved and passed lua buffers more thoroughly; can
	  prevent unhandled exception error

2010-04-27 01:35  hogdotmac

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  precalculate pi in landscape shader

2010-04-25 02:01  treellama

	* Source_Files/Misc/alephversion.h:
	  release 0.23.2

2010-04-25 01:00  treellama

	* Source_Files/Expat/xmltok_impl.c:
	  apply Expat diff (1.13 -> 1.15) "Better fix for bug #1990430"
	  (fix for infinite loop in malformed XML input)

2010-04-24 13:26  treellama

	* Source_Files/RenderMain/ImageLoader_SDL.cpp:
	  fix compile when SDL_image is not present (SF 2978583)

2010-04-24 13:19  treellama

	* Source_Files/Files/FileHandler.cpp:
	  don't try to format a date if localtime fails (SF 2989114)

2010-04-24 13:11  treellama

	* Source_Files/RenderOther/screen_shared.h:
	  set up DisplayTextDest before drawing NetMicStatus; short circuit
	  if netmic isn't in use (SF 2990897)

2010-03-02 01:22  treellama

	* PBProjects/AlephOne.xcodeproj/project.pbxproj,
	  Source_Files/CSeries/Makefile.am,
	  Source_Files/CSeries/csalerts.mm,
	  Source_Files/CSeries/csalerts_sdl.cpp, Source_Files/shell.cpp:
	  basic Cocoa and Windows alert dialogs (for when SDL is not
	  running)

2010-03-01 02:56  treellama

	* Source_Files/Files/game_wad.cpp:
	  support saved games with large numbers of map indexes

2010-02-19 03:14  treellama

	* Source_Files/Misc/alephversion.h:
	  release 0.23.1

2010-02-14 21:36  treellama

	* Source_Files/Misc/game_errors.h, Source_Files/Sound/Decoder.cpp:
	  fix another problem with set/get game_error, including an RAII
	  helper class

2010-02-07 18:43  treellama

	* Source_Files/Misc/vbl.cpp:
	  don't assert replaying films that teleport to
	  EPILOGUE_LEVEL_NUMBER (SF 2896730)

2010-02-07 02:07  treellama

	* Source_Files/RenderMain/OGL_Setup.cpp:
	  remove openmp from the code

2010-02-06 16:28  treellama

	* Source_Files/RenderMain/OGL_Subst_Texture_Def.cpp:
	  remove more OpenMP stuff

2010-02-06 16:28  treellama

	* Source_Files/Sound/Mixer.cpp:
	  don't queue zero-length sounds (SF 2939223)

2010-02-06 15:54  treellama

	* Source_Files/Files/SDL_rwops_zzip.c:
	  fix a divide by zero trying to read 0 bytes

2010-01-27 02:02  hogdotmac

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  fixed a bug setting up bump texture before glGenTextures

2010-01-24 15:56  treellama

	* Source_Files/RenderMain/OGL_Setup.cpp:
	  fix texture resolution settings again, after botched revert

2010-01-23 15:34  treellama

	* Source_Files/RenderMain/low_level_textures.h:
	  fix purple/green static with new SDL
	  this isn't a good fix; we shouldn't assume world_pixels will be
	  in a certain format

2010-01-19 01:46  treellama

	* Source_Files/Misc/alephversion.h, docs/Lua.html, docs/Lua.xml:
	  release 0.23

2010-01-18 04:04  treellama

	* Source_Files/Lua/lua_objects.cpp,
	  Source_Files/Lua/lua_player.cpp, Source_Files/Lua/lua_script.cpp,
	  Source_Files/Lua/lua_templates.h, docs/Lua.html, docs/Lua.xml:
	  add Game.proper_item_accounting, to fix Lua item accounting bugs

2010-01-18 00:21  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix invisibility in shader

2010-01-17 15:52  treellama

	* Source_Files/XML/Plugins.cpp:
	  don't use .plgA for now; just .zip

2010-01-17 04:11  treellama

	* Source_Files/Network/network.cpp,
	  Source_Files/Network/network_capabilities.cpp,
	  Source_Files/Network/network_capabilities.h,
	  Source_Files/Network/network_games.cpp:
	  change rugby scoring to first-to-n, and warn old joiners they
	  can't join

2010-01-16 03:51  treellama

	* Makefile.am, Source_Files/RenderMain/OGL_Setup.cpp, autogen.sh,
	  configure.ac:
	  revert OpenMP support--sometimes you lose

2010-01-14 04:37  jeremiahmorris

	* Source_Files/Misc/sdl_dialogs.cpp:
	  Add adjust_height MML parameter for theme fonts

2010-01-10 18:43  jeremiahmorris

	* PBProjects, PBProjects/AlephOne.xcodeproj:
	  Tell SVN to ignore Xcode build products and user settings

2010-01-10 18:25  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Respect opacity and blending modes in shader

2010-01-10 02:07  treellama

	* Source_Files/Files/FileHandler.cpp:
	  zzip_open fails for directories in Windows, but code expects
	  Exists() to return true, so, check access() first, then try
	  zzip_open if it's installed; fixes directory navigation in
	  windows

2010-01-10 01:54  treellama

	* Source_Files/Files/FileHandler.cpp:
	  zziplib doesn't like local path separators

2010-01-09 17:33  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  remove srgb workaround from shaders

2010-01-09 16:20  treellama

	* Source_Files/RenderMain/shapes.cpp:
	  don't overwrite alternate table flags with primary table flags;
	  makes projectile fighter crystals glow

2010-01-07 01:20  treellama

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  [Solra Bizna] fix bloom and sRGB

2010-01-04 00:57  jeremiahmorris

	* PBProjects/Info-AlephOne_SDL.plist:
	  Set minimum OS X version in plist; fixes 64-bit crash on 10.5

2010-01-04 00:38  treellama

	* configure.ac:
	  [Peter Hessler] fix typo in pkg-config patch

2010-01-04 00:31  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Explicitly set deployment target to match build SDK

2010-01-03 21:05  treellama

	* configure.ac:
	  [Peter Hessler] use pkg-config for PNG and Vorbis

2010-01-03 20:20  treellama

	* Source_Files/RenderOther/Makefile.am:
	  IMG_savepng.h is missing from the source tarball

2010-01-03 04:08  treellama

	* Makefile.am:
	  update libsrc target to use 7za (Fedora) and remove .svn
	  directories

2010-01-03 03:32  treellama

	* Source_Files/Files/Makefile.am:
	  fix typo that prevents building source tarball

2010-01-03 02:27  treellama

	* Source_Files/Misc/alephversion.h:
	  version numbers for 0.23rc1

2010-01-03 02:22  treellama

	* Source_Files/Files/game_wad.cpp,
	  Source_Files/GameWorld/scenery.cpp:
	  hacky fix for 1605895

2010-01-02 19:25  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Invincibility shouldn't bloom regardless of normal texture's
	  settings

2010-01-02 04:59  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Switch statements are so stupad (fixes static effect)

2010-01-02 02:39  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  docs/MML.html:
	  MML control for number of bloom passes

2010-01-02 02:19  jeremiahmorris

	* docs/MML.html:
	  Update shader names in MML doc, detailed docs still to come

2010-01-02 02:13  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix bloom in sRGB with giant hack

2010-01-02 00:36  jeremiahmorris

	* Source_Files/RenderMain/OGL_Model_Def.cpp,
	  Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/OGL_Subst_Texture_Def.cpp,
	  Source_Files/RenderMain/OGL_Texture_Def.h,
	  Source_Files/RenderMain/OGL_Textures.h,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  docs/MML.html:
	  MML controls for glow and bloom

2010-01-01 18:32  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp:
	  Groundwork for custom glow intensity

2009-12-31 22:15  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Glow and bloom for 3D models in shader

2009-12-31 21:31  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Better balance between clipping artifacts and sprite overlap

2009-12-31 18:46  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Treat models more like sprites; handles special transfer modes

2009-12-31 18:29  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Reduce interaction between bloom and miner's-light

2009-12-31 04:30  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Reorganized shaders to have greater control over rendering

2009-12-30 17:28  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Strengthen bloom with new blur method

2009-12-29 23:13  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Move bloom parameters from glColor to shader

2009-12-29 20:00  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Blur consistently regardless of screen size

2009-12-29 02:58  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/Rasterizer_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderOther/screen.cpp:
	  Shader z-buffer tweaks (shader requires 24-bit z-buffer now)

2009-12-28 21:32  treellama

	* Source_Files/GameWorld/items.cpp:
	  work around for SF 2894880 (weird Rugby behavior/crash when skull
	  is picked up in goal)

2009-12-28 13:52  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp:
	  Ensure a proper modelview matrix before drawing faders (fixes
	  shader + chase-cam under media)

2009-12-28 04:30  jeremiahmorris

	* Source_Files/GameWorld/player.cpp:
	  Enable media fader based on chase-cam position

2009-12-28 01:36  jeremiahmorris

	* Source_Files/Network/network_dialogs.cpp:
	  Prevent hosting with nonexistent map file

2009-12-27 23:50  jeremiahmorris

	* Source_Files/RenderOther/OGL_LoadScreen.cpp,
	  Source_Files/RenderOther/OGL_LoadScreen.h,
	  Source_Files/XML/XML_LevelScript.cpp, docs/MML.html:
	  Option to not scale custom load screens

2009-12-27 22:17  jeremiahmorris

	* Source_Files/RenderMain/Rasterizer_Shader.cpp:
	  Make better use of depth buffer; really helps Blauwe Vingers in
	  shader

2009-12-27 20:56  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix nodes with multiple clipping windows

2009-12-27 20:01  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Clean up some tangent-space calculations, and improve
	  normal/tangent debugging

2009-12-27 19:58  jeremiahmorris

	* Source_Files/RenderMain/OGL_Model_Def.cpp,
	  Source_Files/RenderMain/OGL_Model_Def.h, docs/MML.html:
	  Allow model skins to specify bump maps

2009-12-27 19:56  jeremiahmorris

	* Source_Files/ModelView/Model3D.cpp:
	  Fallback for degenerate case in CalculateTangents

2009-12-27 14:27  treellama

	* Source_Files/GameWorld/media.cpp, Source_Files/Lua/lua_map.cpp,
	  docs/Lua.html, docs/Lua.xml:
	  Lua: media.direction, .height, .high, .light, .low, .speed, .type

2009-12-27 04:44  treellama

	* Source_Files/Lua/lua_map.cpp:
	  light intensities are 32-bit fixeds

2009-12-27 04:08  treellama

	* docs/Lua.html:
	  update Lua.html again (we should have an SVN trigger)

2009-12-27 04:07  treellama

	* Source_Files/Lua/lua_map.cpp, Source_Files/Lua/lua_mnemonics.h,
	  docs/Lua.xml:
	  Lua: Lights.new, .tag, .initial_phase, .initially_active,
	  .intensity, .states

2009-12-26 21:08  treellama

	* Source_Files/Lua/lua_map.cpp, Source_Files/Lua/lua_map.h,
	  Source_Files/Lua/lua_mnemonics.h, docs/Lua.html, docs/Lua.xml:
	  Lua: platform .type, .secret, .door, and .locked

2009-12-26 19:56  treellama

	* Source_Files/RenderOther/IMG_savepng.c,
	  Source_Files/RenderOther/IMG_savepng.h, Source_Files/shell.cpp:
	  add a screenshots directory and better screenshot naming
	  add metadata to PNG screenshots

2009-12-25 16:58  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Fix diffuse calculation for normals pointing away from camera
	  (like in models without face-culling)

2009-12-25 16:49  jeremiahmorris

	* Source_Files/ModelView/Model3D.cpp:
	  CalculateTangents respects existing model normals

2009-12-24 23:58  jeremiahmorris

	* docs/Lua.html, docs/Lua.xml:
	  Document Lua speed units, and Forge's wackiness

2009-12-24 03:05  treellama

	* docs/Lua.html:
	  update the HTML for monster_damaged

2009-12-24 03:01  treellama

	* Source_Files/GameWorld/monsters.cpp,
	  Source_Files/Lua/lua_script.cpp, Source_Files/Lua/lua_script.h,
	  docs/Lua.xml:
	  add monster_damaged trigger

2009-12-24 02:12  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Try Again to fix fog crash

2009-12-23 23:58  jeremiahmorris

	* Source_Files/GameWorld/player.cpp:
	  Fix bug 2893933 (respawning in faux netgame)

2009-12-23 21:26  jeremiahmorris

	* Source_Files/Misc/interface.cpp:
	  Reset map file after playing from a saved game

2009-12-23 16:56  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix crashing in flat-color fog case

2009-12-23 03:27  treellama

	* Source_Files/Sound/SoundManager.cpp:
	  with 4 channels, use as much memory for them as Marathon 2 did
	  with 32 channels, use 8x that much

2009-12-22 04:45  jeremiahmorris

	* Source_Files/RenderOther/HUDRenderer_OGL.cpp:
	  Reset modelview matrix to prevent HUD from shifting

2009-12-22 02:45  treellama

	* Source_Files/RenderOther/Makefile.am, configure.ac:
	  autoconf support for libpng

2009-12-22 02:06  treellama

	* PBProjects/AlephOne.xcodeproj/project.pbxproj,
	  Source_Files/RenderOther/IMG_savepng.c,
	  Source_Files/RenderOther/IMG_savepng.h, Source_Files/shell.cpp:
	  save screenshots as PNG

2009-12-21 23:56  jeremiahmorris

	* Source_Files/RenderMain/OGL_Model_Def.cpp,
	  Source_Files/RenderMain/OGL_Model_Def.h,
	  Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  docs/MML.html:
	  Sprites ignore z-buffer in shader, unless a loaded model requests
	  strict depth behavior

2009-12-21 03:19  treellama

	* Source_Files/XML/Plugins.cpp, Source_Files/XML/Plugins.h:
	  support multiple plugins per folder / zip file

2009-12-21 03:00  treellama

	* Source_Files/RenderOther/sdl_fonts.cpp:
	  work around our detestable error handling

2009-12-21 01:28  treellama

	* Source_Files/RenderOther/sdl_fonts.cpp:
	  read fonts using OpenedFile RWops

2009-12-21 00:58  treellama

	* Source_Files/Misc/preferences.cpp, Source_Files/XML/Plugins.cpp,
	  Source_Files/XML/Plugins.h, Source_Files/shell.cpp:
	  allow theme plugins

2009-12-17 02:03  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  3D models less broken in shader

2009-12-16 23:38  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Enable OpenMP for 64-bit Macs

2009-12-16 07:16  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Work around Tiger GLSL bug with shader-munging hack

2009-12-16 06:08  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Honor fog affects-landscapes setting in shader

2009-12-16 05:16  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix overwhelming bloom in sRGB case

2009-12-16 05:09  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Shader typo broke models + bump mapping

2009-12-16 04:39  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix (some) face-culling problems with models

2009-12-15 04:20  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Enable 32/64-bit builds; see /frameworks/trunk/ in SVN for info
	  on new frameworks needed

2009-12-15 02:40  treellama

	* Source_Files/Sound/SndfileDecoder.cpp,
	  Source_Files/Sound/SndfileDecoder.h:
	  use OpenedFile's SDL_RWops for SndfileDecoder

2009-12-15 02:32  treellama

	* Source_Files/Files/SDL_rwops_zzip.c:
	  fix bizarre compile problem in Windows

2009-12-14 02:07  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix shader z problems with media

2009-12-14 01:25  jeremiahmorris

	* Source_Files/Lua/lua_hud_script.cpp:
	  Remove unnecessary and insecure Lua libs from HUD

2009-12-14 01:19  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Another multiplayer film fix for shader

2009-12-14 00:32  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Add zziplib support to Xcode project

2009-12-13 23:54  treellama

	* Source_Files/Files/FileHandler.cpp,
	  Source_Files/Files/Makefile.am,
	  Source_Files/Files/SDL_rwops_zzip.c,
	  Source_Files/Files/SDL_rwops_zzip.h,
	  Source_Files/XML/Plugins.cpp, configure.ac:
	  basic support for zipped plugins (using zziplib)

2009-12-13 23:25  treellama

	* Source_Files/RenderMain/ImageLoader_SDL.cpp:
	  use OpenedFile to load images

2009-12-13 23:13  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  use OpenedFile to read shaders

2009-12-13 19:47  treellama

	* Source_Files/XML/Plugins.cpp, Source_Files/XML/Plugins.h:
	  remove PluginLoader definition from Plugins.h, since it's only
	  used internally
	  and would infect the rest of the tree with Expat

2009-12-13 19:31  treellama

	* Source_Files/Files/game_wad.cpp, Source_Files/Lua/lua_player.cpp,
	  Source_Files/Lua/lua_script.cpp, Source_Files/XML/Plugins.cpp,
	  Source_Files/XML/Plugins.h:
	  support solo script plugins

2009-12-13 19:29  treellama

	* Source_Files/Lua/lua_hud_script.cpp:
	  oops, remove printfs

2009-12-13 15:35  treellama

	* Source_Files/Files/FileHandler.cpp,
	  Source_Files/Files/FileHandler.h,
	  Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_hud_script.cpp,
	  Source_Files/Lua/lua_hud_script.h,
	  Source_Files/Lua/lua_script.cpp,
	  Source_Files/Lua/lua_templates.h,
	  Source_Files/RenderOther/screen.cpp,
	  Source_Files/XML/Plugins.cpp, Source_Files/XML/Plugins.h:
	  plugins now support enhanced HUD scripts

2009-12-13 03:38  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix bug 2908540 (multiplayer film playback)

2009-12-12 04:11  treellama

	* Source_Files/Files/FileHandler.cpp,
	  Source_Files/Files/FileHandler.h:
	  add a version of SetNameWithPath that takes a custom data search
	  directory

2009-12-06 16:13  treellama

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences_widgets_sdl.cpp,
	  Source_Files/XML/Plugins.cpp, Source_Files/XML/Plugins.h:
	  allow plugins to require a minimum version of Aleph One

2009-12-04 03:14  treellama

	* configure.ac:
	  -fopenmp introduces a DLL dependency in mingw(!) so make OpenMP
	  configurable

2009-12-04 02:36  treellama

	* Makefile.am, autogen.sh, configure.ac, m4, m4/ax_openmp.m4:
	  detect OpenMP when using autoconf

2009-12-03 04:07  treellama

	* Source_Files/RenderMain/OGL_Setup.cpp:
	  fix max texture size mistake in previous commit

2009-12-03 03:42  treellama

	* Source_Files/RenderMain/OGL_Setup.cpp,
	  Source_Files/RenderMain/OGL_Subst_Texture_Def.cpp:
	  use OpenMP if we have it, to load textures using multiple cores

2009-12-03 03:19  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.h:
	  Use shader, instead of glPolygonOffset, to solve depth issues;
	  also adds depth offset for glow maps

2009-12-02 06:53  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_mnemonics.h,
	  Source_Files/RenderOther/HUDRenderer_Lua.cpp,
	  Source_Files/RenderOther/HUDRenderer_Lua.h, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Lua HUD improvements: Added functionality for masking; shader
	  renderer mnemonic; better FOV reporting for shader

2009-11-30 02:52  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_mnemonics.h,
	  Source_Files/RenderOther/HUDRenderer_Lua.cpp,
	  Source_Files/RenderOther/HUDRenderer_Lua.h,
	  Source_Files/RenderOther/OGL_Blitter.cpp,
	  Source_Files/RenderOther/screen.cpp, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Stencil-buffer-based masking for Lua HUD

2009-11-28 19:35  jeremiahmorris

	* tools/extract_shaders.pl:
	  Script to build plugin from hardcoded shaders, as a custom shader
	  starting point

2009-11-28 08:03  jeremiahmorris

	* Source_Files/RenderOther/HUDRenderer_Lua.cpp:
	  Skip unnecessary drawing in Lua HUD

2009-11-28 03:31  treellama

	* Source_Files/RenderOther/HUDRenderer_OGL.cpp,
	  Source_Files/RenderOther/HUDRenderer_SW.cpp:
	  don't crash trying to render a texture palette bitmap that
	  doesn't exist

2009-11-28 03:10  treellama

	* Source_Files/CSeries/cstypes.h, Source_Files/GameWorld/map.cpp,
	  Source_Files/GameWorld/map_constructors.cpp:
	  use static_cast hackery to double the number of available map
	  indexes

2009-11-28 02:49  treellama

	* Source_Files/RenderMain/Makefile.am:
	  add missing file

2009-11-28 01:56  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Don't create FBO for bloom unless we plan to use it

2009-11-24 19:50  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix sprites that disappear in liquid

2009-11-24 05:30  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix direction of texture sliding on floors/ceilings

2009-11-23 01:35  treellama

	* Makefile.am:
	  account for renamed project file

2009-11-23 01:29  jeremiahmorris

	* Source_Files/RenderMain/OGL_Setup.cpp:
	  Leave bloom and bump mapping off by default

2009-11-23 01:24  treellama

	* Source_Files/LibNAT/os_common.c:
	  mingw doesn't know what a socklen_t is

2009-11-23 01:21  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  3D model fixes

2009-11-23 01:16  treellama

	* Source_Files/Misc/alephversion.h:
	  preview build YES

2009-11-22 04:30  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Fix overly bright rooms when bump mapping

2009-11-21 22:30  jeremiahmorris

	* Source_Files/RenderMain/OGL_Textures.cpp,
	  Source_Files/RenderMain/OGL_Textures.h:
	  Don't load normal maps as sRGB

2009-11-21 18:41  jeremiahmorris

	* Source_Files/RenderMain/ImageLoader.h,
	  Source_Files/RenderMain/ImageLoader_SDL.cpp,
	  Source_Files/RenderMain/OGL_Setup.cpp:
	  Normal map generation is better left to Aorta

2009-11-20 03:51  treellama

	* Source_Files/GameWorld/map_constructors.cpp:
	  assert out before overflowing map indexes

2009-11-20 01:48  mrvacbob

	* Source_Files/Files/wad.cpp, Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/vbl.cpp,
	  Source_Files/ModelView/StudioLoader.cpp,
	  Source_Files/Network/network_dialog_widgets_sdl.cpp,
	  Source_Files/Network/network_microphone_coreaudio.cpp:
	  Fix warnings about incorrect printf formats.
	  
	  The warnings about OSStatus (on OS X) can't be fixed without
	  adding extra int casts,
	  because the system typedefs are broken, so they're left alone.

2009-11-20 01:40  mrvacbob

	* Source_Files/LibNAT/os_common.c:
	  Fix a signedness warning.

2009-11-20 01:24  mrvacbob

	* Source_Files/GameWorld/physics.cpp,
	  Source_Files/GameWorld/physics_models.h:
	  Move the definition of physics_models into the only cpp file it's
	  used in.

2009-11-20 01:23  mrvacbob

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Another pass of Xcode project cleanup.
	  
	  - Delete the last of Zero-Link/fix-after-continue settings which
	  don't do anything.
	  - Remove FlatCarbon includes which aren't used by anything and
	  break '#include <strings.h>'.
	  - Remove the missing-prototypes warning, which triggers for all
	  kinds of things that aren't important.
	  - Make "Deployment (Native)" even more native (no fixed SDK or
	  compiler) and disable stripping
	  so it can be profiled.
	  - Support the fink boost1.35 package.

2009-11-18 01:53  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.h:
	  Optimize bloom, various visual improvements for shader

2009-11-16 21:00  jeremiahmorris

	* Source_Files/RenderMain/Rasterizer_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Improve lighting management in shader

2009-11-16 17:15  jeremiahmorris

	* Source_Files/RenderMain/Rasterizer_Shader.cpp:
	  Saner teleporter effect for shader renderer

2009-11-16 05:29  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix invisibility in shader renderer

2009-11-16 05:09  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Don't try to draw nonexistent textures

2009-11-16 04:00  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.h:
	  Glow for shader renderer

2009-11-16 03:13  treellama

	* Source_Files/Misc/preference_dialogs.cpp:
	  break up checkboxes in general OpenGL (Shader) prefs

2009-11-16 03:04  treellama

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  support resetting shader MML

2009-11-16 01:56  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h:
	  Shader MML fixes

2009-11-15 22:43  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  docs/MML.html:
	  Remove more shader redundancy

2009-11-15 22:35  jeremiahmorris

	* Source_Files/RenderMain/OGL_Textures.cpp,
	  Source_Files/RenderMain/OGL_Textures.h:
	  Fix bump map problems with r3998

2009-11-15 20:52  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Oops, infravision sprites were getting shaded

2009-11-15 20:50  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  New random static was not, in fact, awesome

2009-11-15 19:07  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  docs/MML.html:
	  Merge the infravision and invisible shaders

2009-11-15 18:39  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Random static now more awesome

2009-11-15 04:11  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Try harder to keep objects depth-sorted properly

2009-11-15 02:07  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/Rasterizer_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  docs/MML.html:
	  Update shader docs to match recent changes; rename flat-static
	  shader for consistency

2009-11-15 01:43  treellama

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  fix initialization across case label

2009-11-15 00:20  jeremiahmorris

	* Source_Files/Misc/preferences.cpp:
	  Rename new renderer (they're all 3D)

2009-11-14 23:59  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix infravision landscapes in 3D renderer

2009-11-14 23:59  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix hi-res landscapes in 3D renderer

2009-11-14 19:56  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix glance in 3D renderer

2009-11-14 18:17  treellama

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  since we now require 10.4, may as well use bzip2ed DMG

2009-11-14 17:41  jeremiahmorris

	* Source_Files/RenderMain/OGL_Setup.cpp:
	  Typo broke flat static fader

2009-11-14 17:05  jeremiahmorris

	* Source_Files/RenderMain/low_level_textures.h:
	  Fix yellow software static under SDL 1.2.14

2009-11-14 15:35  treellama

	* Source_Files/RenderMain/Makefile.am,
	  Source_Files/RenderMain/OGL_Headers.h,
	  Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/OGL_Setup.cpp,
	  Source_Files/RenderMain/OGL_Textures.cpp,
	  Source_Files/RenderMain/OGL_Win32.cpp,
	  Source_Files/RenderMain/OGL_Win32.h, configure.ac:
	  use GLEW in Windows

2009-11-14 15:21  treellama

	* Source_Files/RenderMain/OGL_Setup.cpp,
	  Source_Files/RenderMain/OGL_Textures.cpp,
	  Source_Files/RenderOther/game_window.cpp:
	  missed a few stray gl.h includes

2009-11-14 15:10  treellama

	* PBProjects/AlephOne.xcodeproj/project.pbxproj,
	  Source_Files/Misc/sdl_dialogs.cpp,
	  Source_Files/ModelView/Model3D.cpp,
	  Source_Files/ModelView/Model3D.h,
	  Source_Files/RenderMain/ImageLoader_Shared.cpp,
	  Source_Files/RenderMain/Makefile.am,
	  Source_Files/RenderMain/OGL_Faders.cpp,
	  Source_Files/RenderMain/OGL_Headers.h,
	  Source_Files/RenderMain/OGL_Model_Def.h,
	  Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/OGL_Shader.h,
	  Source_Files/RenderMain/OGL_Textures.cpp,
	  Source_Files/RenderMain/OGL_Win32.cpp,
	  Source_Files/RenderMain/OGL_Win32.h,
	  Source_Files/RenderMain/Rasterizer_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderOther/FontHandler.cpp,
	  Source_Files/RenderOther/FontHandler.h,
	  Source_Files/RenderOther/HUDRenderer_Lua.cpp,
	  Source_Files/RenderOther/HUDRenderer_OGL.cpp,
	  Source_Files/RenderOther/OGL_Blitter.h,
	  Source_Files/RenderOther/OGL_LoadScreen.h,
	  Source_Files/RenderOther/OverheadMap_OGL.cpp,
	  Source_Files/RenderOther/Shape_Blitter.cpp,
	  Source_Files/RenderOther/game_window.cpp,
	  Source_Files/RenderOther/screen.cpp, Source_Files/shell.cpp:
	  include a common OpenGL header instead of relying on each file to
	  do it right

2009-11-14 14:14  treellama

	* Source_Files/shell.cpp:
	  use IMG_Init and IMG_Quit

2009-11-14 04:21  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.h:
	  Clean out some unused code

2009-11-14 04:06  jeremiahmorris

	* Source_Files/RenderMain/OGL_Textures.cpp:
	  Use one global texture for missing bump maps; solves issue with
	  infravision

2009-11-14 02:44  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix infravision shading on non-substitute textures

2009-11-14 01:29  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix fogged sprites when bloom is active

2009-11-13 22:29  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix bad interactions between sprites and bloom

2009-11-13 21:56  jeremiahmorris

	* Source_Files/RenderMain/shapes.cpp:
	  Fix infravision sprites under SDL 1.2.14

2009-11-12 05:37  jeremiahmorris

	* Source_Files/RenderMain/ImageLoader_SDL.cpp,
	  Source_Files/RenderMain/OGL_Shader.cpp:
	  Visual improvements to bump mapping

2009-11-10 02:27  treellama

	* Source_Files/RenderMain/RenderSortPoly.cpp:
	  reduce calls to vector::size() (why is size() slow?), comment out
	  slow asserts

2009-11-10 00:41  treellama

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences_widgets_sdl.cpp,
	  Source_Files/Misc/preferences_widgets_sdl.h:
	  a crude plugins dialog

2009-11-08 16:51  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.h:
	  Consistent depth sorting for parasitic objects

2009-11-08 15:04  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Render thin transparent sides correctly (Rubicon's textures
	  confused me)

2009-11-08 15:00  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Shader doesn't need two loops to render objects properly

2009-11-08 14:55  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Restore alpha-testing for shader renderer, to avoid z-buffer
	  problems

2009-11-08 04:48  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Infravision fixes for 3D renderer

2009-11-08 02:21  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp:
	  Fix dialogs/HUD in chase cam mode

2009-11-08 01:48  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Yet another landscape positioning fix

2009-11-08 00:07  jeremiahmorris

	* Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix alpha and (some) glow issues

2009-11-07 19:36  treellama

	* Source_Files/Misc/preferences.cpp, Source_Files/XML/Plugins.cpp,
	  Source_Files/XML/Plugins.h, Source_Files/shell.cpp:
	  don't run plugins called out as disabled in prefs

2009-11-07 15:59  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Fix landscape positioning in shader renderer

2009-11-06 02:35  jeremiahmorris

	* Source_Files/Misc/preference_dialogs.cpp,
	  Source_Files/Misc/preference_dialogs.h,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/OGL_Setup.cpp,
	  Source_Files/RenderMain/OGL_Setup.h,
	  Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp:
	  Make bloom and bump-mapping optional

2009-11-06 00:09  treellama

	* Source_Files/RenderMain/Makefile.am:
	  add shader files to the Makefile

2009-11-05 18:36  jeremiahmorris

	* Source_Files/RenderMain/OGL_Shader.cpp:
	  Lessen the landscape vertical distortion a little

2009-11-05 02:37  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj,
	  Source_Files/GameWorld/marathon2.cpp,
	  Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h,
	  Source_Files/RenderMain/OGL_Textures.cpp,
	  Source_Files/RenderMain/Rasterizer_OGL.h,
	  Source_Files/RenderMain/Rasterizer_Shader.cpp,
	  Source_Files/RenderMain/Rasterizer_Shader.h,
	  Source_Files/RenderMain/RenderRasterize.cpp,
	  Source_Files/RenderMain/RenderRasterize.h,
	  Source_Files/RenderMain/RenderRasterize_Shader.cpp,
	  Source_Files/RenderMain/RenderRasterize_Shader.h,
	  Source_Files/RenderMain/render.cpp,
	  Source_Files/RenderOther/HUDRenderer_Lua.cpp,
	  Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/screen.h:
	  Renderer from shader-support branch

2009-11-05 02:10  jeremiahmorris

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  Add Plugins files to Xcode project

2009-11-01 20:58  treellama

	* Source_Files/XML/Plugins.cpp, Source_Files/XML/Plugins.h,
	  Source_Files/XML/XML_LevelScript.cpp, Source_Files/shell.cpp:
	  load Plugin.xml which refers to MML, rather than Plugin.mml

2009-10-26 01:59  treellama

	* Source_Files/XML/Makefile.am, Source_Files/XML/Plugins.cpp,
	  Source_Files/XML/Plugins.h, Source_Files/XML/XML_LevelScript.cpp,
	  Source_Files/shell.cpp:
	  run all MML plugins in Plugins/

2009-10-25 20:27  treellama

	* Source_Files/RenderMain/OGL_Model_Def.cpp,
	  Source_Files/RenderMain/OGL_Model_Def.h,
	  Source_Files/RenderMain/OGL_Setup.cpp,
	  Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h,
	  Source_Files/RenderMain/OGL_Subst_Texture_Def.cpp,
	  Source_Files/RenderMain/OGL_Texture_Def.h,
	  Source_Files/Sound/ReplacementSounds.h,
	  Source_Files/Sound/SoundManager.cpp:
	  use FileSpecifiers instead of strings to store XML specified file
	  paths
	  (you'll love the hack this will make possible)

2009-10-24 17:04  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp:
	  Modelview reset will make the upcoming renderer happy

2009-10-24 16:31  treellama

	* PBProjects/AlephOne.xcodeproj/project.pbxproj:
	  remove old Xcode 2.5 stuff from the project file
	  add FileHandler.cpp

2009-10-24 16:20  treellama

	* PBProjects/AlephOne-OSX10.4.xcodeproj,
	  PBProjects/AlephOne.xcodeproj:
	  rename AlephOne-OSX10.4 to AlephOne

2009-10-23 20:55  jeremiahmorris

	* Source_Files/RenderMain/RenderPlaceObjs.cpp,
	  Source_Files/RenderMain/RenderPlaceObjs.h:
	  Correct placement of parasitic object for new renderer (from
	  shader-support branch)

2009-10-23 17:07  jeremiahmorris

	* PBProjects/AlephOne-OSX10.4.xcodeproj/project.pbxproj,
	  Source_Files/ModelView/Model3D.cpp,
	  Source_Files/ModelView/Model3D.h,
	  Source_Files/RenderMain/OGL_Model_Def.cpp,
	  Source_Files/RenderMain/vec3.h:
	  Store 3D model tangents for new renderer (from shader-support
	  branch)

2009-10-23 16:26  jeremiahmorris

	* Source_Files/RenderMain/RenderPlaceObjs.cpp,
	  Source_Files/RenderMain/scottish_textures.h:
	  Attach more world position info to render_objects, for new
	  renderer (from shader-support branch)

2009-10-23 06:21  jeremiahmorris

	* PBProjects/AlephOne-OSX10.4.xcodeproj/project.pbxproj,
	  Source_Files/RenderMain/Makefile.am,
	  Source_Files/RenderMain/OGL_Setup.cpp,
	  Source_Files/RenderMain/OGL_Shader.cpp,
	  Source_Files/RenderMain/OGL_Shader.h, docs/MML.html:
	  Handler for default and custom OpenGL shaders (from
	  shader-support branch)

2009-10-21 00:29  treellama

	* Source_Files/Files/FileHandler.cpp,
	  Source_Files/Files/FileHandler.h,
	  Source_Files/Files/FileHandler_SDL.cpp,
	  Source_Files/Files/Makefile.am:
	  clean mac stuff out of filehandler

2009-10-20 23:34  treellama

	* Source_Files/Lua/luaconf.h, configure.ac:
	  check for mkstemp and use it instead of tempnam if available
	  (fixes gcc complaining about loslib which we didn't used to use
	  anyway)

2009-10-20 19:47  jeremiahmorris

	* Source_Files/RenderMain/ImageLoader.h,
	  Source_Files/RenderMain/ImageLoader_SDL.cpp,
	  Source_Files/RenderMain/OGL_Setup.cpp,
	  Source_Files/RenderMain/OGL_Subst_Texture_Def.cpp,
	  Source_Files/RenderMain/OGL_Texture_Def.h,
	  Source_Files/RenderMain/OGL_Textures.cpp,
	  Source_Files/RenderMain/OGL_Textures.h, docs/MML.html:
	  Bump map support, for new renderer (from shader-support branch)

2009-10-20 02:50  jeremiahmorris

	* Source_Files/RenderMain/OGL_Faders.cpp:
	  the texture coord array must be disabled before calling
	  glDrawArrays (r3729 from shader-support branch)

2009-10-17 02:23  treellama

	* Source_Files/Network/network_games.cpp,
	  Source_Files/Network/network_games.h:
	  revert the most egregious of the indiscriminate, overly applied
	  long -> int32s
	  someone should go through and do it the right way, but this
	  revert at least fixes my HUD

2009-10-16 00:08  treellama

	* Source_Files/Misc/alephversion.h:
	  version 0.22.1

2009-10-15 21:48  treellama

	* Source_Files/Lua/lua_map.cpp:
	  allow setting polygon type by enum

2009-10-15 20:35  treellama

	* Source_Files/Lua/lua_map.cpp:
	  polygon:contains should use inclusive height checks
	  before this change the 2D version always failed!

2009-10-13 02:55  treellama

	* docs/Lua.html, docs/Lua.xml:
	  oops, these should have been changed to 20090909 for 0.22

2009-10-12 23:57  jeremiahmorris

	* Source_Files/RenderOther/HUDRenderer_Lua.cpp,
	  Source_Files/RenderOther/OGL_Blitter.cpp:
	  Disable gamma-corrected blending for HUD, for graphical
	  compatibility between the two settings

2009-10-11 18:03  treellama

	* Source_Files/RenderMain/OGL_Faders.cpp:
	  fix static faders when sRGB is on (by turning off sRGB)

2009-10-05 01:35  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_player.cpp:
	  Fix SF.net bug 2868467 (Player.weapons[] is broken)

2009-10-04 23:36  jeremiahmorris

	* Source_Files/RenderOther/fades.cpp:
	  Turn off OpenGL faders when they're done

2009-10-04 18:07  jeremiahmorris

	* Source_Files/Lua/lua_map.cpp, Source_Files/Lua/lua_player.cpp:
	  Lua length accessors for various subtables

2009-09-25 21:19  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/screen.h, Source_Files/shell.cpp:
	  Read default gamma more explicitly at application start, and
	  explicitly restore it on exit

2009-09-24 00:21  jeremiahmorris

	* Source_Files/RenderOther/OGL_Blitter.cpp:
	  Create textures individually instead of in batch; potentially
	  fixes SF issue 2865324

2009-09-22 02:49  jeremiahmorris

	* Source_Files/Misc/sdl_dialogs.cpp,
	  Source_Files/RenderMain/OGL_Setup.h:
	  Remove glDrawBuffer logic to fix dialog problems

2009-09-09 23:58  treellama

	* Source_Files/Misc/alephversion.h:
	  version 0.22

2009-09-07 16:18  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_player.cpp:
	  Add static keyword to some Lua accessors, to match rest

2009-09-07 16:00  jeremiahmorris

	* Source_Files/Lua/lua_projectiles.cpp, docs/Lua.html,
	  docs/Lua.xml:
	  Hook up existing code for Projectiles[idx].target, overlooked
	  when originally added

2009-09-07 15:26  jeremiahmorris

	* Source_Files/Lua/lua_hud_script.cpp:
	  Clean out unnecessary includes, and include our own .h file

2009-09-07 14:44  treellama

	* Source_Files/Lua/lua_mnemonics.h, docs/Lua.html, docs/Lua.xml:
	  fix a couple of typos in Lua and mnemonics

2009-09-07 14:33  jeremiahmorris

	* Source_Files/Input/joystick_sdl.cpp,
	  Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Network/network_microphone_coreaudio.cpp,
	  Source_Files/RenderOther/HUDRenderer_Lua.cpp,
	  Source_Files/RenderOther/HUDRenderer_OGL.cpp,
	  Source_Files/RenderOther/screen.cpp:
	  Explicit float-to-int conversions

2009-09-07 05:35  jeremiahmorris

	* Source_Files/Network/network_dialogs.cpp:
	  Missed one unused var in last commit

2009-09-07 05:20  jeremiahmorris

	* Source_Files/Lua/lua_script.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/sdl_dialogs.cpp,
	  Source_Files/Network/network.cpp,
	  Source_Files/Network/network_dialogs.cpp,
	  Source_Files/RenderMain/shapes.cpp,
	  Source_Files/Sound/sound_definitions.h:
	  Removing more unused items

2009-09-07 03:40  jeremiahmorris

	* Source_Files/Misc/interface.cpp:
	  Avoid more GCC warnings

2009-09-07 02:19  jeremiahmorris

	* PBProjects/AlephOne-OSX10.4.xcodeproj/project.pbxproj:
	  Remove -Wno-long-double; unnecessary and breaks GCC 4.2

2009-09-07 02:12  jeremiahmorris

	* Source_Files/Files/game_wad.cpp,
	  Source_Files/Misc/sdl_widgets.cpp,
	  Source_Files/Network/Metaserver/metaserver_messages.cpp,
	  Source_Files/Network/Metaserver/network_metaserver.cpp,
	  Source_Files/Network/network.cpp,
	  Source_Files/Network/network_dialogs.cpp,
	  Source_Files/Network/network_speaker_shared.cpp,
	  Source_Files/RenderMain/ImageLoader_Shared.cpp,
	  Source_Files/RenderMain/OGL_Textures.cpp,
	  Source_Files/RenderMain/SW_Texture_Extras.cpp,
	  Source_Files/RenderMain/low_level_textures.h,
	  Source_Files/RenderMain/shapes.cpp,
	  Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/sdl_fonts.cpp,
	  Source_Files/Sound/SoundManager.cpp:
	  Removing unused variables

2009-08-30 01:57  treellama

	* Source_Files/Misc/preferences.cpp:
	  rename joystick sensitivity attribute so it doesn't tickle XML
	  bug when downgrading to 0.21

2009-08-30 01:54  treellama

	* Source_Files/XML/XML_Configure.cpp:
	  don't parse attributes of unknown children in the parent element!

2009-08-28 21:35  jeremiahmorris

	* Source_Files/Lua/lua_hud_script.cpp:
	  Don't let Lua file-loading screw up global error state

2009-08-27 20:06  jeremiahmorris

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/RenderOther/ViewControl.cpp, Source_Files/shell.h:
	  Moved fix_h_not_v to user preferences from MML

2009-08-26 01:41  solrabizna

	* Source_Files/RenderMain/OGL_Setup.h:
	  looks prettier on a stone tablet

2009-08-16 22:28  treellama

	* Source_Files/RenderMain/OGL_Setup.cpp,
	  Source_Files/RenderMain/OGL_Setup.h:
	  gcc 3.4 can't understand these wacky function pointer macros

2009-08-16 21:51  treellama

	* Source_Files/Misc/alephversion.h:
	  0.22 RC1

2009-08-16 21:07  treellama

	* Source_Files/Misc/preference_dialogs.cpp,
	  Source_Files/Misc/preference_dialogs.h:
	  add a preference checkbox for sRGB

2009-08-14 00:49  treellama

	* Source_Files/shell.cpp, configure.ac:
	  remove SDL_syswm.h and hard-coded X11 includes

2009-08-14 00:49  treellama

	* tools/Makefile.am:
	  stop complaining about dumpwad when running autogen.sh!

2009-08-13 20:01  solrabizna

	* Source_Files/RenderMain/OGL_Faders.cpp,
	  Source_Files/RenderOther/HUDRenderer_Lua.cpp:
	  Some sRGB-related buggery

2009-08-12 23:31  treellama

	* Source_Files/Sound/SoundFile.cpp, Source_Files/Sound/SoundFile.h:
	  copying SoundHeader doesn't invalidate pointers to its data()
	  field

2009-08-12 23:00  solrabizna

	* Source_Files/CSeries/csalerts.cpp,
	  Source_Files/CSeries/csalerts.h,
	  Source_Files/CSeries/csalerts_sdl.cpp,
	  Source_Files/CSeries/csdialogs.h,
	  Source_Files/CSeries/csdialogs_macintosh.cpp,
	  Source_Files/CSeries/csdialogs_sdl.cpp,
	  Source_Files/CSeries/mytm.h,
	  Source_Files/CSeries/mytm_mac_carbon.cpp,
	  Source_Files/CSeries/mytm_sdl.cpp,
	  Source_Files/CSeries/timer.cpp, Source_Files/CSeries/timer.h,
	  Source_Files/Files/FileHandler.cpp,
	  Source_Files/Files/FileHandler.h,
	  Source_Files/Files/FileHandler_SDL.cpp,
	  Source_Files/Files/crc.cpp, Source_Files/Files/crc.h,
	  Source_Files/Files/extensions.h, Source_Files/Files/game_wad.cpp,
	  Source_Files/Files/import_definitions.cpp,
	  Source_Files/Files/mac_rwops.cpp,
	  Source_Files/Files/resource_manager.cpp,
	  Source_Files/Files/wad.cpp, Source_Files/Files/wad.h,
	  Source_Files/Files/wad_prefs.cpp,
	  Source_Files/GameWorld/devices.cpp,
	  Source_Files/GameWorld/flood_map.cpp,
	  Source_Files/GameWorld/flood_map.h,
	  Source_Files/GameWorld/items.cpp, Source_Files/GameWorld/map.cpp,
	  Source_Files/GameWorld/map_constructors.cpp,
	  Source_Files/GameWorld/monsters.cpp,
	  Source_Files/GameWorld/pathfinding.cpp,
	  Source_Files/GameWorld/physics.cpp,
	  Source_Files/GameWorld/player.cpp,
	  Source_Files/GameWorld/projectiles.cpp,
	  Source_Files/GameWorld/weapons.cpp,
	  Source_Files/GameWorld/weapons.h, Source_Files/Input/mouse.cpp,
	  Source_Files/Lua/lua_hud_script.cpp,
	  Source_Files/Lua/lua_monsters.cpp,
	  Source_Files/Lua/lua_player.cpp, Source_Files/Lua/lua_script.cpp,
	  Source_Files/Lua/lua_script.h, Source_Files/Misc/LocalEvents.h,
	  Source_Files/Misc/interface.cpp, Source_Files/Misc/interface.h,
	  Source_Files/Misc/preferences.cpp, Source_Files/Misc/vbl.cpp,
	  Source_Files/Misc/vbl.h, Source_Files/ModelView/Dim3_Loader.cpp,
	  Source_Files/ModelView/QD3D_Loader.cpp,
	  Source_Files/ModelView/StudioLoader.cpp,
	  Source_Files/Network/RingGameProtocol.cpp,
	  Source_Files/Network/network.cpp, Source_Files/Network/network.h,
	  Source_Files/Network/network_ddp.cpp,
	  Source_Files/Network/network_dialogs.cpp,
	  Source_Files/Network/network_dialogs.h,
	  Source_Files/Network/network_dummy.cpp,
	  Source_Files/Network/network_games.cpp,
	  Source_Files/Network/network_games.h,
	  Source_Files/Network/network_microphone.cpp,
	  Source_Files/Network/network_speaker.cpp,
	  Source_Files/RenderMain/ImageLoader_Shared.cpp,
	  Source_Files/RenderMain/NewRenderVisTree.cpp,
	  Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/RenderSortPoly.cpp,
	  Source_Files/RenderMain/RenderVisTree.cpp,
	  Source_Files/RenderMain/shapes.cpp,
	  Source_Files/RenderMain/texturers.h,
	  Source_Files/RenderMain/textures.cpp,
	  Source_Files/RenderMain/textures.h,
	  Source_Files/RenderOther/OverheadMapRenderer.cpp,
	  Source_Files/RenderOther/OverheadMapRenderer.h,
	  Source_Files/RenderOther/computer_interface.cpp,
	  Source_Files/RenderOther/motion_sensor.cpp,
	  Source_Files/RenderOther/screen_shared.h,
	  Source_Files/Sound/BasicIFFDecoder.cpp,
	  Source_Files/Sound/MADDecoder.cpp,
	  Source_Files/Sound/SoundFile.cpp,
	  Source_Files/Sound/SoundManager.cpp,
	  Source_Files/Sound/SoundManager.h,
	  Source_Files/Sound/sound_definitions.h,
	  Source_Files/XML/DamageParser.cpp,
	  Source_Files/XML/XML_Loader_SDL.h, Source_Files/shell_misc.cpp:
	  It's like s/long/int32/ only you don't end up with comments like
	  "this doesn't beint32 here"

2009-08-12 03:55  solrabizna

	* Source_Files/Sound/SoundFile.cpp:
	  Minor correctness changes to custom sound code that is going to
	  be ripped out anyway

2009-08-12 01:23  jeremiahmorris

	* Source_Files/RenderOther/HUDRenderer_OGL.cpp:
	  Take advantage of image-resource Load() from OGL_Blitter

2009-08-12 01:12  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/RenderOther/Image_Blitter.cpp,
	  Source_Files/RenderOther/Image_Blitter.h, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Lua HUD access to pictures from Images file

2009-08-12 00:45  jeremiahmorris

	* Source_Files/Lua/lua_hud_script.cpp:
	  Fix missing return value

2009-08-11 21:50  solrabizna

	* Source_Files/Lua/lua_script.cpp, Source_Files/Misc/interface.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h, Source_Files/shell.cpp:
	  treellama is too paranoid, insecure_lua is now an undocumented
	  command-line option

2009-08-11 20:48  solrabizna

	* Source_Files/Lua/lua_script.cpp, Source_Files/Misc/interface.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h,
	  Source_Files/RenderMain/OGL_Setup.h:
	  Add an undocumented way for really desperate Lua scripters to
	  temporarily enable io/os in their own copy of Aleph One

2009-08-11 16:29  jeremiahmorris

	* Source_Files/RenderMain/OGL_Textures.cpp,
	  Source_Files/RenderOther/FontHandler.cpp:
	  FontSpecifier texture management now matches OGL_Blitter,
	  avoiding static destruction issues

2009-08-11 00:19  treellama

	* Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/OGL_Setup.h:
	  fix Xcode compile

2009-08-10 19:39  solrabizna

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/ModelView/Model3D.cpp,
	  Source_Files/ModelView/ModelRenderer.cpp,
	  Source_Files/RenderMain/OGL_Faders.cpp,
	  Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/OGL_Setup.cpp,
	  Source_Files/RenderMain/OGL_Setup.h,
	  Source_Files/RenderMain/OGL_Textures.cpp,
	  Source_Files/RenderOther/HUDRenderer_Lua.cpp,
	  Source_Files/RenderOther/HUDRenderer_OGL.cpp,
	  Source_Files/RenderOther/OGL_Blitter.cpp,
	  Source_Files/RenderOther/OGL_LoadScreen.cpp,
	  Source_Files/RenderOther/OverheadMap_OGL.cpp,
	  Source_Files/RenderOther/Shape_Blitter.cpp,
	  Source_Files/RenderOther/screen.cpp:
	  Should not affect anything unless use_srgb is set to true in
	  prefs. Everything can be corrected, except model vertex colors.
	  Did we already know that static is screwed up under OpenGL?

2009-08-10 03:27  solrabizna

	* Source_Files/RenderOther/Shape_Blitter.cpp:
	  Add braces so GCC 4.1 doesn't complain...hopefully harmless

2009-08-04 16:22  jeremiahmorris

	* Source_Files/RenderOther/Shape_Blitter.cpp:
	  Fix landscape display problems in tetxure palette

2009-08-02 23:04  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp:
	  Fix overlapping function names under GCC 3.3

2009-08-01 23:43  treellama

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_player.cpp, docs/Lua.html, docs/Lua.xml,
	  docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Player.weapons.desired

2009-08-01 22:10  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Texture palette access for Lua HUD

2009-08-01 13:28  treellama

	* Source_Files/Lua/lua_hud_objects.cpp:
	  use std::max and std::min instead of fmaxf and fminf

2009-08-01 13:21  treellama

	* Source_Files/Misc/alephversion.h:
	  version numbers for 0.22 preview 2

2009-08-01 13:20  treellama

	* Makefile.am:
	  add Lua_HUD.html to included documentation

2009-08-01 12:45  treellama

	* PBProjects/AlephOne-OSX10.4.xcodeproj/project.pbxproj:
	  add Lua_HUD.html to the DMG script
	  add a dependency on alephversion.h to the script that edits
	  Info.plist

2009-08-01 04:40  jeremiahmorris

	* PBProjects/AlephOne-OSX10.4.xcodeproj/project.pbxproj:
	  10.4 Xcode project cleanup, from mrvacbob

2009-08-01 02:46  jeremiahmorris

	* docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Correct the example in Triggers

2009-08-01 02:41  treellama

	* docs/Lua.xsl, docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  display functions with named parameters as { foo= }

2009-08-01 02:15  treellama

	* Source_Files/Misc/preferences.cpp:
	  default to no directinput on Windows, I'm sick of Vista users
	  complaining about black screens

2009-08-01 02:07  jeremiahmorris

	* PBProjects/AlephOne-OSX10.4.xcodeproj/project.pbxproj,
	  Source_Files/RenderOther/Makefile.am:
	  Forgot to add Shape_Blitter to makefiles

2009-08-01 02:02  jeremiahmorris

	* Source_Files/GameWorld/weapons.cpp,
	  Source_Files/GameWorld/weapons.h,
	  Source_Files/Lua/lua_hud_objects.cpp, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Additional accessors for Lua HUD

2009-07-31 17:26  jeremiahmorris

	* Source_Files/RenderOther/screen_shared.h:
	  Lua overlay icons use Image_Blitter to draw

2009-07-31 03:27  jeremiahmorris

	* Source_Files/RenderOther/FontHandler.cpp:
	  Stop leaking OpenGL memory when fonts are destroyed

2009-07-30 05:35  jeremiahmorris

	* Source_Files/RenderOther/HUDRenderer_Lua.cpp:
	  install HAVE_OPENGL ifdef appropriately

2009-07-30 04:34  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/RenderOther/HUDRenderer_Lua.cpp,
	  Source_Files/RenderOther/HUDRenderer_Lua.h,
	  Source_Files/RenderOther/screen.cpp:
	  Lua HUD improvements in fullscreen mode

2009-07-29 14:19  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  Optimize Lua HUD in software mode, in a way that doesn't break
	  OpenGL this time

2009-07-29 04:12  jeremiahmorris

	* Source_Files/RenderOther/Image_Blitter.cpp,
	  Source_Files/RenderOther/Image_Blitter.h,
	  Source_Files/RenderOther/screen.cpp:
	  Optimizations for Lua HUD in software mode

2009-07-28 03:06  treellama

	* docs/Lua.xsl:
	  don't prepend a period when alias starts with [

2009-07-28 01:30  jeremiahmorris

	* Source_Files/RenderOther/HUDRenderer.cpp,
	  Source_Files/RenderOther/HUDRenderer_OGL.cpp:
	  Draw message area relative to player name, instead of hardcoding
	  its location

2009-07-27 18:32  jeremiahmorris

	* Source_Files/RenderOther/motion_sensor.cpp:
	  Allow flickering sensor to draw on odd tick counts; fixes SF
	  1684830

2009-07-27 01:55  jeremiahmorris

	* docs/Lua.html, docs/Lua.xml:
	  Version notice on new variable added today

2009-07-27 00:55  jeremiahmorris

	* Source_Files/Lua/lua_player.cpp, Source_Files/Lua/lua_script.h,
	  Source_Files/RenderOther/HUDRenderer.cpp,
	  Source_Files/RenderOther/HUDRenderer.h,
	  Source_Files/RenderOther/HUDRenderer_Lua.h,
	  Source_Files/RenderOther/HUDRenderer_OGL.cpp,
	  Source_Files/RenderOther/HUDRenderer_OGL.h,
	  Source_Files/RenderOther/HUDRenderer_SW.cpp,
	  Source_Files/RenderOther/HUDRenderer_SW.h,
	  Source_Files/RenderOther/Shape_Blitter.cpp,
	  Source_Files/RenderOther/Shape_Blitter.h, docs/Lua.html,
	  docs/Lua.xml:
	  Support shape types besides walls in Lua texture palette

2009-07-27 00:54  jeremiahmorris

	* docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Forgot to document texture type for shapes

2009-07-26 22:45  jeremiahmorris

	* Source_Files/RenderOther/HUDRenderer_OGL.cpp,
	  Source_Files/RenderOther/HUDRenderer_SW.cpp,
	  Source_Files/RenderOther/Shape_Blitter.cpp,
	  Source_Files/RenderOther/Shape_Blitter.h:
	  HUDs now use Shape_Blitter for texture palette; optimized
	  SDL_Draw in short-lived usage

2009-07-26 21:55  jeremiahmorris

	* docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Add documentation about CollectionsUsed

2009-07-26 21:52  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_hud_objects.h,
	  Source_Files/Lua/lua_mnemonics.h,
	  Source_Files/RenderOther/HUDRenderer_Lua.cpp,
	  Source_Files/RenderOther/HUDRenderer_Lua.h,
	  Source_Files/RenderOther/Shape_Blitter.cpp,
	  Source_Files/RenderOther/Shape_Blitter.h, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Shape support for Lua HUD

2009-07-26 02:14  jeremiahmorris

	* Source_Files/GameWorld/marathon2.cpp,
	  Source_Files/Lua/lua_hud_script.cpp,
	  Source_Files/Lua/lua_hud_script.h,
	  Source_Files/Misc/interface.cpp,
	  Source_Files/RenderOther/screen.cpp:
	  Reorganize Lua HUD load and triggers, to allow for
	  collection-loading from HUD scripts

2009-07-25 15:27  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_mnemonics.h, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Lua HUD lighting effects

2009-07-25 02:09  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_hud_objects.h,
	  Source_Files/Lua/lua_hud_script.cpp,
	  Source_Files/Lua/lua_hud_script.h,
	  Source_Files/Lua/lua_mnemonics.h,
	  Source_Files/RenderOther/HUDRenderer_Lua.cpp,
	  Source_Files/RenderOther/HUDRenderer_Lua.h,
	  Source_Files/RenderOther/Image_Blitter.cpp,
	  Source_Files/RenderOther/Image_Blitter.h:
	  Header block cleanup for my recent files

2009-07-24 14:39  jeremiahmorris

	* Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_mnemonics.h, docs/Lua_HUD.html,
	  docs/Lua_HUD.xml:
	  Lua HUD access to microphone status, pitch, and additional
	  graphics preferences

2009-07-19 19:19  treellama

	* Source_Files/RenderOther/Image_Blitter.cpp:
	  images.h, not Images.h

2009-07-19 18:27  jeremiahmorris

	* docs/Lua.xml, docs/Lua.xsl, docs/Lua_HUD.html, docs/Lua_HUD.xml:
	  Lua HUD documentation

2009-07-19 18:00  jeremiahmorris

	* PBProjects/AlephOne-OSX10.4.xcodeproj/project.pbxproj,
	  Source_Files/Lua/Makefile.am,
	  Source_Files/Lua/lua_hud_objects.cpp,
	  Source_Files/Lua/lua_hud_objects.h,
	  Source_Files/Lua/lua_hud_script.cpp,
	  Source_Files/Lua/lua_hud_script.h,
	  Source_Files/RenderOther/HUDRenderer.h,
	  Source_Files/RenderOther/HUDRenderer_Lua.cpp,
	  Source_Files/RenderOther/HUDRenderer_Lua.h,
	  Source_Files/RenderOther/Makefile.am,
	  Source_Files/RenderOther/motion_sensor.cpp,
	  Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/screen.h:
	  Lua HUD

2009-07-19 17:51  jeremiahmorris

	* PBProjects/AlephOne-OSX10.4.xcodeproj/project.pbxproj,
	  Source_Files/RenderOther/Image_Blitter.cpp,
	  Source_Files/RenderOther/Image_Blitter.h,
	  Source_Files/RenderOther/Makefile.am,
	  Source_Files/RenderOther/OGL_Blitter.cpp,
	  Source_Files/RenderOther/OGL_Blitter.h:
	  Add cross-renderer support, more features to OGL_Blitter

2009-07-19 17:38  jeremiahmorris

	* PBProjects/AlephOne-OSX10.4.xcodeproj/project.pbxproj:
	  2 header files were missing from Xcode project

2009-07-19 17:09  jeremiahmorris

	* Source_Files/Lua/lua_templates.h:
	  Class to hold non-numeric object, for use in Lua HUD

2009-07-19 17:07  jeremiahmorris

	* Source_Files/Lua/lua_mnemonics.h:
	  Enums for use in Lua HUD

2009-07-19 17:03  jeremiahmorris

	* Source_Files/Lua/lua_player.cpp:
	  DifficultyTypes container was documented but not implemented

2009-07-19 16:57  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/OGL_Textures.cpp,
	  Source_Files/RenderOther/FontHandler.cpp,
	  Source_Files/RenderOther/FontHandler.h,
	  Source_Files/RenderOther/HUDRenderer_OGL.cpp,
	  Source_Files/RenderOther/overhead_map.cpp:
	  Centralize OGL font resetting

2009-07-19 16:52  jeremiahmorris

	* Source_Files/GameWorld/weapons.cpp,
	  Source_Files/GameWorld/weapons.h:
	  Weapon info accessors for Lua HUD

2009-07-19 16:51  jeremiahmorris

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h:
	  Prefs for Lua HUD

2009-07-19 16:49  jeremiahmorris

	* Source_Files/Misc/sdl_dialogs.cpp:
	  Simplify OGL_Blitter constructors

2009-07-19 14:18  treellama

	* Source_Files/Lua/lua_objects.cpp, docs/Lua.html, docs/Lua.xml:
	  Item, Effect, Scenery :position()

2009-07-19 13:37  treellama

	* docs/Lua.html, docs/Lua.xml:
	  scenery.x, .y, .z are read-only

2009-06-28 11:08  jeremiahmorris

	* Source_Files/RenderOther/motion_sensor.cpp,
	  Source_Files/RenderOther/motion_sensor.h:
	  Motion sensor blip types will be needed by Lua HUD, make them
	  public

2009-06-28 11:00  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/OGL_Textures.cpp,
	  Source_Files/RenderOther/HUDRenderer_OGL.cpp:
	  Stop and reset blitter textures along with other OGL textures

2009-06-28 10:32  jeremiahmorris

	* Source_Files/RenderOther/OGL_Blitter.cpp:
	  Confused iterator was causing crash on respawn

2009-06-13 03:41  treellama

	* Source_Files/Misc/preferences.cpp:
	  cast to remove ambiguity about which std::log we want (as if we
	  care)

2009-06-05 05:33  mrvacbob

	* Source_Files/Sound/Decoder.cpp:
	  Missed a NULL -> 0 to match the prior function.

2009-06-05 05:27  mrvacbob

	* PBProjects/SDLMain.m, Source_Files/Lua/lua_script.cpp,
	  Source_Files/Network/Metaserver/metaserver_dialogs.cpp,
	  Source_Files/Network/Metaserver/network_metaserver.cpp,
	  Source_Files/Network/Update.cpp,
	  Source_Files/RenderMain/ImageLoader.h,
	  Source_Files/RenderMain/ImageLoader_Shared.cpp,
	  Source_Files/RenderMain/shapes.cpp,
	  Source_Files/RenderOther/sdl_fonts.cpp,
	  Source_Files/Sound/Decoder.cpp, Source_Files/Sound/SoundFile.cpp:
	  - Fix "control reached end of non-void function" warnings.
	  - Use -UTF8String instead of the deprecated -cString in SDLMain.

2009-06-05 04:46  mrvacbob

	* PBProjects/AlephOne-OSX10.4-fink.xcodeproj:
	  Delete AlephOne-OSX10.4-fink.xcodeproj.
	  
	  It was never updated since the first commit in 2006.

2009-06-05 01:08  treellama

	* Source_Files/Misc/preferences.cpp:
	  get rid of exp2 and log2

2009-06-02 21:28  jeremiahmorris

	* Source_Files/Misc/sdl_dialogs.cpp:
	  Fix flashing on GL dialog exit, and also the overwrite warning in
	  save dialog; no artifacts on my system at least

2009-06-02 21:20  jeremiahmorris

	* Source_Files/RenderOther/OGL_Blitter.cpp:
	  It's good to initialize your member variables, and have your
	  images actually appear

2009-06-02 21:08  jeremiahmorris

	* Source_Files/RenderOther/OGL_Blitter.cpp,
	  Source_Files/RenderOther/OGL_Blitter.h:
	  Fix some problems with destruction order

2009-06-02 12:39  jeremiahmorris

	* Source_Files/Misc/sdl_dialogs.cpp,
	  Source_Files/RenderOther/OGL_Blitter.cpp,
	  Source_Files/RenderOther/OGL_Blitter.h:
	  Optimize OGL_Blitter for smaller images and portions of surfaces

2009-06-02 11:07  jeremiahmorris

	* Source_Files/RenderOther/OGL_LoadScreen.cpp,
	  Source_Files/RenderOther/OGL_LoadScreen.h:
	  Simplify blitter use in LoadScreen

2009-06-02 11:05  jeremiahmorris

	* Source_Files/RenderOther/OGL_Blitter.cpp,
	  Source_Files/RenderOther/OGL_Blitter.h:
	  Add ImageDescriptor support to OGL_Blitter

2009-06-02 03:56  jeremiahmorris

	* Source_Files/RenderOther/OGL_Blitter.cpp:
	  Load transparent source material safely

2009-06-02 03:54  jeremiahmorris

	* Source_Files/RenderMain/Crosshairs_SDL.cpp,
	  Source_Files/RenderMain/OGL_Render.cpp:
	  Reverting files mistakenly included in last commit

2009-06-02 03:47  jeremiahmorris

	* Source_Files/RenderMain/Crosshairs_SDL.cpp,
	  Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderOther/OGL_Blitter.cpp:
	  Proper endian fix for OGL_Blitter's black-line prevention

2009-06-02 02:54  jeremiahmorris

	* Source_Files/RenderMain/OGL_Textures.cpp:
	  Fix sprite-border problem on big-endian machines

2009-06-01 03:53  jeremiahmorris

	* Source_Files/RenderOther/OGL_Blitter.cpp:
	  Draw OpenGL crosshair as SDL-generated texture, instead of using
	  GL-specific drawing logic

2009-06-01 03:50  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/screen.h:
	  Darken HUD along with rest of window when game is paused

2009-05-31 19:59  treellama

	* Source_Files/Input/joystick_sdl.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h:
	  make joystick dead zones configurable in prefs (no GUI)

2009-05-31 16:00  jeremiahmorris

	* Source_Files/RenderOther/OGL_Blitter.cpp:
	  Fix positioning bug in loading progress dialog

2009-05-31 13:50  jeremiahmorris

	* Source_Files/RenderOther/OGL_Blitter.cpp:
	  Fix terminal's version of black-line problem

2009-05-31 13:37  treellama

	* Source_Files/Misc/alephversion.h:
	  preview build take 2

2009-05-31 12:59  treellama

	* Source_Files/RenderOther/OGL_Blitter.cpp:
	  C++ guarantees &foo[0] to be contiguous but not &foo.front()

2009-05-31 05:51  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  Restore terminal in software mode when unpausing

2009-05-31 05:37  jeremiahmorris

	* Source_Files/RenderOther/OGL_Blitter.cpp:
	  Fix a crash-on-quit in software mode

2009-05-31 04:16  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  I screwed up width vs. window_width: fixes HUD/term scaling when
	  using smaller resolutions in fullscreen mode

2009-05-31 03:08  jeremiahmorris

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/RenderOther/screen.cpp:
	  Saner options for scaling HUD and terminals

2009-05-31 02:32  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  Reverting erroneous commit in r3821

2009-05-31 02:15  jeremiahmorris

	* Source_Files/Misc/sdl_dialogs.cpp,
	  Source_Files/RenderMain/OGL_Setup.h,
	  Source_Files/RenderOther/screen.cpp:
	  Act like single-buffered mode in dialogs, to avoid
	  no-copy-on-swap differences

2009-05-31 01:58  jeremiahmorris

	* Source_Files/RenderOther/OGL_Blitter.cpp:
	  Stupid error in clipping textures

2009-05-31 00:40  jeremiahmorris

	* Source_Files/Misc/sdl_dialogs.cpp:
	  Use OGL_Blitter to draw dialogs

2009-05-30 22:50  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp,
	  Source_Files/RenderMain/OGL_Textures.cpp,
	  Source_Files/RenderOther/HUDRenderer_OGL.cpp,
	  Source_Files/RenderOther/OGL_Blitter.cpp,
	  Source_Files/RenderOther/OGL_Blitter.h,
	  Source_Files/RenderOther/OGL_LoadScreen.cpp,
	  Source_Files/RenderOther/OGL_LoadScreen.h,
	  Source_Files/RenderOther/screen.cpp:
	  Refactored OGL_Blitter, to handle destruction of OpenGL context
	  in a generic fashion

2009-05-30 22:08  treellama

	* Source_Files/GameWorld/marathon2.cpp:
	  only run NetProcessMessagesInGame if the game is networked

2009-05-30 21:46  treellama

	* Source_Files/Misc/alephversion.h:
	  version numbers for 0.22 preview 1

2009-05-30 21:46  treellama

	* Makefile.am:
	  copy AlephOne.spec out of build directory

2009-05-30 19:49  treellama

	* Source_Files/Misc/preferences.cpp:
	  unassigned axes aren't parsing errors

2009-05-30 19:40  treellama

	* Source_Files/Input/joystick_sdl.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h:
	  put joystick axis sensitivities in the prefs file (no GUI)

2009-05-30 19:21  treellama

	* docs/Lua.html, docs/Lua.xml:
	  fix long cinematic fade in in Lua documentation

2009-05-30 19:01  treellama

	* Source_Files/Lua/lua_monsters.cpp, docs/Lua.html, docs/Lua.xml:
	  monster.external_velocity and monster.vertical_velocity

2009-05-30 13:41  treellama

	* Source_Files/Input/joystick_sdl.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h:
	  make a further hash of joystick support by adding these dialogs
	  and prefs

2009-05-29 23:07  jeremiahmorris

	* Source_Files/RenderMain/OGL_Textures.cpp,
	  Source_Files/RenderOther/HUDRenderer_OGL.cpp,
	  Source_Files/RenderOther/screen.cpp:
	  Ensure that OGL_Blitter objects release their textures in the
	  same rendering context, instead of surviving into the next
	  context and calling glDeleteTextures on somebody else's IDs.

2009-05-29 16:00  jeremiahmorris

	* Source_Files/GameWorld/player.cpp:
	  Reverting for film compatibility reasons

2009-05-29 15:23  jeremiahmorris

	* Source_Files/GameWorld/player.cpp:
	  Fix bug 1528013 and dups (invincibility and suffocation)

2009-05-29 14:12  jeremiahmorris

	* Source_Files/Misc/interface.cpp:
	  Fix bug 2628603 (don't read map when idle)

2009-05-28 16:44  jeremiahmorris

	* Source_Files/RenderMain/OGL_Textures.cpp:
	  Fix crash when source is taller than target, introduced in r3800

2009-05-28 16:00  jeremiahmorris

	* Source_Files/RenderOther/FontHandler.cpp,
	  Source_Files/RenderOther/HUDRenderer_OGL.cpp:
	  Remove unnecessary glLoadIdentity in text drawing, which enables
	  us to scale HUD with modelview matrix instead of messing with the
	  projection

2009-05-27 21:58  jeremiahmorris

	* Source_Files/RenderMain/OGL_Render.cpp:
	  Make the OpenGL crosshairs actually look like the SDL-drawn
	  preview

2009-05-27 03:15  jeremiahmorris

	* Source_Files/RenderOther/HUDRenderer.cpp:
	  Simplify energy-based ammo drawing; fixes OpenGL rendering issue

2009-05-27 02:09  treellama

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/sdl_widgets.cpp:
	  allow configuring joystick buttons

2009-05-27 01:20  jeremiahmorris

	* Source_Files/RenderMain/OGL_Textures.cpp:
	  Fix black lines in scaled HUD. This also reduces edge artifacts
	  on sprites.

2009-05-26 17:00  jeremiahmorris

	* Source_Files/RenderOther/OGL_LoadScreen.cpp:
	  Minor cleanup: just disable textures instead of drawing texture 0

2009-05-26 16:54  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  Don't keep a deleted pointer around (I'm a moron)

2009-05-26 15:46  jeremiahmorris

	* Source_Files/RenderOther/screen.cpp:
	  Terminal textures are rebuilt when terminal is redrawn, instead
	  of every single frame

2009-05-26 15:14  jeremiahmorris

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/RenderOther/computer_interface.cpp,
	  Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/screen.h,
	  Source_Files/RenderOther/screen_shared.h, Source_Files/shell.h:
	  Scaled terminals. SW renderer now draws terms to a separate
	  surface and blits them like the HUD.

2009-05-26 14:20  jeremiahmorris

	* Source_Files/Misc/preferences.cpp:
	  Disable HUD size pref when HUD is off

2009-05-26 13:36  jeremiahmorris

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/RenderOther/screen.cpp, Source_Files/shell.h:
	  More options for HUD scaling now

2009-05-26 02:17  treellama

	* Source_Files/Misc/vbl.cpp:
	  fix run-don't-walk

2009-05-26 01:53  jeremiahmorris

	* Source_Files/RenderOther/HUDRenderer_OGL.cpp,
	  Source_Files/RenderOther/OGL_Blitter.cpp,
	  Source_Files/RenderOther/OGL_Blitter.h,
	  Source_Files/RenderOther/OGL_LoadScreen.cpp,
	  Source_Files/RenderOther/OGL_LoadScreen.h,
	  Source_Files/RenderOther/screen.cpp:
	  Beef up OGL_Blitter and use it for HUD - see patch 2796629 on
	  SF.net

2009-05-26 01:41  treellama

	* Source_Files/RenderOther/screen.cpp:
	  UInt16 does not name a type

2009-05-25 21:54  treellama

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/RenderOther/FontHandler.cpp,
	  Source_Files/RenderOther/HUDRenderer_OGL.cpp,
	  Source_Files/RenderOther/screen.cpp, Source_Files/shell.h:
	  [Jeremiah Morris] add a preference to scale the HUD up for larger
	  window sizes

2009-05-25 21:43  treellama

	* Source_Files/RenderOther/screen.cpp:
	  [Jeremiah Morris] respected calibrated gamma when rendering fade
	  effects

2009-05-25 21:36  treellama

	* Source_Files/Lua/lua_script.cpp, docs/Lua.xml:
	  clear out persistent Lua data when it is no longer applicable

2009-05-25 21:28  treellama

	* Source_Files/Files/game_wad.cpp, Source_Files/Files/tags.h,
	  Source_Files/Lua/lua_player.cpp, Source_Files/Lua/lua_script.cpp,
	  Source_Files/Lua/lua_script.h, docs/Lua.xml:
	  serialization to saved games

2009-05-25 21:11  treellama

	* Source_Files/Lua/lua_serialize.cpp:
	  BStream knows how to write double, not lua_Number

2009-05-25 15:37  treellama

	* Source_Files/Lua/lua_serialize.cpp:
	  add Lua serialization versioning and some log warning messages

2009-05-25 15:30  treellama

	* Source_Files/CSeries/BStream.cpp:
	  make it more explicit to gcc what we are doing with doubles
	  (gcc 4.3 with -O2 was causing serialization failures)

2009-05-25 13:41  treellama

	* Source_Files/Lua/lua_script.cpp,
	  Source_Files/RenderOther/images.cpp,
	  Source_Files/XML/XML_LevelScript.cpp, Source_Files/shell.cpp:
	  fix const char * deprecation warnings

2009-05-25 13:17  treellama

	* Source_Files/Files/game_wad.cpp:
	  just add an extern rather than updating Files/Makefile.am to
	  include Lua

2009-05-25 03:56  treellama

	* PBProjects/AlephOne-OSX10.4.xcodeproj/project.pbxproj,
	  Source_Files/Files/game_wad.cpp, Source_Files/Lua/lua_player.cpp,
	  Source_Files/Lua/lua_script.cpp, Source_Files/Lua/lua_script.h,
	  docs/Lua.html, docs/Lua.xml:
	  Lua persistence across level jumps

2009-05-24 19:58  treellama

	* Source_Files/Lua/lua_serialize.cpp:
	  support serializing/unserializing userdata

2009-05-24 19:58  treellama

	* Source_Files/Lua/lua_templates.h:
	  add an accessor for creating userdata apart from container

2009-05-24 19:55  treellama

	* Source_Files/CSeries/BStream.cpp:
	  fix writing signed chars

2009-05-24 16:33  treellama

	* PBProjects/AlephOne-OSX10.4.xcodeproj/project.pbxproj:
	  add joystick files to Xcode project

2009-05-24 14:03  treellama

	* Source_Files/Lua/lua_serialize.cpp,
	  Source_Files/Lua/lua_serialize.h:
	  serialize to/from streambuf (using BStream)

2009-05-24 13:43  treellama

	* Source_Files/CSeries/BStream.cpp, Source_Files/CSeries/BStream.h:
	  write() takes const char *

2009-05-24 13:24  treellama

	* Source_Files/CSeries/BStream.cpp, Source_Files/CSeries/BStream.h,
	  Source_Files/CSeries/Makefile.am:
	  add BStream, a more versatile AStream

2009-05-21 01:40  treellama

	* Source_Files/Input/Makefile.am, Source_Files/Input/joystick.h,
	  Source_Files/Input/joystick_sdl.cpp, Source_Files/Misc/vbl.cpp,
	  Source_Files/shell.cpp:
	  [Eric Peterson] SDL joystick support

2009-05-20 02:30  treellama

	* Source_Files/Lua/Makefile.am, Source_Files/Lua/lua_serialize.cpp,
	  Source_Files/Lua/lua_serialize.h:
	  add some basic table serialization routines

2009-05-16 18:18  treellama

	* Source_Files/Lua/lua_templates.h:
	  simplify instance lookup

2009-05-16 18:06  treellama

	* Source_Files/Lua/lua_script.cpp, Source_Files/Lua/lua_script.h,
	  Source_Files/Lua/lua_templates.h:
	  move custom fields into one registry table

2009-05-16 18:03  treellama

	* Source_Files/RenderOther/HUDRenderer_OGL.cpp:
	  oops, HUD textures aren't shadeless

2009-05-16 15:18  treellama

	* Source_Files/Lua/lua_templates.h:
	  reduce size of templates by using lua_setfield where possible

2009-05-16 14:48  treellama

	* Source_Files/Lua/lua_templates.h:
	  move registry key constants to descriptive functions

2009-05-16 14:09  treellama

	* Source_Files/Misc/preferences.cpp:
	  "Show Scores" is really "Network Stats"

2009-05-06 02:58  treellama

	* Source_Files/RenderOther/HUDRenderer_OGL.cpp:
	  fix texture palette on maps with glow mapped textures (SF
	  2766967)

2009-04-26 15:37  treellama

	* Source_Files/Network/network.cpp,
	  Source_Files/Network/network_capabilities.cpp,
	  Source_Files/Network/network_capabilities.h,
	  Source_Files/Network/network_messages.cpp,
	  Source_Files/Network/network_messages.h:
	  send network stats to joiners if they support receiving them

2009-04-26 02:11  treellama

	* Source_Files/RenderOther/screen_shared.h:
	  color-code latency, jitter, errors

2009-04-25 12:31  treellama

	* Source_Files/Network/network_microphone_sdl_alsa.cpp:
	  don't crash if we fail to install a pcm handler (ALSA)

2009-04-12 14:27  treellama

	* Source_Files/RenderOther/HUDRenderer.cpp,
	  Source_Files/RenderOther/screen_shared.h:
	  clean up network stats a little; remove .ping (other half of
	  commit)

2009-04-12 02:43  treellama

	* Source_Files/Network/network.cpp, Source_Files/Network/network.h,
	  Source_Files/Network/network_star_hub.cpp,
	  Source_Files/Network/network_star_spoke.cpp:
	  clean up network stats a little; remove .ping

2009-04-07 02:15  treellama

	* Source_Files/Network/network.cpp, Source_Files/Network/network.h,
	  Source_Files/Network/network_star_hub.cpp,
	  Source_Files/RenderOther/screen_shared.h:
	  report standard deviation and errors in scores display

2009-04-05 15:03  treellama

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h,
	  Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/screen_shared.h, Source_Files/shell.cpp:
	  add a key to display scores (and pings) in the main window

2009-04-05 12:40  treellama

	* Source_Files/Misc/preferences.cpp:
	  remove unused size_labels

2009-04-05 01:15  treellama

	* Source_Files/Network/ConnectPool.cpp,
	  Source_Files/Network/network.cpp:
	  fix some mismatched new/frees

2009-04-05 00:43  treellama

	* Source_Files/Network/network_messages.cpp:
	  fix map transfer bug (I think)

2009-04-04 00:32  treellama

	* Source_Files/Network/network_star_hub.cpp:
	  SF 2496130: we don't need to assert out when we receive a packet
	  from a
	  disconnected player

2009-04-03 23:59  treellama

	* Source_Files/Network/network.cpp,
	  Source_Files/TCPMess/Makefile.am,
	  Source_Files/TCPMess/MessageInflater.cpp:
	  add more logging; maybe I can figure out why people aren't
	  sending me the map

2009-03-07 19:35  treellama

	* Source_Files/Misc/preferences.cpp, Source_Files/shell.cpp:
	  support building from the command line using ./configure in Mac
	  OS X

2009-03-07 19:34  treellama

	* PBProjects/AlephOne-OSX10.4.xcodeproj/project.pbxproj:
	  define HAVE_BUNDLE_NAME, prefer installed Frameworks to
	  /usr/local/include

2009-03-07 19:31  treellama

	* Source_Files/Misc/thread_priority_sdl_macosx.cpp,
	  Source_Files/Network/Update.h:
	  include SDL headers the way they want us to

2009-03-07 19:30  treellama

	* configure.ac:
	  for some reason echo -n doesn't work in Leopard; use tr to strip
	  newline instead

2009-02-28 19:48  treellama

	* Source_Files/Files/FileHandler.h,
	  Source_Files/Files/FileHandler_SDL.cpp:
	  display the date in file selectors; allow sorting by date; make
	  sorting
	  by date default for saved game selector

2009-02-28 19:43  treellama

	* Source_Files/Misc/sdl_widgets.cpp:
	  center w_select vertically in its rect

2009-02-15 16:14  treellama

	* Source_Files/Misc/sdl_widgets.cpp:
	  hide extensions in w_file_chooser

2009-02-15 16:09  treellama

	* Source_Files/Files/FileHandler_SDL.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h:
	  make hiding file extensions optional

2009-02-15 15:55  treellama

	* Source_Files/Files/FileHandler.h,
	  Source_Files/Files/FileHandler_SDL.cpp,
	  Source_Files/Misc/preferences_widgets_sdl.h:
	  hide known Aleph One extensions from file dialogs

2009-02-15 15:04  treellama

	* Source_Files/Files/FileHandler_SDL.cpp:
	  append sgA or filA extensions for saved games and films

2009-02-15 14:40  treellama

	* Source_Files/Files/FileHandler_SDL.cpp:
	  add more file extensions, to speed up special file selectors

2009-02-14 14:13  treellama

	* Source_Files/CSeries/csalerts_sdl.cpp,
	  Source_Files/Misc/Logging.cpp, Source_Files/Misc/Logging.h:
	  flush the log file before abort() just in case the implementation
	  doesn't

2009-02-14 13:30  treellama

	* Source_Files/Network/network_star_hub.cpp:
	  lock when making a player netdead; should prevent mConnected
	  assertion
	  failure receiving packets from that player

2009-02-14 13:29  treellama

	* Source_Files/CSeries/mytm.h:
	  add an exception-safe way to take the MyTM mutex

2009-02-05 03:56  treellama

	* Source_Files/Network/network_messages.cpp:
	  handle 0-byte zipped messages more elegantly; log decompress
	  errors

2009-02-05 02:57  treellama

	* Source_Files/Network/Metaserver/network_metaserver.cpp,
	  Source_Files/Network/network_dialogs.cpp:
	  catch by reference (will this fix mingw exceptions?)

2009-02-05 02:26  treellama

	* Source_Files/RenderMain/shapes.cpp:
	  only wall shapes are stored sideways

2009-02-05 02:15  treellama

	* Source_Files/RenderOther/game_window.cpp,
	  Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/screen.h:
	  don't bother rendering a software HUD when OpenGL is on!

2009-02-05 01:50  treellama

	* Source_Files/RenderMain/shapes.cpp:
	  row-order shapes are stored sideways, so switch height/width

2009-01-27 02:07  treellama

	* Source_Files/Network/Metaserver/network_metaserver.h:
	  add missing login failure reason

2009-01-24 20:55  treellama

	* Source_Files/CSeries/csalerts_sdl.cpp:
	  Leopard generates crash reports on abort() now, so remove
	  dereference 0 hack

2009-01-23 03:39  treellama

	* Makefile.am, Resources/Windows/alephone.rc,
	  Source_Files/Makefile.am:
	  support vpath builds

2009-01-23 03:39  treellama

	* configure.ac:
	  no longer strip Windows by default

2009-01-20 02:56  treellama

	* Source_Files/Network/network_messages.cpp:
	  fix memory leaks handling zipped data

2008-12-27 02:37  treellama

	* Source_Files/Misc/alephversion.h:
	  version number update

2008-12-27 02:35  treellama

	* autogen.sh:
	  autom4te doesn't pick up on version number changes in
	  Misc/alephversion.h, so remove its cache every time

2008-12-27 02:12  treellama

	* Source_Files/Misc/preference_dialogs.cpp,
	  Source_Files/Misc/preference_dialogs.h,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/RenderMain/OGL_Setup.cpp,
	  Source_Files/RenderMain/OGL_Setup.h,
	  Source_Files/RenderOther/screen.cpp:
	  add a vsync checkbox for OpenGL

2008-12-26 15:43  treellama

	* Source_Files/Expat/xmlparse.c:
	  if an XML document specifies an encoding, use it (fixes UTF8 file
	  names
	  in prefs, but should preserve functionality of broken Rubicon
	  MML)

2008-12-26 14:39  treellama

	* Source_Files/Misc/interface.cpp:
	  restore previously selected map when finishing a net game

2008-12-26 14:29  treellama

	* Source_Files/Network/network.cpp:
	  it is OK to call NetGetGameData when in netDown
	  it is called right after NetChangeMap in game_wad.cpp, which used
	  to assert

2008-12-24 14:37  treellama

	* Source_Files/RenderOther/screen.cpp:
	  support custom window sizes by editing prefs

2008-12-18 03:25  treellama

	* Source_Files/Misc/alephversion.h:
	  another release, another version number

2008-12-18 03:15  treellama

	* Source_Files/LibNAT/http.c, Source_Files/LibNAT/ssdp.c:
	  double UPnP discover and connect timeouts

2008-12-18 02:20  treellama

	* Source_Files/Network/network.cpp:
	  initialize Client fields; should fix Windows gather crashes

2008-12-17 01:19  treellama

	* Source_Files/Network/Update.cpp:
	  using C++ strings in here caused a *bizarre* crash when mingw
	  tried to
	  rethrow exceptions in another thread altogether; sticking to C
	  string
	  handling seems to fix it, so, back to the stone age

2008-12-16 02:57  treellama

	* Source_Files/Network/Metaserver/network_metaserver.cpp:
	  we don't need to catch and rethrow at all here

2008-12-14 23:47  treellama

	* Source_Files/Network/Metaserver/network_metaserver.cpp:
	  not sure why but this seems to fix a segfault in Windows

2008-12-14 23:10  treellama

	* Source_Files/Lua/lua_mnemonics.h:
	  end level completion state mnemonics with zeroes

2008-12-14 14:34  treellama

	* docs/Lua.html, docs/Lua.xml:
	  update embedded Lua instructions

2008-12-13 23:02  treellama

	* Makefile.am:
	  build ChangeLog from SVN

2008-12-13 22:56  treellama

	* Source_Files/Misc/alephversion.h, docs/Lua.html, docs/Lua.xml:
	  update version number

2008-12-13 22:55  treellama

	* docs/Lua.html, docs/Lua.xml:
	  document recalculate_side_type

2008-12-13 22:42  treellama

	* Aleph One Classic SDL.mcp:
	  remove svn:eol-style on Aleph One Classic SDL.mcp

2008-12-13 15:59  treellama

	* Source_Files/Network/network_capabilities.h:
	  increment star and ring capability versions to reflect new
	  parent_checksum in topology

2008-12-13 15:49  treellama

	* Source_Files/Misc/interface.cpp:
	  zero out game_data.parameters before writing films (fixes 737707)

2008-12-13 15:41  treellama

	* Source_Files/RenderMain/shapes.cpp:
	  fix 2300153, shapes patches with color tables crash at PCR

2008-12-12 01:08  treellama

	* Source_Files/Network/network_star_hub.cpp:
	  actually discard packets on the hub that fail CRC!

2008-12-12 00:53  treellama

	* PBProjects/AlephOne-OSX10.4.xcodeproj/project.pbxproj:
	  screen_sdl.cpp is screen.cpp, just found out

2008-12-11 02:49  treellama

	* Source_Files/Network/Metaserver/metaserver_dialogs.cpp,
	  Source_Files/Network/Metaserver/metaserver_dialogs.h:
	  control clicking on a player in metaserver keeps him highlighted
	  through
	  multiple PMs (like in myth)

2008-12-11 02:16  treellama

	* Source_Files/GameWorld/map_constructors.cpp,
	  Source_Files/Lua/lua_map.cpp:
	  account for platforms when creating new sides; add
	  Side:recalculate_type

2008-12-11 02:03  treellama

	* Source_Files/Files/game_wad.cpp, Source_Files/Files/game_wad.h,
	  Source_Files/Network/Metaserver/metaserver_dialogs.cpp:
	  announce that maps have embedded physics or Lua on metaserver

2008-12-11 01:55  treellama

	* Source_Files/Misc/sdl_dialogs.cpp:
	  add ability to customize scrollbar colors

2008-12-10 03:36  treellama

	* Source_Files/Files/game_wad.cpp, Source_Files/Files/tags.h,
	  Source_Files/Misc/interface.cpp,
	  Source_Files/XML/XML_LevelScript.cpp,
	  Source_Files/XML/XML_LevelScript.h:
	  support LUAS and MMLS chunks

2008-12-08 01:44  treellama

	* Source_Files/Files/game_wad.cpp:
	  try to find the map file before using level scripts in a net game

2008-12-08 01:13  treellama

	* Source_Files/Misc/interface.cpp, Source_Files/Network/network.h,
	  Source_Files/Network/network_dialogs.cpp,
	  Source_Files/Network/network_messages.cpp:
	  transfer the real checksum so that joiners can save working films

2008-12-07 21:21  treellama

	* Source_Files/RenderOther/screen.cpp:
	  insert some common sizes if SDL doesn't return any or returns
	  only one mode

2008-12-03 03:51  treellama

	* Source_Files/Lua/lua_player.cpp:
	  set_crosshairs_active should be set_crosshairs_state

2008-12-03 03:39  treellama

	* Source_Files/Network/Metaserver/network_metaserver.cpp,
	  Source_Files/Network/Metaserver/network_metaserver.h:
	  clear players/games when (re)connecting to metaserver; fixes SF
	  2118576

2008-11-30 04:23  treellama

	* Source_Files/RenderOther/OGL_Blitter.cpp:
	  why do I set up ortho in MODELVIEW?

2008-11-30 04:16  treellama

	* Source_Files/RenderOther/screen.cpp:
	  oops broke load screens (view_rect() is different when hud() is
	  true)

2008-11-29 15:18  treellama

	* Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/screen.h:
	  tweak the way back buffer clears are done; should eliminate some
	  flickering

2008-11-29 05:08  treellama

	* Source_Files/Lua/lua_script.cpp,
	  Source_Files/Misc/preferences.cpp,
	  Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/screen.h,
	  Source_Files/RenderOther/screen_shared.h, Source_Files/shell.cpp,
	  Source_Files/shell.h:
	  use SDL to detect available resolutions, rather than using
	  hardcoded

2008-11-29 02:01  treellama

	* Source_Files/Misc/interface.cpp,
	  Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/screen.h, Source_Files/shell.cpp:
	  begin to simplify screen layout code

2008-11-29 01:14  treellama

	* Source_Files/RenderOther/HUDRenderer_OGL.cpp:
	  fix matrix stack bug: the texture code would change the matrix
	  mode to
	  GL_MODELVIEW in between glPushMatrix and glPopMatrix

2008-11-28 14:03  treellama

	* Source_Files/RenderOther/Makefile.am,
	  Source_Files/RenderOther/screen.cpp,
	  Source_Files/RenderOther/screen_sdl.cpp:
	  remove old screen.cpp, move screen_sdl.cpp to screen.cpp

2008-11-23 15:25  treellama

	* data/default_theme/DejaVuLGCSansCondensed-Bold.ttf,
	  data/default_theme/DejaVuLGCSansCondensed-BoldOblique.ttf,
	  data/default_theme/bankgthd.ttf,
	  data/default_theme/button_c_p.bmp,
	  data/default_theme/button_l_p.bmp,
	  data/default_theme/button_r_p.bmp,
	  data/default_theme/tiny_button_c.bmp,
	  data/default_theme/tiny_button_l.bmp,
	  data/default_theme/tiny_button_r.bmp:
	  remove eol-style from bitmaps and ttfs

2008-11-23 15:14  treellama

	* data/default_theme/DejaVuLGCSansCondensed-Bold.ttf,
	  data/default_theme/DejaVuLGCSansCondensed-BoldOblique.ttf,
	  data/default_theme/bankgthd.ttf, data/default_theme/button_c.bmp,
	  data/default_theme/button_c_p.bmp,
	  data/default_theme/button_l.bmp,
	  data/default_theme/button_l_p.bmp,
	  data/default_theme/button_r.bmp,
	  data/default_theme/button_r_p.bmp,
	  data/default_theme/frame_b.bmp, data/default_theme/frame_bl.bmp,
	  data/default_theme/frame_br.bmp, data/default_theme/frame_l.bmp,
	  data/default_theme/frame_r.bmp, data/default_theme/frame_t.bmp,
	  data/default_theme/frame_tl.bmp, data/default_theme/frame_tr.bmp,
	  data/default_theme/list_b.bmp, data/default_theme/list_bl.bmp,
	  data/default_theme/list_br.bmp, data/default_theme/list_l.bmp,
	  data/default_theme/list_r.bmp, data/default_theme/list_t.bmp,
	  data/default_theme/list_tl.bmp, data/default_theme/list_tr.bmp,
	  data/default_theme/slider.bmp, data/default_theme/slider_c.bmp,
	  data/default_theme/slider_l.bmp, data/default_theme/slider_r.bmp,
	  data/default_theme/thumb_b.bmp, data/default_theme/thumb_bc.bmp,
	  data/default_theme/thumb_c.bmp, data/default_theme/thumb_t.bmp,
	  data/default_theme/thumb_tc.bmp,
	  data/default_theme/tiny_button_c.bmp,
	  data/default_theme/tiny_button_l.bmp,
	  data/default_theme/tiny_button_r.bmp:
	  mark these files as binary

2008-11-06 01:42  treellama

	* configure.ac:
	  fix Solaris link

2008-10-26 15:15  treellama

	* Source_Files/Lua/lua_map.cpp, Source_Files/Lua/lua_mnemonics.h,
	  docs/Lua.html, docs/Lua.xml:
	  Lua level completion states, mission flags

2008-10-26 04:26  treellama

	* Source_Files/Lua/lua_monsters.cpp, docs/Lua.html, docs/Lua.xml:
	  Monster:accelerate

2008-10-26 00:28  treellama

	* Source_Files/GameWorld/platforms.cpp:
	  fix a well-known rendering bug where sides near platforms appear
	  to move

2008-10-25 22:09  treellama

	* Source_Files/Lua/lua_script.cpp, Source_Files/Lua/lua_script.h,
	  Source_Files/Network/network.cpp,
	  Source_Files/XML/XML_LevelScript.cpp:
	  run net scripts, embedded scripts, and solo scripts in their own
	  sandboxes
	  fixes SF 1547578
	  Lua's io library is now enabled for solo scripts

2008-10-24 02:37  treellama

	* Resources/Windows/alephone.ico:
	  remove eol-style on alephone.ico

2008-10-24 02:28  treellama

	* Resources/Windows/alephone.ico:
	  alephone.ico is a binary file

2008-10-23 02:50  treellama

	* PBProjects/AlephOne-OSX10.4.xcodeproj/project.pbxproj:
	  ignore errors copying default_theme/.svn

2008-10-23 02:05  treellama

	* Source_Files/Lua/lua_script.cpp:
	  this should fix 2181200 (PCR with netscript time-based gametypes
	  incorrect)

2008-10-20 01:32  ghs

	* Source_Files/Network/network.cpp:
	  fix a possible crash when a joiner cancels

2008-09-14 00:16  ghs

	* Source_Files/Makefile.am:
	  windres interprets numbers starting with 0 as octal :C

2008-09-14 00:03  ghs

	* Source_Files/shell.cpp:
	  trying to set the WM_icon in Mac OS is a sure way to crash

2008-09-13 22:43  ghs

	* Source_Files/RenderOther/computer_interface.cpp:
	  explicit template specialization cannot have a storage class

2008-09-13 22:20  ghs

	* Resources/Aleph One Classic SDL.r,
	  Source_Files/Misc/alephversion.h:
	  update version numbers

2008-09-13 21:28  ghs

	* Resources/Windows/alephone.ico:
	  somehow the low color icons in this file got messed up?

2008-09-13 21:21  ghs

	* Source_Files/Misc/alephone32.xpm:
	  a better 32x32 icon, from the old alephone.ico

2008-09-13 21:10  ghs

	* Source_Files/Network/Metaserver/network_metaserver.cpp:
	  fix metaserver displaying double leave messages for invisible
	  admins

2008-09-13 20:50  ghs

	* Source_Files/Misc/alephone.xpm, Source_Files/Misc/alephone32.xpm,
	  Source_Files/shell.cpp:
	  fix constness of xpms

2008-09-13 20:43  ghs

	* Source_Files/Misc/Makefile.am, Source_Files/Misc/alephone.xpm,
	  Source_Files/Misc/alephone32.xpm, Source_Files/shell.cpp:
	  add window manager icons for non-Mac OS X

2008-09-13 19:41  ghs

	* Source_Files/RenderOther/computer_interface.cpp:
	  draw STATIC terminal groups (lol)

2008-09-13 18:34  ghs

	* Source_Files/shell.cpp:
	  remove SDL_Sound stuff

2008-09-13 18:31  ghs

	* Source_Files/shell.cpp:
	  if directx backend fails, change the use_directx_backend pref to
	  false

2008-09-13 18:26  ghs

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h, Source_Files/shell.cpp:
	  allow toggling DirectX backend in Windows (make sure to use a
	  patched
	  SDL)

2008-08-25 01:33  ghs

	* Source_Files/RenderOther/images.cpp:
	  increase the number of picture formats supported in M2-Win95
	  style
	  files, by recognizing 'PICT' as a complete PICT resource

2008-08-22 01:30  ghs

	* Source_Files/Misc/preferences.h, Source_Files/shell.h:
	  clean out some mac stuff

2008-07-22 00:53  ghs

	* Resources/Aleph One Classic SDL.r,
	  Source_Files/Misc/alephversion.h:
	  version number update

2008-07-22 00:35  ghs

	* Makefile.am,
	  PBProjects/AlephOne-OSX10.4.xcodeproj/project.pbxproj:
	  include Carnage_Messages in the zip/dmg

2008-07-22 00:12  ghs

	* Source_Files/Misc/preferences.cpp:
	  change the wording to "Mute All Guest Chat"

2008-07-21 02:40  ghs

	* Source_Files/Network/Metaserver/metaserver_dialogs.cpp:
	  add a sound for private messages

2008-07-21 02:20  ghs

	* data/Carnage_Messages.mml:
	  carnage messages MML from Alex Bolton

2008-07-21 01:26  ghs

	* Source_Files/Misc/preferences.cpp,
	  Source_Files/Misc/preferences.h,
	  Source_Files/Network/Metaserver/network_metaserver.cpp:
	  add a "Mute All Guests" checkbox

2008-07-20 21:32  ghs

	* Source_Files/Files/game_wad.cpp:
	  hack to set platforms back to their original states for .save
	  level

2008-07-19 17:39  ghs

	* Source_Files/Network/Metaserver/network_metaserver.cpp:
	  check against cleaned names when ignoring messages (fixes .ignore
	  guest)

2008-07-19 17:08  ghs

	* Source_Files/RenderOther/HUDRenderer_OGL.cpp:
	  fix horizontally flipped textures

2008-07-08 00:08  ghs

	* Resources/Aleph One Classic SDL.r,
